// Code generated by protoc-gen-go. DO NOT EDIT.
// source: vtgate.proto

package vtgate

import (
	fmt "fmt"
	math "math"

	proto "github.com/golang/protobuf/proto"
	binlogdata "vitess.io/vitess/go/vt/proto/binlogdata"
	query "vitess.io/vitess/go/vt/proto/query"
	topodata "vitess.io/vitess/go/vt/proto/topodata"
	vtrpc "vitess.io/vitess/go/vt/proto/vtrpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

// TransactionMode controls the execution of distributed transaction
// across multiple shards.
type TransactionMode int32

const (
	// UNSPECIFIED uses the transaction mode set by the VTGate flag 'transaction_mode'.
	TransactionMode_UNSPECIFIED TransactionMode = 0
	// SINGLE disallows distributed transactions.
	TransactionMode_SINGLE TransactionMode = 1
	// MULTI allows distributed transactions with best effort commit.
	TransactionMode_MULTI TransactionMode = 2
	// TWOPC is for distributed transactions with atomic commits.
	TransactionMode_TWOPC TransactionMode = 3
)

var TransactionMode_name = map[int32]string{
	0: "UNSPECIFIED",
	1: "SINGLE",
	2: "MULTI",
	3: "TWOPC",
}

var TransactionMode_value = map[string]int32{
	"UNSPECIFIED": 0,
	"SINGLE":      1,
	"MULTI":       2,
	"TWOPC":       3,
}

func (x TransactionMode) String() string {
	return proto.EnumName(TransactionMode_name, int32(x))
}

func (TransactionMode) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_aab96496ceaf1ebb, []int{0}
}

// CommitOrder is used to designate which of the ShardSessions
// get used for transactions.
type CommitOrder int32

const (
	// NORMAL is the default commit order.
	CommitOrder_NORMAL CommitOrder = 0
	// PRE is used to designate pre_sessions.
	CommitOrder_PRE CommitOrder = 1
	// POST is used to designate post_sessions.
	CommitOrder_POST CommitOrder = 2
	// AUTOCOMMIT is used to run the statement as autocommitted transaction.
	CommitOrder_AUTOCOMMIT CommitOrder = 3
)

var CommitOrder_name = map[int32]string{
	0: "NORMAL",
	1: "PRE",
	2: "POST",
	3: "AUTOCOMMIT",
}

var CommitOrder_value = map[string]int32{
	"NORMAL":     0,
	"PRE":        1,
	"POST":       2,
	"AUTOCOMMIT": 3,
}

func (x CommitOrder) String() string {
	return proto.EnumName(CommitOrder_name, int32(x))
}

func (CommitOrder) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_aab96496ceaf1ebb, []int{1}
}

// Session objects are exchanged like cookies through various
// calls to VTGate. The behavior differs between V2 & V3 APIs.
// V3 APIs are Execute, ExecuteBatch and StreamExecute. All
// other APIs are V2. For the V3 APIs, the session
// must be sent with every call to Execute or ExecuteBatch.
// For the V2 APIs, Begin does not accept a session. It instead
// returns a brand new one with in_transaction set to true.
// After a call to Commit or Rollback, the session can be
// discarded. If you're not in a transaction, Session is
// an optional parameter for the V2 APIs.
type Session struct {
	// in_transaction is set to true if the session is in a transaction.
	InTransaction bool `protobuf:"varint,1,opt,name=in_transaction,json=inTransaction,proto3" json:"in_transaction,omitempty"`
	// shard_sessions keep track of per-shard transaction info.
	ShardSessions []*Session_ShardSession `protobuf:"bytes,2,rep,name=shard_sessions,json=shardSessions,proto3" json:"shard_sessions,omitempty"`
	// autocommit specifies if the session is in autocommit mode.
	// This is used only for V3.
	Autocommit bool `protobuf:"varint,4,opt,name=autocommit,proto3" json:"autocommit,omitempty"`
	// target_string is the target expressed as a string. Valid
	// names are: keyspace:shard@target, keyspace@target or @target.
	// This is used only for V3.
	TargetString string `protobuf:"bytes,5,opt,name=target_string,json=targetString,proto3" json:"target_string,omitempty"`
	// options is used only for V3.
	Options *query.ExecuteOptions `protobuf:"bytes,6,opt,name=options,proto3" json:"options,omitempty"`
	// transaction_mode specifies the current transaction mode.
	TransactionMode TransactionMode `protobuf:"varint,7,opt,name=transaction_mode,json=transactionMode,proto3,enum=vtgate.TransactionMode" json:"transaction_mode,omitempty"`
	// warnings contains non-fatal warnings from the previous query
	Warnings []*query.QueryWarning `protobuf:"bytes,8,rep,name=warnings,proto3" json:"warnings,omitempty"`
	// pre_sessions contains sessions that have to be committed first.
	PreSessions []*Session_ShardSession `protobuf:"bytes,9,rep,name=pre_sessions,json=preSessions,proto3" json:"pre_sessions,omitempty"`
	// post_sessions contains sessions that have to be committed last.
	PostSessions []*Session_ShardSession `protobuf:"bytes,10,rep,name=post_sessions,json=postSessions,proto3" json:"post_sessions,omitempty"`
	// last_insert_id keeps track of the last seen insert_id for this session
	LastInsertId uint64 `protobuf:"varint,11,opt,name=last_insert_id,json=lastInsertId,proto3" json:"last_insert_id,omitempty"`
	// found_rows keeps track of how many rows the last query returned
	FoundRows uint64 `protobuf:"varint,12,opt,name=found_rows,json=foundRows,proto3" json:"found_rows,omitempty"`
	// user_defined_variables contains all the @variables defined for this session
	UserDefinedVariables map[string]*query.BindVariable `protobuf:"bytes,13,rep,name=user_defined_variables,json=userDefinedVariables,proto3" json:"user_defined_variables,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	// system_variables keeps track of all session variables set for this connection
	// TODO: systay should we keep this so we can apply it ordered?
	SystemVariables map[string]string `protobuf:"bytes,14,rep,name=system_variables,json=systemVariables,proto3" json:"system_variables,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	// row_count keeps track of the last seen rows affected for this session
	RowCount int64 `protobuf:"varint,15,opt,name=row_count,json=rowCount,proto3" json:"row_count,omitempty"`
	// Stores savepoint and release savepoint calls inside a transaction
	// and is reset once transaction is committed or rolled back.
	Savepoints []string `protobuf:"bytes,16,rep,name=savepoints,proto3" json:"savepoints,omitempty"`
	// in_reserved_conn is set to true if the session should be using reserved connections.
	InReservedConn       bool     `protobuf:"varint,17,opt,name=in_reserved_conn,json=inReservedConn,proto3" json:"in_reserved_conn,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Session) Reset()         { *m = Session{} }
func (m *Session) String() string { return proto.CompactTextString(m) }
func (*Session) ProtoMessage()    {}
func (*Session) Descriptor() ([]byte, []int) {
	return fileDescriptor_aab96496ceaf1ebb, []int{0}
}

func (m *Session) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Session.Unmarshal(m, b)
}
func (m *Session) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Session.Marshal(b, m, deterministic)
}
func (m *Session) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Session.Merge(m, src)
}
func (m *Session) XXX_Size() int {
	return xxx_messageInfo_Session.Size(m)
}
func (m *Session) XXX_DiscardUnknown() {
	xxx_messageInfo_Session.DiscardUnknown(m)
}

var xxx_messageInfo_Session proto.InternalMessageInfo

func (m *Session) GetInTransaction() bool {
	if m != nil {
		return m.InTransaction
	}
	return false
}

func (m *Session) GetShardSessions() []*Session_ShardSession {
	if m != nil {
		return m.ShardSessions
	}
	return nil
}

func (m *Session) GetAutocommit() bool {
	if m != nil {
		return m.Autocommit
	}
	return false
}

func (m *Session) GetTargetString() string {
	if m != nil {
		return m.TargetString
	}
	return ""
}

func (m *Session) GetOptions() *query.ExecuteOptions {
	if m != nil {
		return m.Options
	}
	return nil
}

func (m *Session) GetTransactionMode() TransactionMode {
	if m != nil {
		return m.TransactionMode
	}
	return TransactionMode_UNSPECIFIED
}

func (m *Session) GetWarnings() []*query.QueryWarning {
	if m != nil {
		return m.Warnings
	}
	return nil
}

func (m *Session) GetPreSessions() []*Session_ShardSession {
	if m != nil {
		return m.PreSessions
	}
	return nil
}

func (m *Session) GetPostSessions() []*Session_ShardSession {
	if m != nil {
		return m.PostSessions
	}
	return nil
}

func (m *Session) GetLastInsertId() uint64 {
	if m != nil {
		return m.LastInsertId
	}
	return 0
}

func (m *Session) GetFoundRows() uint64 {
	if m != nil {
		return m.FoundRows
	}
	return 0
}

func (m *Session) GetUserDefinedVariables() map[string]*query.BindVariable {
	if m != nil {
		return m.UserDefinedVariables
	}
	return nil
}

func (m *Session) GetSystemVariables() map[string]string {
	if m != nil {
		return m.SystemVariables
	}
	return nil
}

func (m *Session) GetRowCount() int64 {
	if m != nil {
		return m.RowCount
	}
	return 0
}

func (m *Session) GetSavepoints() []string {
	if m != nil {
		return m.Savepoints
	}
	return nil
}

func (m *Session) GetInReservedConn() bool {
	if m != nil {
		return m.InReservedConn
	}
	return false
}

type Session_ShardSession struct {
	Target        *query.Target         `protobuf:"bytes,1,opt,name=target,proto3" json:"target,omitempty"`
	TransactionId int64                 `protobuf:"varint,2,opt,name=transaction_id,json=transactionId,proto3" json:"transaction_id,omitempty"`
	TabletAlias   *topodata.TabletAlias `protobuf:"bytes,3,opt,name=tablet_alias,json=tabletAlias,proto3" json:"tablet_alias,omitempty"`
	// reserved connection if a dedicated connection is needed
	ReservedId           int64    `protobuf:"varint,4,opt,name=reserved_id,json=reservedId,proto3" json:"reserved_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Session_ShardSession) Reset()         { *m = Session_ShardSession{} }
func (m *Session_ShardSession) String() string { return proto.CompactTextString(m) }
func (*Session_ShardSession) ProtoMessage()    {}
func (*Session_ShardSession) Descriptor() ([]byte, []int) {
	return fileDescriptor_aab96496ceaf1ebb, []int{0, 0}
}

func (m *Session_ShardSession) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Session_ShardSession.Unmarshal(m, b)
}
func (m *Session_ShardSession) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Session_ShardSession.Marshal(b, m, deterministic)
}
func (m *Session_ShardSession) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Session_ShardSession.Merge(m, src)
}
func (m *Session_ShardSession) XXX_Size() int {
	return xxx_messageInfo_Session_ShardSession.Size(m)
}
func (m *Session_ShardSession) XXX_DiscardUnknown() {
	xxx_messageInfo_Session_ShardSession.DiscardUnknown(m)
}

var xxx_messageInfo_Session_ShardSession proto.InternalMessageInfo

func (m *Session_ShardSession) GetTarget() *query.Target {
	if m != nil {
		return m.Target
	}
	return nil
}

func (m *Session_ShardSession) GetTransactionId() int64 {
	if m != nil {
		return m.TransactionId
	}
	return 0
}

func (m *Session_ShardSession) GetTabletAlias() *topodata.TabletAlias {
	if m != nil {
		return m.TabletAlias
	}
	return nil
}

func (m *Session_ShardSession) GetReservedId() int64 {
	if m != nil {
		return m.ReservedId
	}
	return 0
}

// ExecuteRequest is the payload to Execute.
type ExecuteRequest struct {
	// caller_id identifies the caller. This is the effective caller ID,
	// set by the application to further identify the caller.
	CallerId *vtrpc.CallerID `protobuf:"bytes,1,opt,name=caller_id,json=callerId,proto3" json:"caller_id,omitempty"`
	// session carries the session state.
	Session *Session `protobuf:"bytes,2,opt,name=session,proto3" json:"session,omitempty"`
	// query is the query and bind variables to execute.
	Query *query.BoundQuery `protobuf:"bytes,3,opt,name=query,proto3" json:"query,omitempty"`
	// These values are deprecated. Use session instead.
	// TODO(sougou): remove in 3.1
	TabletType           topodata.TabletType   `protobuf:"varint,4,opt,name=tablet_type,json=tabletType,proto3,enum=topodata.TabletType" json:"tablet_type,omitempty"`
	KeyspaceShard        string                `protobuf:"bytes,6,opt,name=keyspace_shard,json=keyspaceShard,proto3" json:"keyspace_shard,omitempty"`
	Options              *query.ExecuteOptions `protobuf:"bytes,7,opt,name=options,proto3" json:"options,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *ExecuteRequest) Reset()         { *m = ExecuteRequest{} }
func (m *ExecuteRequest) String() string { return proto.CompactTextString(m) }
func (*ExecuteRequest) ProtoMessage()    {}
func (*ExecuteRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_aab96496ceaf1ebb, []int{1}
}

func (m *ExecuteRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ExecuteRequest.Unmarshal(m, b)
}
func (m *ExecuteRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ExecuteRequest.Marshal(b, m, deterministic)
}
func (m *ExecuteRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ExecuteRequest.Merge(m, src)
}
func (m *ExecuteRequest) XXX_Size() int {
	return xxx_messageInfo_ExecuteRequest.Size(m)
}
func (m *ExecuteRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ExecuteRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ExecuteRequest proto.InternalMessageInfo

func (m *ExecuteRequest) GetCallerId() *vtrpc.CallerID {
	if m != nil {
		return m.CallerId
	}
	return nil
}

func (m *ExecuteRequest) GetSession() *Session {
	if m != nil {
		return m.Session
	}
	return nil
}

func (m *ExecuteRequest) GetQuery() *query.BoundQuery {
	if m != nil {
		return m.Query
	}
	return nil
}

func (m *ExecuteRequest) GetTabletType() topodata.TabletType {
	if m != nil {
		return m.TabletType
	}
	return topodata.TabletType_UNKNOWN
}

func (m *ExecuteRequest) GetKeyspaceShard() string {
	if m != nil {
		return m.KeyspaceShard
	}
	return ""
}

func (m *ExecuteRequest) GetOptions() *query.ExecuteOptions {
	if m != nil {
		return m.Options
	}
	return nil
}

// ExecuteResponse is the returned value from Execute.
type ExecuteResponse struct {
	// error contains an application level error if necessary. Note the
	// session may have changed, even when an error is returned (for
	// instance if a database integrity error happened).
	Error *vtrpc.RPCError `protobuf:"bytes,1,opt,name=error,proto3" json:"error,omitempty"`
	// session is the updated session information.
	Session *Session `protobuf:"bytes,2,opt,name=session,proto3" json:"session,omitempty"`
	// result contains the query result, only set if error is unset.
	Result               *query.QueryResult `protobuf:"bytes,3,opt,name=result,proto3" json:"result,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *ExecuteResponse) Reset()         { *m = ExecuteResponse{} }
func (m *ExecuteResponse) String() string { return proto.CompactTextString(m) }
func (*ExecuteResponse) ProtoMessage()    {}
func (*ExecuteResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_aab96496ceaf1ebb, []int{2}
}

func (m *ExecuteResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ExecuteResponse.Unmarshal(m, b)
}
func (m *ExecuteResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ExecuteResponse.Marshal(b, m, deterministic)
}
func (m *ExecuteResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ExecuteResponse.Merge(m, src)
}
func (m *ExecuteResponse) XXX_Size() int {
	return xxx_messageInfo_ExecuteResponse.Size(m)
}
func (m *ExecuteResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ExecuteResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ExecuteResponse proto.InternalMessageInfo

func (m *ExecuteResponse) GetError() *vtrpc.RPCError {
	if m != nil {
		return m.Error
	}
	return nil
}

func (m *ExecuteResponse) GetSession() *Session {
	if m != nil {
		return m.Session
	}
	return nil
}

func (m *ExecuteResponse) GetResult() *query.QueryResult {
	if m != nil {
		return m.Result
	}
	return nil
}

// ExecuteBatchRequest is the payload to ExecuteBatch.
type ExecuteBatchRequest struct {
	// caller_id identifies the caller. This is the effective caller ID,
	// set by the application to further identify the caller.
	CallerId *vtrpc.CallerID `protobuf:"bytes,1,opt,name=caller_id,json=callerId,proto3" json:"caller_id,omitempty"`
	// session carries the session state.
	Session *Session `protobuf:"bytes,2,opt,name=session,proto3" json:"session,omitempty"`
	// queries is a list of query and bind variables to execute.
	Queries []*query.BoundQuery `protobuf:"bytes,3,rep,name=queries,proto3" json:"queries,omitempty"`
	// These values are deprecated. Use session instead.
	// TODO(sougou): remove in 3.1
	TabletType           topodata.TabletType   `protobuf:"varint,4,opt,name=tablet_type,json=tabletType,proto3,enum=topodata.TabletType" json:"tablet_type,omitempty"`
	AsTransaction        bool                  `protobuf:"varint,5,opt,name=as_transaction,json=asTransaction,proto3" json:"as_transaction,omitempty"`
	KeyspaceShard        string                `protobuf:"bytes,6,opt,name=keyspace_shard,json=keyspaceShard,proto3" json:"keyspace_shard,omitempty"`
	Options              *query.ExecuteOptions `protobuf:"bytes,7,opt,name=options,proto3" json:"options,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *ExecuteBatchRequest) Reset()         { *m = ExecuteBatchRequest{} }
func (m *ExecuteBatchRequest) String() string { return proto.CompactTextString(m) }
func (*ExecuteBatchRequest) ProtoMessage()    {}
func (*ExecuteBatchRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_aab96496ceaf1ebb, []int{3}
}

func (m *ExecuteBatchRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ExecuteBatchRequest.Unmarshal(m, b)
}
func (m *ExecuteBatchRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ExecuteBatchRequest.Marshal(b, m, deterministic)
}
func (m *ExecuteBatchRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ExecuteBatchRequest.Merge(m, src)
}
func (m *ExecuteBatchRequest) XXX_Size() int {
	return xxx_messageInfo_ExecuteBatchRequest.Size(m)
}
func (m *ExecuteBatchRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ExecuteBatchRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ExecuteBatchRequest proto.InternalMessageInfo

func (m *ExecuteBatchRequest) GetCallerId() *vtrpc.CallerID {
	if m != nil {
		return m.CallerId
	}
	return nil
}

func (m *ExecuteBatchRequest) GetSession() *Session {
	if m != nil {
		return m.Session
	}
	return nil
}

func (m *ExecuteBatchRequest) GetQueries() []*query.BoundQuery {
	if m != nil {
		return m.Queries
	}
	return nil
}

func (m *ExecuteBatchRequest) GetTabletType() topodata.TabletType {
	if m != nil {
		return m.TabletType
	}
	return topodata.TabletType_UNKNOWN
}

func (m *ExecuteBatchRequest) GetAsTransaction() bool {
	if m != nil {
		return m.AsTransaction
	}
	return false
}

func (m *ExecuteBatchRequest) GetKeyspaceShard() string {
	if m != nil {
		return m.KeyspaceShard
	}
	return ""
}

func (m *ExecuteBatchRequest) GetOptions() *query.ExecuteOptions {
	if m != nil {
		return m.Options
	}
	return nil
}

// ExecuteBatchResponse is the returned value from ExecuteBatch.
type ExecuteBatchResponse struct {
	// error contains an application level error if necessary. Note the
	// session may have changed, even when an error is returned (for
	// instance if a database integrity error happened).
	Error *vtrpc.RPCError `protobuf:"bytes,1,opt,name=error,proto3" json:"error,omitempty"`
	// session is the updated session information.
	Session *Session `protobuf:"bytes,2,opt,name=session,proto3" json:"session,omitempty"`
	// results contains the query results, only set if application level error is unset.
	Results              []*query.ResultWithError `protobuf:"bytes,3,rep,name=results,proto3" json:"results,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                 `json:"-"`
	XXX_unrecognized     []byte                   `json:"-"`
	XXX_sizecache        int32                    `json:"-"`
}

func (m *ExecuteBatchResponse) Reset()         { *m = ExecuteBatchResponse{} }
func (m *ExecuteBatchResponse) String() string { return proto.CompactTextString(m) }
func (*ExecuteBatchResponse) ProtoMessage()    {}
func (*ExecuteBatchResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_aab96496ceaf1ebb, []int{4}
}

func (m *ExecuteBatchResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ExecuteBatchResponse.Unmarshal(m, b)
}
func (m *ExecuteBatchResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ExecuteBatchResponse.Marshal(b, m, deterministic)
}
func (m *ExecuteBatchResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ExecuteBatchResponse.Merge(m, src)
}
func (m *ExecuteBatchResponse) XXX_Size() int {
	return xxx_messageInfo_ExecuteBatchResponse.Size(m)
}
func (m *ExecuteBatchResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ExecuteBatchResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ExecuteBatchResponse proto.InternalMessageInfo

func (m *ExecuteBatchResponse) GetError() *vtrpc.RPCError {
	if m != nil {
		return m.Error
	}
	return nil
}

func (m *ExecuteBatchResponse) GetSession() *Session {
	if m != nil {
		return m.Session
	}
	return nil
}

func (m *ExecuteBatchResponse) GetResults() []*query.ResultWithError {
	if m != nil {
		return m.Results
	}
	return nil
}

// StreamExecuteRequest is the payload to StreamExecute.
type StreamExecuteRequest struct {
	// caller_id identifies the caller. This is the effective caller ID,
	// set by the application to further identify the caller.
	CallerId *vtrpc.CallerID `protobuf:"bytes,1,opt,name=caller_id,json=callerId,proto3" json:"caller_id,omitempty"`
	// query is the query and bind variables to execute.
	Query *query.BoundQuery `protobuf:"bytes,2,opt,name=query,proto3" json:"query,omitempty"`
	// These values are deprecated. Use session instead.
	// TODO(sougou): remove in 3.1
	TabletType    topodata.TabletType   `protobuf:"varint,3,opt,name=tablet_type,json=tabletType,proto3,enum=topodata.TabletType" json:"tablet_type,omitempty"`
	KeyspaceShard string                `protobuf:"bytes,4,opt,name=keyspace_shard,json=keyspaceShard,proto3" json:"keyspace_shard,omitempty"`
	Options       *query.ExecuteOptions `protobuf:"bytes,5,opt,name=options,proto3" json:"options,omitempty"`
	// session carries the session state.
	Session              *Session `protobuf:"bytes,6,opt,name=session,proto3" json:"session,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StreamExecuteRequest) Reset()         { *m = StreamExecuteRequest{} }
func (m *StreamExecuteRequest) String() string { return proto.CompactTextString(m) }
func (*StreamExecuteRequest) ProtoMessage()    {}
func (*StreamExecuteRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_aab96496ceaf1ebb, []int{5}
}

func (m *StreamExecuteRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StreamExecuteRequest.Unmarshal(m, b)
}
func (m *StreamExecuteRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StreamExecuteRequest.Marshal(b, m, deterministic)
}
func (m *StreamExecuteRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StreamExecuteRequest.Merge(m, src)
}
func (m *StreamExecuteRequest) XXX_Size() int {
	return xxx_messageInfo_StreamExecuteRequest.Size(m)
}
func (m *StreamExecuteRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_StreamExecuteRequest.DiscardUnknown(m)
}

var xxx_messageInfo_StreamExecuteRequest proto.InternalMessageInfo

func (m *StreamExecuteRequest) GetCallerId() *vtrpc.CallerID {
	if m != nil {
		return m.CallerId
	}
	return nil
}

func (m *StreamExecuteRequest) GetQuery() *query.BoundQuery {
	if m != nil {
		return m.Query
	}
	return nil
}

func (m *StreamExecuteRequest) GetTabletType() topodata.TabletType {
	if m != nil {
		return m.TabletType
	}
	return topodata.TabletType_UNKNOWN
}

func (m *StreamExecuteRequest) GetKeyspaceShard() string {
	if m != nil {
		return m.KeyspaceShard
	}
	return ""
}

func (m *StreamExecuteRequest) GetOptions() *query.ExecuteOptions {
	if m != nil {
		return m.Options
	}
	return nil
}

func (m *StreamExecuteRequest) GetSession() *Session {
	if m != nil {
		return m.Session
	}
	return nil
}

// StreamExecuteResponse is the returned value from StreamExecute.
// The session is currently not returned because StreamExecute is
// not expected to modify it.
type StreamExecuteResponse struct {
	// result contains the result data.
	// The first value contains only Fields information.
	// The next values contain the actual rows, a few values per result.
	Result               *query.QueryResult `protobuf:"bytes,1,opt,name=result,proto3" json:"result,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *StreamExecuteResponse) Reset()         { *m = StreamExecuteResponse{} }
func (m *StreamExecuteResponse) String() string { return proto.CompactTextString(m) }
func (*StreamExecuteResponse) ProtoMessage()    {}
func (*StreamExecuteResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_aab96496ceaf1ebb, []int{6}
}

func (m *StreamExecuteResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StreamExecuteResponse.Unmarshal(m, b)
}
func (m *StreamExecuteResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StreamExecuteResponse.Marshal(b, m, deterministic)
}
func (m *StreamExecuteResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StreamExecuteResponse.Merge(m, src)
}
func (m *StreamExecuteResponse) XXX_Size() int {
	return xxx_messageInfo_StreamExecuteResponse.Size(m)
}
func (m *StreamExecuteResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_StreamExecuteResponse.DiscardUnknown(m)
}

var xxx_messageInfo_StreamExecuteResponse proto.InternalMessageInfo

func (m *StreamExecuteResponse) GetResult() *query.QueryResult {
	if m != nil {
		return m.Result
	}
	return nil
}

// ResolveTransactionRequest is the payload to ResolveTransaction.
type ResolveTransactionRequest struct {
	// caller_id identifies the caller. This is the effective caller ID,
	// set by the application to further identify the caller.
	CallerId *vtrpc.CallerID `protobuf:"bytes,1,opt,name=caller_id,json=callerId,proto3" json:"caller_id,omitempty"`
	// dtid is the dtid of the transaction to be resolved.
	Dtid                 string   `protobuf:"bytes,2,opt,name=dtid,proto3" json:"dtid,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ResolveTransactionRequest) Reset()         { *m = ResolveTransactionRequest{} }
func (m *ResolveTransactionRequest) String() string { return proto.CompactTextString(m) }
func (*ResolveTransactionRequest) ProtoMessage()    {}
func (*ResolveTransactionRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_aab96496ceaf1ebb, []int{7}
}

func (m *ResolveTransactionRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ResolveTransactionRequest.Unmarshal(m, b)
}
func (m *ResolveTransactionRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ResolveTransactionRequest.Marshal(b, m, deterministic)
}
func (m *ResolveTransactionRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ResolveTransactionRequest.Merge(m, src)
}
func (m *ResolveTransactionRequest) XXX_Size() int {
	return xxx_messageInfo_ResolveTransactionRequest.Size(m)
}
func (m *ResolveTransactionRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ResolveTransactionRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ResolveTransactionRequest proto.InternalMessageInfo

func (m *ResolveTransactionRequest) GetCallerId() *vtrpc.CallerID {
	if m != nil {
		return m.CallerId
	}
	return nil
}

func (m *ResolveTransactionRequest) GetDtid() string {
	if m != nil {
		return m.Dtid
	}
	return ""
}

// ResolveTransactionResponse is the returned value from Rollback.
type ResolveTransactionResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ResolveTransactionResponse) Reset()         { *m = ResolveTransactionResponse{} }
func (m *ResolveTransactionResponse) String() string { return proto.CompactTextString(m) }
func (*ResolveTransactionResponse) ProtoMessage()    {}
func (*ResolveTransactionResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_aab96496ceaf1ebb, []int{8}
}

func (m *ResolveTransactionResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ResolveTransactionResponse.Unmarshal(m, b)
}
func (m *ResolveTransactionResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ResolveTransactionResponse.Marshal(b, m, deterministic)
}
func (m *ResolveTransactionResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ResolveTransactionResponse.Merge(m, src)
}
func (m *ResolveTransactionResponse) XXX_Size() int {
	return xxx_messageInfo_ResolveTransactionResponse.Size(m)
}
func (m *ResolveTransactionResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ResolveTransactionResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ResolveTransactionResponse proto.InternalMessageInfo

// VStreamRequest is the payload for VStream.
type VStreamRequest struct {
	CallerId   *vtrpc.CallerID     `protobuf:"bytes,1,opt,name=caller_id,json=callerId,proto3" json:"caller_id,omitempty"`
	TabletType topodata.TabletType `protobuf:"varint,2,opt,name=tablet_type,json=tabletType,proto3,enum=topodata.TabletType" json:"tablet_type,omitempty"`
	// position specifies the starting point of the bin log positions
	// as well as the keyspace-shards to pull events from.
	// position is of the form 'ks1:0@MySQL56/<mysql_pos>|ks2:-80@MySQL56/<mysql_pos>'.
	Vgtid                *binlogdata.VGtid  `protobuf:"bytes,3,opt,name=vgtid,proto3" json:"vgtid,omitempty"`
	Filter               *binlogdata.Filter `protobuf:"bytes,4,opt,name=filter,proto3" json:"filter,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *VStreamRequest) Reset()         { *m = VStreamRequest{} }
func (m *VStreamRequest) String() string { return proto.CompactTextString(m) }
func (*VStreamRequest) ProtoMessage()    {}
func (*VStreamRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_aab96496ceaf1ebb, []int{9}
}

func (m *VStreamRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_VStreamRequest.Unmarshal(m, b)
}
func (m *VStreamRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_VStreamRequest.Marshal(b, m, deterministic)
}
func (m *VStreamRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_VStreamRequest.Merge(m, src)
}
func (m *VStreamRequest) XXX_Size() int {
	return xxx_messageInfo_VStreamRequest.Size(m)
}
func (m *VStreamRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_VStreamRequest.DiscardUnknown(m)
}

var xxx_messageInfo_VStreamRequest proto.InternalMessageInfo

func (m *VStreamRequest) GetCallerId() *vtrpc.CallerID {
	if m != nil {
		return m.CallerId
	}
	return nil
}

func (m *VStreamRequest) GetTabletType() topodata.TabletType {
	if m != nil {
		return m.TabletType
	}
	return topodata.TabletType_UNKNOWN
}

func (m *VStreamRequest) GetVgtid() *binlogdata.VGtid {
	if m != nil {
		return m.Vgtid
	}
	return nil
}

func (m *VStreamRequest) GetFilter() *binlogdata.Filter {
	if m != nil {
		return m.Filter
	}
	return nil
}

// VStreamResponse is streamed by VStream.
type VStreamResponse struct {
	Events               []*binlogdata.VEvent `protobuf:"bytes,1,rep,name=events,proto3" json:"events,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *VStreamResponse) Reset()         { *m = VStreamResponse{} }
func (m *VStreamResponse) String() string { return proto.CompactTextString(m) }
func (*VStreamResponse) ProtoMessage()    {}
func (*VStreamResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_aab96496ceaf1ebb, []int{10}
}

func (m *VStreamResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_VStreamResponse.Unmarshal(m, b)
}
func (m *VStreamResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_VStreamResponse.Marshal(b, m, deterministic)
}
func (m *VStreamResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_VStreamResponse.Merge(m, src)
}
func (m *VStreamResponse) XXX_Size() int {
	return xxx_messageInfo_VStreamResponse.Size(m)
}
func (m *VStreamResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_VStreamResponse.DiscardUnknown(m)
}

var xxx_messageInfo_VStreamResponse proto.InternalMessageInfo

func (m *VStreamResponse) GetEvents() []*binlogdata.VEvent {
	if m != nil {
		return m.Events
	}
	return nil
}

func init() {
	proto.RegisterEnum("vtgate.TransactionMode", TransactionMode_name, TransactionMode_value)
	proto.RegisterEnum("vtgate.CommitOrder", CommitOrder_name, CommitOrder_value)
	proto.RegisterType((*Session)(nil), "vtgate.Session")
	proto.RegisterMapType((map[string]string)(nil), "vtgate.Session.SystemVariablesEntry")
	proto.RegisterMapType((map[string]*query.BindVariable)(nil), "vtgate.Session.UserDefinedVariablesEntry")
	proto.RegisterType((*Session_ShardSession)(nil), "vtgate.Session.ShardSession")
	proto.RegisterType((*ExecuteRequest)(nil), "vtgate.ExecuteRequest")
	proto.RegisterType((*ExecuteResponse)(nil), "vtgate.ExecuteResponse")
	proto.RegisterType((*ExecuteBatchRequest)(nil), "vtgate.ExecuteBatchRequest")
	proto.RegisterType((*ExecuteBatchResponse)(nil), "vtgate.ExecuteBatchResponse")
	proto.RegisterType((*StreamExecuteRequest)(nil), "vtgate.StreamExecuteRequest")
	proto.RegisterType((*StreamExecuteResponse)(nil), "vtgate.StreamExecuteResponse")
	proto.RegisterType((*ResolveTransactionRequest)(nil), "vtgate.ResolveTransactionRequest")
	proto.RegisterType((*ResolveTransactionResponse)(nil), "vtgate.ResolveTransactionResponse")
	proto.RegisterType((*VStreamRequest)(nil), "vtgate.VStreamRequest")
	proto.RegisterType((*VStreamResponse)(nil), "vtgate.VStreamResponse")
}

func init() { proto.RegisterFile("vtgate.proto", fileDescriptor_aab96496ceaf1ebb) }

var fileDescriptor_aab96496ceaf1ebb = []byte{
	// 1181 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xb4, 0x56, 0xdd, 0x8e, 0x1b, 0xb5,
	0x17, 0xef, 0x64, 0xf2, 0x35, 0x27, 0x5f, 0x53, 0x37, 0xed, 0x7f, 0x9a, 0x7f, 0x81, 0x28, 0x6d,
	0xd5, 0xb4, 0xa0, 0x04, 0x2d, 0x02, 0x55, 0x08, 0x84, 0x76, 0xb3, 0x69, 0x95, 0xaa, 0xdb, 0x2c,
	0x4e, 0x76, 0x2b, 0x21, 0xd0, 0x68, 0x9a, 0x71, 0x53, 0xab, 0xd9, 0xf1, 0xd4, 0x76, 0xb2, 0xe4,
	0x29, 0xb8, 0xe7, 0x1a, 0x89, 0x47, 0xe0, 0x1d, 0xb8, 0xe3, 0x8d, 0x90, 0xed, 0x49, 0x32, 0x1b,
	0x16, 0xba, 0x6d, 0xb5, 0x37, 0x23, 0x9f, 0x0f, 0x9f, 0x39, 0xe7, 0xf7, 0x3b, 0xc7, 0x36, 0x94,
	0x17, 0x72, 0x1a, 0x48, 0xd2, 0x89, 0x39, 0x93, 0x0c, 0xe5, 0x8d, 0xd4, 0x70, 0x5f, 0xd0, 0x68,
	0xc6, 0xa6, 0x61, 0x20, 0x03, 0x63, 0x69, 0x94, 0xde, 0xcc, 0x09, 0x5f, 0x26, 0x42, 0x55, 0xb2,
	0x98, 0xa5, 0x8d, 0x0b, 0xc9, 0xe3, 0x89, 0x11, 0x5a, 0xbf, 0x39, 0x50, 0x18, 0x11, 0x21, 0x28,
	0x8b, 0xd0, 0x5d, 0xa8, 0xd2, 0xc8, 0x97, 0x3c, 0x88, 0x44, 0x30, 0x91, 0x94, 0x45, 0x9e, 0xd5,
	0xb4, 0xda, 0x45, 0x5c, 0xa1, 0xd1, 0x78, 0xa3, 0x44, 0x3d, 0xa8, 0x8a, 0x57, 0x01, 0x0f, 0x7d,
	0x61, 0xf6, 0x09, 0x2f, 0xd3, 0xb4, 0xdb, 0xa5, 0x9d, 0x5b, 0x9d, 0x24, 0xbb, 0x24, 0x5e, 0x67,
	0xa4, 0xbc, 0x12, 0x01, 0x57, 0x44, 0x4a, 0x12, 0xe8, 0x63, 0x80, 0x60, 0x2e, 0xd9, 0x84, 0x9d,
	0x9c, 0x50, 0xe9, 0x65, 0xf5, 0x7f, 0x52, 0x1a, 0x74, 0x1b, 0x2a, 0x32, 0xe0, 0x53, 0x22, 0x7d,
	0x21, 0x39, 0x8d, 0xa6, 0x5e, 0xae, 0x69, 0xb5, 0x1d, 0x5c, 0x36, 0xca, 0x91, 0xd6, 0xa1, 0x2e,
	0x14, 0x58, 0x2c, 0x75, 0x0a, 0xf9, 0xa6, 0xd5, 0x2e, 0xed, 0x5c, 0xef, 0x98, 0xc2, 0xfb, 0x3f,
	0x93, 0xc9, 0x5c, 0x92, 0xa1, 0x31, 0xe2, 0x95, 0x17, 0xda, 0x03, 0x37, 0x55, 0x9e, 0x7f, 0xc2,
	0x42, 0xe2, 0x15, 0x9a, 0x56, 0xbb, 0xba, 0xf3, 0xbf, 0x55, 0xf2, 0xa9, 0x4a, 0x0f, 0x58, 0x48,
	0x70, 0x4d, 0x9e, 0x55, 0xa0, 0x2e, 0x14, 0x4f, 0x03, 0x1e, 0xd1, 0x68, 0x2a, 0xbc, 0xa2, 0x2e,
	0xfc, 0x5a, 0xf2, 0xd7, 0xef, 0xd5, 0xf7, 0xb9, 0xb1, 0xe1, 0xb5, 0x13, 0xfa, 0x0e, 0xca, 0x31,
	0x27, 0x1b, 0xb4, 0x9c, 0x0b, 0xa0, 0x55, 0x8a, 0x39, 0x59, 0x63, 0xb5, 0x0b, 0x95, 0x98, 0x09,
	0xb9, 0x89, 0x00, 0x17, 0x88, 0x50, 0x56, 0x5b, 0xd6, 0x21, 0xee, 0x40, 0x75, 0x16, 0x08, 0xe9,
	0xd3, 0x48, 0x10, 0x2e, 0x7d, 0x1a, 0x7a, 0xa5, 0xa6, 0xd5, 0xce, 0xe2, 0xb2, 0xd2, 0x0e, 0xb4,
	0x72, 0x10, 0xa2, 0x8f, 0x00, 0x5e, 0xb2, 0x79, 0x14, 0xfa, 0x9c, 0x9d, 0x0a, 0xaf, 0xac, 0x3d,
	0x1c, 0xad, 0xc1, 0xec, 0x54, 0x20, 0x1f, 0x6e, 0xcc, 0x05, 0xe1, 0x7e, 0x48, 0x5e, 0xd2, 0x88,
	0x84, 0xfe, 0x22, 0xe0, 0x34, 0x78, 0x31, 0x23, 0xc2, 0xab, 0xe8, 0x84, 0xee, 0x6f, 0x27, 0x74,
	0x24, 0x08, 0xdf, 0x37, 0xce, 0xc7, 0x2b, 0xdf, 0x7e, 0x24, 0xf9, 0x12, 0xd7, 0xe7, 0xe7, 0x98,
	0xd0, 0x10, 0x5c, 0xb1, 0x14, 0x92, 0x9c, 0xa4, 0x42, 0x57, 0x75, 0xe8, 0x3b, 0xff, 0xa8, 0x55,
	0xfb, 0x6d, 0x45, 0xad, 0x89, 0xb3, 0x5a, 0xf4, 0x7f, 0x70, 0x38, 0x3b, 0xf5, 0x27, 0x6c, 0x1e,
	0x49, 0xaf, 0xd6, 0xb4, 0xda, 0x36, 0x2e, 0x72, 0x76, 0xda, 0x53, 0xb2, 0x6a, 0x41, 0x11, 0x2c,
	0x48, 0xcc, 0x68, 0x24, 0x85, 0xe7, 0x36, 0xed, 0xb6, 0x83, 0x53, 0x1a, 0xd4, 0x06, 0x97, 0x46,
	0x3e, 0x27, 0x82, 0xf0, 0x05, 0x09, 0xfd, 0x09, 0x8b, 0x22, 0xef, 0xaa, 0x6e, 0xd4, 0x2a, 0x8d,
	0x70, 0xa2, 0xee, 0xb1, 0x28, 0x6a, 0xfc, 0x61, 0x41, 0x39, 0x0d, 0x3e, 0xba, 0x0b, 0x79, 0xd3,
	0xa8, 0x7a, 0x82, 0x4a, 0x3b, 0x95, 0xa4, 0x43, 0xc6, 0x5a, 0x89, 0x13, 0xa3, 0x1a, 0xb8, 0x74,
	0x3b, 0xd2, 0xd0, 0xcb, 0xe8, 0x1c, 0x2b, 0x29, 0xed, 0x20, 0x44, 0x0f, 0xa1, 0x2c, 0x55, 0x3d,
	0xd2, 0x0f, 0x66, 0x34, 0x10, 0x9e, 0x9d, 0xf4, 0xfa, 0x7a, 0xae, 0xc7, 0xda, 0xba, 0xab, 0x8c,
	0xb8, 0x24, 0x37, 0x02, 0xfa, 0x04, 0x4a, 0xeb, 0xfc, 0x69, 0xa8, 0xc7, 0xcc, 0xc6, 0xb0, 0x52,
	0x0d, 0xc2, 0xc6, 0x8f, 0x70, 0xf3, 0x5f, 0x49, 0x42, 0x2e, 0xd8, 0xaf, 0xc9, 0x52, 0x97, 0xe0,
	0x60, 0xb5, 0x44, 0xf7, 0x21, 0xb7, 0x08, 0x66, 0x73, 0xa2, 0xf3, 0xdc, 0x34, 0xfe, 0x1e, 0x8d,
	0xd6, 0x7b, 0xb1, 0xf1, 0xf8, 0x3a, 0xf3, 0xd0, 0x6a, 0xec, 0x41, 0xfd, 0x3c, 0x9e, 0xce, 0x09,
	0x5c, 0x4f, 0x07, 0x76, 0x52, 0x31, 0x9e, 0x64, 0x8b, 0xb6, 0x9b, 0x6d, 0xfd, 0x9e, 0x81, 0x6a,
	0x32, 0xd4, 0x98, 0xbc, 0x99, 0x13, 0x21, 0xd1, 0x67, 0xe0, 0x4c, 0x82, 0xd9, 0x8c, 0x70, 0x55,
	0x99, 0x81, 0xb9, 0xd6, 0x31, 0x47, 0x5b, 0x4f, 0xeb, 0x07, 0xfb, 0xb8, 0x68, 0x3c, 0x06, 0x21,
	0xba, 0x0f, 0x85, 0x64, 0x7c, 0x92, 0xdc, 0x6b, 0x5b, 0x1d, 0x85, 0x57, 0x76, 0x74, 0x0f, 0x72,
	0xba, 0xac, 0x04, 0xe7, 0xab, 0xab, 0x22, 0xd5, 0x1c, 0xe8, 0x11, 0xc7, 0xc6, 0x8e, 0xbe, 0x84,
	0x04, 0x6c, 0x5f, 0x2e, 0x63, 0xa2, 0xd1, 0xad, 0xee, 0xd4, 0xb7, 0x69, 0x19, 0x2f, 0x63, 0x82,
	0x41, 0xae, 0xd7, 0x8a, 0xf5, 0xd7, 0x64, 0x29, 0xe2, 0x60, 0x42, 0x7c, 0x7d, 0x28, 0xea, 0xc3,
	0xcb, 0xc1, 0x95, 0x95, 0x56, 0xb7, 0x52, 0xfa, 0x70, 0x2b, 0x5c, 0xe4, 0x70, 0x7b, 0x92, 0x2d,
	0xe6, 0xdc, 0x7c, 0xeb, 0x17, 0x0b, 0x6a, 0x6b, 0xa4, 0x44, 0xcc, 0x22, 0xa1, 0xfe, 0x98, 0x23,
	0x9c, 0x33, 0xbe, 0x05, 0x13, 0x3e, 0xec, 0xf5, 0x95, 0x1a, 0x1b, 0xeb, 0xbb, 0x60, 0xf4, 0x00,
	0xf2, 0x9c, 0x88, 0xf9, 0x4c, 0x26, 0x20, 0xa1, 0xf4, 0x11, 0x88, 0xb5, 0x05, 0x27, 0x1e, 0xad,
	0xbf, 0x32, 0x70, 0x2d, 0xc9, 0x68, 0x2f, 0x90, 0x93, 0x57, 0x97, 0x4e, 0xe0, 0xa7, 0x50, 0x50,
	0xd9, 0x50, 0xa2, 0x46, 0xc5, 0x3e, 0x9f, 0xc2, 0x95, 0xc7, 0x07, 0x90, 0x18, 0x88, 0x33, 0x77,
	0x65, 0xce, 0xdc, 0x95, 0x81, 0x48, 0xdf, 0x95, 0x97, 0xc4, 0x75, 0xeb, 0x57, 0x0b, 0xea, 0x67,
	0x31, 0xbd, 0x34, 0xaa, 0x3f, 0x87, 0x82, 0x21, 0x72, 0x85, 0xe6, 0x8d, 0x24, 0x37, 0x43, 0xf3,
	0x73, 0x2a, 0x5f, 0x99, 0xd0, 0x2b, 0x37, 0x35, 0xac, 0xf5, 0x91, 0xe4, 0x24, 0x38, 0xf9, 0xa0,
	0x91, 0x5d, 0xcf, 0x61, 0xe6, 0xdd, 0xe6, 0xd0, 0x7e, 0xef, 0x39, 0xcc, 0xbe, 0x85, 0x9b, 0xdc,
	0x85, 0x1e, 0x19, 0x29, 0x6c, 0xf3, 0xff, 0x8d, 0x6d, 0xab, 0x07, 0xd7, 0xb7, 0x80, 0x4a, 0x68,
	0xdc, 0xcc, 0x97, 0xf5, 0xd6, 0xf9, 0xfa, 0x09, 0x6e, 0x62, 0x22, 0xd8, 0x6c, 0x41, 0x52, 0x9d,
	0xf7, 0x7e, 0x90, 0x23, 0xc8, 0x86, 0x32, 0xb9, 0x86, 0x1c, 0xac, 0xd7, 0xad, 0x5b, 0xd0, 0x38,
	0x2f, 0xbc, 0x49, 0xb4, 0xf5, 0xa7, 0x05, 0xd5, 0x63, 0x53, 0xc3, 0xfb, 0xfd, 0x72, 0x8b, 0xbc,
	0xcc, 0x05, 0xc9, 0xbb, 0x07, 0xb9, 0xc5, 0x54, 0xa5, 0xba, 0x3a, 0xa4, 0x53, 0x6f, 0xe0, 0xe3,
	0xc7, 0x92, 0x86, 0xd8, 0xd8, 0x15, 0x92, 0x2f, 0xe9, 0x4c, 0x12, 0xae, 0xd9, 0x55, 0x48, 0xa6,
	0x3c, 0x1f, 0x69, 0x0b, 0x4e, 0x3c, 0x5a, 0xdf, 0x42, 0x6d, 0x5d, 0xcb, 0x86, 0x08, 0xb2, 0x20,
	0xea, 0x81, 0x60, 0xe9, 0xe6, 0x3f, 0xb3, 0xfd, 0xb8, 0xaf, 0x4c, 0x38, 0xf1, 0x78, 0xb0, 0x0f,
	0xb5, 0xad, 0xd7, 0x23, 0xaa, 0x41, 0xe9, 0xe8, 0xd9, 0xe8, 0xb0, 0xdf, 0x1b, 0x3c, 0x1a, 0xf4,
	0xf7, 0xdd, 0x2b, 0x08, 0x20, 0x3f, 0x1a, 0x3c, 0x7b, 0xfc, 0xb4, 0xef, 0x5a, 0xc8, 0x81, 0xdc,
	0xc1, 0xd1, 0xd3, 0xf1, 0xc0, 0xcd, 0xa8, 0xe5, 0xf8, 0xf9, 0xf0, 0xb0, 0xe7, 0xda, 0x0f, 0xbe,
	0x81, 0x52, 0x4f, 0xbf, 0x81, 0x87, 0x3c, 0x24, 0x5c, 0x6d, 0x78, 0x36, 0xc4, 0x07, 0xbb, 0x4f,
	0xdd, 0x2b, 0xa8, 0x00, 0xf6, 0x21, 0x56, 0x3b, 0x8b, 0x90, 0x3d, 0x1c, 0x8e, 0xc6, 0x6e, 0x06,
	0x55, 0x01, 0x76, 0x8f, 0xc6, 0xc3, 0xde, 0xf0, 0xe0, 0x60, 0x30, 0x76, 0xed, 0xbd, 0xaf, 0xa0,
	0x46, 0x59, 0x67, 0x41, 0x25, 0x11, 0xc2, 0x3c, 0xf1, 0x7f, 0xb8, 0x9d, 0x48, 0x94, 0x75, 0xcd,
	0xaa, 0x3b, 0x65, 0xdd, 0x85, 0xec, 0x6a, 0x6b, 0xd7, 0xb4, 0xe6, 0x8b, 0xbc, 0x96, 0xbe, 0xf8,
	0x3b, 0x00, 0x00, 0xff, 0xff, 0x0a, 0x94, 0x91, 0x45, 0x62, 0x0c, 0x00, 0x00,
}
