// Code generated by protoc-gen-go. DO NOT EDIT.
// source: tabletmanagerdata.proto

package tabletmanagerdata

import (
	fmt "fmt"
	math "math"

	proto "github.com/golang/protobuf/proto"
	logutil "vitess.io/vitess/go/vt/proto/logutil"
	query "vitess.io/vitess/go/vt/proto/query"
	replicationdata "vitess.io/vitess/go/vt/proto/replicationdata"
	topodata "vitess.io/vitess/go/vt/proto/topodata"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type TableDefinition struct {
	// the table name
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// the SQL to run to create the table
	Schema string `protobuf:"bytes,2,opt,name=schema,proto3" json:"schema,omitempty"`
	// the columns in the order that will be used to dump and load the data
	Columns []string `protobuf:"bytes,3,rep,name=columns,proto3" json:"columns,omitempty"`
	// the primary key columns in the primary key order
	PrimaryKeyColumns []string `protobuf:"bytes,4,rep,name=primary_key_columns,json=primaryKeyColumns,proto3" json:"primary_key_columns,omitempty"`
	// type is either mysqlctl.TableBaseTable or mysqlctl.TableView
	Type string `protobuf:"bytes,5,opt,name=type,proto3" json:"type,omitempty"`
	// how much space the data file takes.
	DataLength uint64 `protobuf:"varint,6,opt,name=data_length,json=dataLength,proto3" json:"data_length,omitempty"`
	// approximate number of rows
	RowCount uint64 `protobuf:"varint,7,opt,name=row_count,json=rowCount,proto3" json:"row_count,omitempty"`
	// column names along with their types.
	// NOTE: this is a superset of columns.
	Fields               []*query.Field `protobuf:"bytes,8,rep,name=fields,proto3" json:"fields,omitempty"`
	XXX_NoUnkeyedLiteral struct{}       `json:"-"`
	XXX_unrecognized     []byte         `json:"-"`
	XXX_sizecache        int32          `json:"-"`
}

func (m *TableDefinition) Reset()         { *m = TableDefinition{} }
func (m *TableDefinition) String() string { return proto.CompactTextString(m) }
func (*TableDefinition) ProtoMessage()    {}
func (*TableDefinition) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{0}
}

func (m *TableDefinition) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TableDefinition.Unmarshal(m, b)
}
func (m *TableDefinition) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TableDefinition.Marshal(b, m, deterministic)
}
func (m *TableDefinition) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TableDefinition.Merge(m, src)
}
func (m *TableDefinition) XXX_Size() int {
	return xxx_messageInfo_TableDefinition.Size(m)
}
func (m *TableDefinition) XXX_DiscardUnknown() {
	xxx_messageInfo_TableDefinition.DiscardUnknown(m)
}

var xxx_messageInfo_TableDefinition proto.InternalMessageInfo

func (m *TableDefinition) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *TableDefinition) GetSchema() string {
	if m != nil {
		return m.Schema
	}
	return ""
}

func (m *TableDefinition) GetColumns() []string {
	if m != nil {
		return m.Columns
	}
	return nil
}

func (m *TableDefinition) GetPrimaryKeyColumns() []string {
	if m != nil {
		return m.PrimaryKeyColumns
	}
	return nil
}

func (m *TableDefinition) GetType() string {
	if m != nil {
		return m.Type
	}
	return ""
}

func (m *TableDefinition) GetDataLength() uint64 {
	if m != nil {
		return m.DataLength
	}
	return 0
}

func (m *TableDefinition) GetRowCount() uint64 {
	if m != nil {
		return m.RowCount
	}
	return 0
}

func (m *TableDefinition) GetFields() []*query.Field {
	if m != nil {
		return m.Fields
	}
	return nil
}

type SchemaDefinition struct {
	DatabaseSchema       string             `protobuf:"bytes,1,opt,name=database_schema,json=databaseSchema,proto3" json:"database_schema,omitempty"`
	TableDefinitions     []*TableDefinition `protobuf:"bytes,2,rep,name=table_definitions,json=tableDefinitions,proto3" json:"table_definitions,omitempty"`
	Version              string             `protobuf:"bytes,3,opt,name=version,proto3" json:"version,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *SchemaDefinition) Reset()         { *m = SchemaDefinition{} }
func (m *SchemaDefinition) String() string { return proto.CompactTextString(m) }
func (*SchemaDefinition) ProtoMessage()    {}
func (*SchemaDefinition) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{1}
}

func (m *SchemaDefinition) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SchemaDefinition.Unmarshal(m, b)
}
func (m *SchemaDefinition) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SchemaDefinition.Marshal(b, m, deterministic)
}
func (m *SchemaDefinition) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SchemaDefinition.Merge(m, src)
}
func (m *SchemaDefinition) XXX_Size() int {
	return xxx_messageInfo_SchemaDefinition.Size(m)
}
func (m *SchemaDefinition) XXX_DiscardUnknown() {
	xxx_messageInfo_SchemaDefinition.DiscardUnknown(m)
}

var xxx_messageInfo_SchemaDefinition proto.InternalMessageInfo

func (m *SchemaDefinition) GetDatabaseSchema() string {
	if m != nil {
		return m.DatabaseSchema
	}
	return ""
}

func (m *SchemaDefinition) GetTableDefinitions() []*TableDefinition {
	if m != nil {
		return m.TableDefinitions
	}
	return nil
}

func (m *SchemaDefinition) GetVersion() string {
	if m != nil {
		return m.Version
	}
	return ""
}

type SchemaChangeResult struct {
	// before_schema holds the schema before each change.
	BeforeSchema *SchemaDefinition `protobuf:"bytes,1,opt,name=before_schema,json=beforeSchema,proto3" json:"before_schema,omitempty"`
	// after_schema holds the schema after each change.
	AfterSchema          *SchemaDefinition `protobuf:"bytes,2,opt,name=after_schema,json=afterSchema,proto3" json:"after_schema,omitempty"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *SchemaChangeResult) Reset()         { *m = SchemaChangeResult{} }
func (m *SchemaChangeResult) String() string { return proto.CompactTextString(m) }
func (*SchemaChangeResult) ProtoMessage()    {}
func (*SchemaChangeResult) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{2}
}

func (m *SchemaChangeResult) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SchemaChangeResult.Unmarshal(m, b)
}
func (m *SchemaChangeResult) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SchemaChangeResult.Marshal(b, m, deterministic)
}
func (m *SchemaChangeResult) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SchemaChangeResult.Merge(m, src)
}
func (m *SchemaChangeResult) XXX_Size() int {
	return xxx_messageInfo_SchemaChangeResult.Size(m)
}
func (m *SchemaChangeResult) XXX_DiscardUnknown() {
	xxx_messageInfo_SchemaChangeResult.DiscardUnknown(m)
}

var xxx_messageInfo_SchemaChangeResult proto.InternalMessageInfo

func (m *SchemaChangeResult) GetBeforeSchema() *SchemaDefinition {
	if m != nil {
		return m.BeforeSchema
	}
	return nil
}

func (m *SchemaChangeResult) GetAfterSchema() *SchemaDefinition {
	if m != nil {
		return m.AfterSchema
	}
	return nil
}

// UserPermission describes a single row in the mysql.user table
// Primary key is Host+User
// PasswordChecksum is the crc64 of the password, for security reasons
type UserPermission struct {
	Host                 string            `protobuf:"bytes,1,opt,name=host,proto3" json:"host,omitempty"`
	User                 string            `protobuf:"bytes,2,opt,name=user,proto3" json:"user,omitempty"`
	PasswordChecksum     uint64            `protobuf:"varint,3,opt,name=password_checksum,json=passwordChecksum,proto3" json:"password_checksum,omitempty"`
	Privileges           map[string]string `protobuf:"bytes,4,rep,name=privileges,proto3" json:"privileges,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *UserPermission) Reset()         { *m = UserPermission{} }
func (m *UserPermission) String() string { return proto.CompactTextString(m) }
func (*UserPermission) ProtoMessage()    {}
func (*UserPermission) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{3}
}

func (m *UserPermission) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UserPermission.Unmarshal(m, b)
}
func (m *UserPermission) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UserPermission.Marshal(b, m, deterministic)
}
func (m *UserPermission) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UserPermission.Merge(m, src)
}
func (m *UserPermission) XXX_Size() int {
	return xxx_messageInfo_UserPermission.Size(m)
}
func (m *UserPermission) XXX_DiscardUnknown() {
	xxx_messageInfo_UserPermission.DiscardUnknown(m)
}

var xxx_messageInfo_UserPermission proto.InternalMessageInfo

func (m *UserPermission) GetHost() string {
	if m != nil {
		return m.Host
	}
	return ""
}

func (m *UserPermission) GetUser() string {
	if m != nil {
		return m.User
	}
	return ""
}

func (m *UserPermission) GetPasswordChecksum() uint64 {
	if m != nil {
		return m.PasswordChecksum
	}
	return 0
}

func (m *UserPermission) GetPrivileges() map[string]string {
	if m != nil {
		return m.Privileges
	}
	return nil
}

// DbPermission describes a single row in the mysql.db table
// Primary key is Host+Db+User
type DbPermission struct {
	Host                 string            `protobuf:"bytes,1,opt,name=host,proto3" json:"host,omitempty"`
	Db                   string            `protobuf:"bytes,2,opt,name=db,proto3" json:"db,omitempty"`
	User                 string            `protobuf:"bytes,3,opt,name=user,proto3" json:"user,omitempty"`
	Privileges           map[string]string `protobuf:"bytes,4,rep,name=privileges,proto3" json:"privileges,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *DbPermission) Reset()         { *m = DbPermission{} }
func (m *DbPermission) String() string { return proto.CompactTextString(m) }
func (*DbPermission) ProtoMessage()    {}
func (*DbPermission) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{4}
}

func (m *DbPermission) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DbPermission.Unmarshal(m, b)
}
func (m *DbPermission) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DbPermission.Marshal(b, m, deterministic)
}
func (m *DbPermission) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DbPermission.Merge(m, src)
}
func (m *DbPermission) XXX_Size() int {
	return xxx_messageInfo_DbPermission.Size(m)
}
func (m *DbPermission) XXX_DiscardUnknown() {
	xxx_messageInfo_DbPermission.DiscardUnknown(m)
}

var xxx_messageInfo_DbPermission proto.InternalMessageInfo

func (m *DbPermission) GetHost() string {
	if m != nil {
		return m.Host
	}
	return ""
}

func (m *DbPermission) GetDb() string {
	if m != nil {
		return m.Db
	}
	return ""
}

func (m *DbPermission) GetUser() string {
	if m != nil {
		return m.User
	}
	return ""
}

func (m *DbPermission) GetPrivileges() map[string]string {
	if m != nil {
		return m.Privileges
	}
	return nil
}

// Permissions have all the rows in mysql.{user,db} tables,
// (all rows are sorted by primary key)
type Permissions struct {
	UserPermissions      []*UserPermission `protobuf:"bytes,1,rep,name=user_permissions,json=userPermissions,proto3" json:"user_permissions,omitempty"`
	DbPermissions        []*DbPermission   `protobuf:"bytes,2,rep,name=db_permissions,json=dbPermissions,proto3" json:"db_permissions,omitempty"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *Permissions) Reset()         { *m = Permissions{} }
func (m *Permissions) String() string { return proto.CompactTextString(m) }
func (*Permissions) ProtoMessage()    {}
func (*Permissions) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{5}
}

func (m *Permissions) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Permissions.Unmarshal(m, b)
}
func (m *Permissions) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Permissions.Marshal(b, m, deterministic)
}
func (m *Permissions) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Permissions.Merge(m, src)
}
func (m *Permissions) XXX_Size() int {
	return xxx_messageInfo_Permissions.Size(m)
}
func (m *Permissions) XXX_DiscardUnknown() {
	xxx_messageInfo_Permissions.DiscardUnknown(m)
}

var xxx_messageInfo_Permissions proto.InternalMessageInfo

func (m *Permissions) GetUserPermissions() []*UserPermission {
	if m != nil {
		return m.UserPermissions
	}
	return nil
}

func (m *Permissions) GetDbPermissions() []*DbPermission {
	if m != nil {
		return m.DbPermissions
	}
	return nil
}

type PingRequest struct {
	Payload              string   `protobuf:"bytes,1,opt,name=payload,proto3" json:"payload,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PingRequest) Reset()         { *m = PingRequest{} }
func (m *PingRequest) String() string { return proto.CompactTextString(m) }
func (*PingRequest) ProtoMessage()    {}
func (*PingRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{6}
}

func (m *PingRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PingRequest.Unmarshal(m, b)
}
func (m *PingRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PingRequest.Marshal(b, m, deterministic)
}
func (m *PingRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PingRequest.Merge(m, src)
}
func (m *PingRequest) XXX_Size() int {
	return xxx_messageInfo_PingRequest.Size(m)
}
func (m *PingRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_PingRequest.DiscardUnknown(m)
}

var xxx_messageInfo_PingRequest proto.InternalMessageInfo

func (m *PingRequest) GetPayload() string {
	if m != nil {
		return m.Payload
	}
	return ""
}

type PingResponse struct {
	Payload              string   `protobuf:"bytes,1,opt,name=payload,proto3" json:"payload,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PingResponse) Reset()         { *m = PingResponse{} }
func (m *PingResponse) String() string { return proto.CompactTextString(m) }
func (*PingResponse) ProtoMessage()    {}
func (*PingResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{7}
}

func (m *PingResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PingResponse.Unmarshal(m, b)
}
func (m *PingResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PingResponse.Marshal(b, m, deterministic)
}
func (m *PingResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PingResponse.Merge(m, src)
}
func (m *PingResponse) XXX_Size() int {
	return xxx_messageInfo_PingResponse.Size(m)
}
func (m *PingResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_PingResponse.DiscardUnknown(m)
}

var xxx_messageInfo_PingResponse proto.InternalMessageInfo

func (m *PingResponse) GetPayload() string {
	if m != nil {
		return m.Payload
	}
	return ""
}

type SleepRequest struct {
	// duration is in nanoseconds
	Duration             int64    `protobuf:"varint,1,opt,name=duration,proto3" json:"duration,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SleepRequest) Reset()         { *m = SleepRequest{} }
func (m *SleepRequest) String() string { return proto.CompactTextString(m) }
func (*SleepRequest) ProtoMessage()    {}
func (*SleepRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{8}
}

func (m *SleepRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SleepRequest.Unmarshal(m, b)
}
func (m *SleepRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SleepRequest.Marshal(b, m, deterministic)
}
func (m *SleepRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SleepRequest.Merge(m, src)
}
func (m *SleepRequest) XXX_Size() int {
	return xxx_messageInfo_SleepRequest.Size(m)
}
func (m *SleepRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SleepRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SleepRequest proto.InternalMessageInfo

func (m *SleepRequest) GetDuration() int64 {
	if m != nil {
		return m.Duration
	}
	return 0
}

type SleepResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SleepResponse) Reset()         { *m = SleepResponse{} }
func (m *SleepResponse) String() string { return proto.CompactTextString(m) }
func (*SleepResponse) ProtoMessage()    {}
func (*SleepResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{9}
}

func (m *SleepResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SleepResponse.Unmarshal(m, b)
}
func (m *SleepResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SleepResponse.Marshal(b, m, deterministic)
}
func (m *SleepResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SleepResponse.Merge(m, src)
}
func (m *SleepResponse) XXX_Size() int {
	return xxx_messageInfo_SleepResponse.Size(m)
}
func (m *SleepResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SleepResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SleepResponse proto.InternalMessageInfo

type ExecuteHookRequest struct {
	Name                 string            `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Parameters           []string          `protobuf:"bytes,2,rep,name=parameters,proto3" json:"parameters,omitempty"`
	ExtraEnv             map[string]string `protobuf:"bytes,3,rep,name=extra_env,json=extraEnv,proto3" json:"extra_env,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *ExecuteHookRequest) Reset()         { *m = ExecuteHookRequest{} }
func (m *ExecuteHookRequest) String() string { return proto.CompactTextString(m) }
func (*ExecuteHookRequest) ProtoMessage()    {}
func (*ExecuteHookRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{10}
}

func (m *ExecuteHookRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ExecuteHookRequest.Unmarshal(m, b)
}
func (m *ExecuteHookRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ExecuteHookRequest.Marshal(b, m, deterministic)
}
func (m *ExecuteHookRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ExecuteHookRequest.Merge(m, src)
}
func (m *ExecuteHookRequest) XXX_Size() int {
	return xxx_messageInfo_ExecuteHookRequest.Size(m)
}
func (m *ExecuteHookRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ExecuteHookRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ExecuteHookRequest proto.InternalMessageInfo

func (m *ExecuteHookRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *ExecuteHookRequest) GetParameters() []string {
	if m != nil {
		return m.Parameters
	}
	return nil
}

func (m *ExecuteHookRequest) GetExtraEnv() map[string]string {
	if m != nil {
		return m.ExtraEnv
	}
	return nil
}

type ExecuteHookResponse struct {
	ExitStatus           int64    `protobuf:"varint,1,opt,name=exit_status,json=exitStatus,proto3" json:"exit_status,omitempty"`
	Stdout               string   `protobuf:"bytes,2,opt,name=stdout,proto3" json:"stdout,omitempty"`
	Stderr               string   `protobuf:"bytes,3,opt,name=stderr,proto3" json:"stderr,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ExecuteHookResponse) Reset()         { *m = ExecuteHookResponse{} }
func (m *ExecuteHookResponse) String() string { return proto.CompactTextString(m) }
func (*ExecuteHookResponse) ProtoMessage()    {}
func (*ExecuteHookResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{11}
}

func (m *ExecuteHookResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ExecuteHookResponse.Unmarshal(m, b)
}
func (m *ExecuteHookResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ExecuteHookResponse.Marshal(b, m, deterministic)
}
func (m *ExecuteHookResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ExecuteHookResponse.Merge(m, src)
}
func (m *ExecuteHookResponse) XXX_Size() int {
	return xxx_messageInfo_ExecuteHookResponse.Size(m)
}
func (m *ExecuteHookResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ExecuteHookResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ExecuteHookResponse proto.InternalMessageInfo

func (m *ExecuteHookResponse) GetExitStatus() int64 {
	if m != nil {
		return m.ExitStatus
	}
	return 0
}

func (m *ExecuteHookResponse) GetStdout() string {
	if m != nil {
		return m.Stdout
	}
	return ""
}

func (m *ExecuteHookResponse) GetStderr() string {
	if m != nil {
		return m.Stderr
	}
	return ""
}

type GetSchemaRequest struct {
	Tables               []string `protobuf:"bytes,1,rep,name=tables,proto3" json:"tables,omitempty"`
	IncludeViews         bool     `protobuf:"varint,2,opt,name=include_views,json=includeViews,proto3" json:"include_views,omitempty"`
	ExcludeTables        []string `protobuf:"bytes,3,rep,name=exclude_tables,json=excludeTables,proto3" json:"exclude_tables,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetSchemaRequest) Reset()         { *m = GetSchemaRequest{} }
func (m *GetSchemaRequest) String() string { return proto.CompactTextString(m) }
func (*GetSchemaRequest) ProtoMessage()    {}
func (*GetSchemaRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{12}
}

func (m *GetSchemaRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetSchemaRequest.Unmarshal(m, b)
}
func (m *GetSchemaRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetSchemaRequest.Marshal(b, m, deterministic)
}
func (m *GetSchemaRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetSchemaRequest.Merge(m, src)
}
func (m *GetSchemaRequest) XXX_Size() int {
	return xxx_messageInfo_GetSchemaRequest.Size(m)
}
func (m *GetSchemaRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetSchemaRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetSchemaRequest proto.InternalMessageInfo

func (m *GetSchemaRequest) GetTables() []string {
	if m != nil {
		return m.Tables
	}
	return nil
}

func (m *GetSchemaRequest) GetIncludeViews() bool {
	if m != nil {
		return m.IncludeViews
	}
	return false
}

func (m *GetSchemaRequest) GetExcludeTables() []string {
	if m != nil {
		return m.ExcludeTables
	}
	return nil
}

type GetSchemaResponse struct {
	SchemaDefinition     *SchemaDefinition `protobuf:"bytes,1,opt,name=schema_definition,json=schemaDefinition,proto3" json:"schema_definition,omitempty"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *GetSchemaResponse) Reset()         { *m = GetSchemaResponse{} }
func (m *GetSchemaResponse) String() string { return proto.CompactTextString(m) }
func (*GetSchemaResponse) ProtoMessage()    {}
func (*GetSchemaResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{13}
}

func (m *GetSchemaResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetSchemaResponse.Unmarshal(m, b)
}
func (m *GetSchemaResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetSchemaResponse.Marshal(b, m, deterministic)
}
func (m *GetSchemaResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetSchemaResponse.Merge(m, src)
}
func (m *GetSchemaResponse) XXX_Size() int {
	return xxx_messageInfo_GetSchemaResponse.Size(m)
}
func (m *GetSchemaResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetSchemaResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetSchemaResponse proto.InternalMessageInfo

func (m *GetSchemaResponse) GetSchemaDefinition() *SchemaDefinition {
	if m != nil {
		return m.SchemaDefinition
	}
	return nil
}

type GetPermissionsRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetPermissionsRequest) Reset()         { *m = GetPermissionsRequest{} }
func (m *GetPermissionsRequest) String() string { return proto.CompactTextString(m) }
func (*GetPermissionsRequest) ProtoMessage()    {}
func (*GetPermissionsRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{14}
}

func (m *GetPermissionsRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetPermissionsRequest.Unmarshal(m, b)
}
func (m *GetPermissionsRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetPermissionsRequest.Marshal(b, m, deterministic)
}
func (m *GetPermissionsRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetPermissionsRequest.Merge(m, src)
}
func (m *GetPermissionsRequest) XXX_Size() int {
	return xxx_messageInfo_GetPermissionsRequest.Size(m)
}
func (m *GetPermissionsRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetPermissionsRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetPermissionsRequest proto.InternalMessageInfo

type GetPermissionsResponse struct {
	Permissions          *Permissions `protobuf:"bytes,1,opt,name=permissions,proto3" json:"permissions,omitempty"`
	XXX_NoUnkeyedLiteral struct{}     `json:"-"`
	XXX_unrecognized     []byte       `json:"-"`
	XXX_sizecache        int32        `json:"-"`
}

func (m *GetPermissionsResponse) Reset()         { *m = GetPermissionsResponse{} }
func (m *GetPermissionsResponse) String() string { return proto.CompactTextString(m) }
func (*GetPermissionsResponse) ProtoMessage()    {}
func (*GetPermissionsResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{15}
}

func (m *GetPermissionsResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetPermissionsResponse.Unmarshal(m, b)
}
func (m *GetPermissionsResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetPermissionsResponse.Marshal(b, m, deterministic)
}
func (m *GetPermissionsResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetPermissionsResponse.Merge(m, src)
}
func (m *GetPermissionsResponse) XXX_Size() int {
	return xxx_messageInfo_GetPermissionsResponse.Size(m)
}
func (m *GetPermissionsResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetPermissionsResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetPermissionsResponse proto.InternalMessageInfo

func (m *GetPermissionsResponse) GetPermissions() *Permissions {
	if m != nil {
		return m.Permissions
	}
	return nil
}

type SetReadOnlyRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SetReadOnlyRequest) Reset()         { *m = SetReadOnlyRequest{} }
func (m *SetReadOnlyRequest) String() string { return proto.CompactTextString(m) }
func (*SetReadOnlyRequest) ProtoMessage()    {}
func (*SetReadOnlyRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{16}
}

func (m *SetReadOnlyRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SetReadOnlyRequest.Unmarshal(m, b)
}
func (m *SetReadOnlyRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SetReadOnlyRequest.Marshal(b, m, deterministic)
}
func (m *SetReadOnlyRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SetReadOnlyRequest.Merge(m, src)
}
func (m *SetReadOnlyRequest) XXX_Size() int {
	return xxx_messageInfo_SetReadOnlyRequest.Size(m)
}
func (m *SetReadOnlyRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SetReadOnlyRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SetReadOnlyRequest proto.InternalMessageInfo

type SetReadOnlyResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SetReadOnlyResponse) Reset()         { *m = SetReadOnlyResponse{} }
func (m *SetReadOnlyResponse) String() string { return proto.CompactTextString(m) }
func (*SetReadOnlyResponse) ProtoMessage()    {}
func (*SetReadOnlyResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{17}
}

func (m *SetReadOnlyResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SetReadOnlyResponse.Unmarshal(m, b)
}
func (m *SetReadOnlyResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SetReadOnlyResponse.Marshal(b, m, deterministic)
}
func (m *SetReadOnlyResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SetReadOnlyResponse.Merge(m, src)
}
func (m *SetReadOnlyResponse) XXX_Size() int {
	return xxx_messageInfo_SetReadOnlyResponse.Size(m)
}
func (m *SetReadOnlyResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SetReadOnlyResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SetReadOnlyResponse proto.InternalMessageInfo

type SetReadWriteRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SetReadWriteRequest) Reset()         { *m = SetReadWriteRequest{} }
func (m *SetReadWriteRequest) String() string { return proto.CompactTextString(m) }
func (*SetReadWriteRequest) ProtoMessage()    {}
func (*SetReadWriteRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{18}
}

func (m *SetReadWriteRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SetReadWriteRequest.Unmarshal(m, b)
}
func (m *SetReadWriteRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SetReadWriteRequest.Marshal(b, m, deterministic)
}
func (m *SetReadWriteRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SetReadWriteRequest.Merge(m, src)
}
func (m *SetReadWriteRequest) XXX_Size() int {
	return xxx_messageInfo_SetReadWriteRequest.Size(m)
}
func (m *SetReadWriteRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SetReadWriteRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SetReadWriteRequest proto.InternalMessageInfo

type SetReadWriteResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SetReadWriteResponse) Reset()         { *m = SetReadWriteResponse{} }
func (m *SetReadWriteResponse) String() string { return proto.CompactTextString(m) }
func (*SetReadWriteResponse) ProtoMessage()    {}
func (*SetReadWriteResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{19}
}

func (m *SetReadWriteResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SetReadWriteResponse.Unmarshal(m, b)
}
func (m *SetReadWriteResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SetReadWriteResponse.Marshal(b, m, deterministic)
}
func (m *SetReadWriteResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SetReadWriteResponse.Merge(m, src)
}
func (m *SetReadWriteResponse) XXX_Size() int {
	return xxx_messageInfo_SetReadWriteResponse.Size(m)
}
func (m *SetReadWriteResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SetReadWriteResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SetReadWriteResponse proto.InternalMessageInfo

type ChangeTypeRequest struct {
	TabletType           topodata.TabletType `protobuf:"varint,1,opt,name=tablet_type,json=tabletType,proto3,enum=topodata.TabletType" json:"tablet_type,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *ChangeTypeRequest) Reset()         { *m = ChangeTypeRequest{} }
func (m *ChangeTypeRequest) String() string { return proto.CompactTextString(m) }
func (*ChangeTypeRequest) ProtoMessage()    {}
func (*ChangeTypeRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{20}
}

func (m *ChangeTypeRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ChangeTypeRequest.Unmarshal(m, b)
}
func (m *ChangeTypeRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ChangeTypeRequest.Marshal(b, m, deterministic)
}
func (m *ChangeTypeRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ChangeTypeRequest.Merge(m, src)
}
func (m *ChangeTypeRequest) XXX_Size() int {
	return xxx_messageInfo_ChangeTypeRequest.Size(m)
}
func (m *ChangeTypeRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ChangeTypeRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ChangeTypeRequest proto.InternalMessageInfo

func (m *ChangeTypeRequest) GetTabletType() topodata.TabletType {
	if m != nil {
		return m.TabletType
	}
	return topodata.TabletType_UNKNOWN
}

type ChangeTypeResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ChangeTypeResponse) Reset()         { *m = ChangeTypeResponse{} }
func (m *ChangeTypeResponse) String() string { return proto.CompactTextString(m) }
func (*ChangeTypeResponse) ProtoMessage()    {}
func (*ChangeTypeResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{21}
}

func (m *ChangeTypeResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ChangeTypeResponse.Unmarshal(m, b)
}
func (m *ChangeTypeResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ChangeTypeResponse.Marshal(b, m, deterministic)
}
func (m *ChangeTypeResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ChangeTypeResponse.Merge(m, src)
}
func (m *ChangeTypeResponse) XXX_Size() int {
	return xxx_messageInfo_ChangeTypeResponse.Size(m)
}
func (m *ChangeTypeResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ChangeTypeResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ChangeTypeResponse proto.InternalMessageInfo

type RefreshStateRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RefreshStateRequest) Reset()         { *m = RefreshStateRequest{} }
func (m *RefreshStateRequest) String() string { return proto.CompactTextString(m) }
func (*RefreshStateRequest) ProtoMessage()    {}
func (*RefreshStateRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{22}
}

func (m *RefreshStateRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RefreshStateRequest.Unmarshal(m, b)
}
func (m *RefreshStateRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RefreshStateRequest.Marshal(b, m, deterministic)
}
func (m *RefreshStateRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RefreshStateRequest.Merge(m, src)
}
func (m *RefreshStateRequest) XXX_Size() int {
	return xxx_messageInfo_RefreshStateRequest.Size(m)
}
func (m *RefreshStateRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_RefreshStateRequest.DiscardUnknown(m)
}

var xxx_messageInfo_RefreshStateRequest proto.InternalMessageInfo

type RefreshStateResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RefreshStateResponse) Reset()         { *m = RefreshStateResponse{} }
func (m *RefreshStateResponse) String() string { return proto.CompactTextString(m) }
func (*RefreshStateResponse) ProtoMessage()    {}
func (*RefreshStateResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{23}
}

func (m *RefreshStateResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RefreshStateResponse.Unmarshal(m, b)
}
func (m *RefreshStateResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RefreshStateResponse.Marshal(b, m, deterministic)
}
func (m *RefreshStateResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RefreshStateResponse.Merge(m, src)
}
func (m *RefreshStateResponse) XXX_Size() int {
	return xxx_messageInfo_RefreshStateResponse.Size(m)
}
func (m *RefreshStateResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_RefreshStateResponse.DiscardUnknown(m)
}

var xxx_messageInfo_RefreshStateResponse proto.InternalMessageInfo

type RunHealthCheckRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RunHealthCheckRequest) Reset()         { *m = RunHealthCheckRequest{} }
func (m *RunHealthCheckRequest) String() string { return proto.CompactTextString(m) }
func (*RunHealthCheckRequest) ProtoMessage()    {}
func (*RunHealthCheckRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{24}
}

func (m *RunHealthCheckRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RunHealthCheckRequest.Unmarshal(m, b)
}
func (m *RunHealthCheckRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RunHealthCheckRequest.Marshal(b, m, deterministic)
}
func (m *RunHealthCheckRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RunHealthCheckRequest.Merge(m, src)
}
func (m *RunHealthCheckRequest) XXX_Size() int {
	return xxx_messageInfo_RunHealthCheckRequest.Size(m)
}
func (m *RunHealthCheckRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_RunHealthCheckRequest.DiscardUnknown(m)
}

var xxx_messageInfo_RunHealthCheckRequest proto.InternalMessageInfo

type RunHealthCheckResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RunHealthCheckResponse) Reset()         { *m = RunHealthCheckResponse{} }
func (m *RunHealthCheckResponse) String() string { return proto.CompactTextString(m) }
func (*RunHealthCheckResponse) ProtoMessage()    {}
func (*RunHealthCheckResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{25}
}

func (m *RunHealthCheckResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RunHealthCheckResponse.Unmarshal(m, b)
}
func (m *RunHealthCheckResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RunHealthCheckResponse.Marshal(b, m, deterministic)
}
func (m *RunHealthCheckResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RunHealthCheckResponse.Merge(m, src)
}
func (m *RunHealthCheckResponse) XXX_Size() int {
	return xxx_messageInfo_RunHealthCheckResponse.Size(m)
}
func (m *RunHealthCheckResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_RunHealthCheckResponse.DiscardUnknown(m)
}

var xxx_messageInfo_RunHealthCheckResponse proto.InternalMessageInfo

type IgnoreHealthErrorRequest struct {
	Pattern              string   `protobuf:"bytes,1,opt,name=pattern,proto3" json:"pattern,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *IgnoreHealthErrorRequest) Reset()         { *m = IgnoreHealthErrorRequest{} }
func (m *IgnoreHealthErrorRequest) String() string { return proto.CompactTextString(m) }
func (*IgnoreHealthErrorRequest) ProtoMessage()    {}
func (*IgnoreHealthErrorRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{26}
}

func (m *IgnoreHealthErrorRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_IgnoreHealthErrorRequest.Unmarshal(m, b)
}
func (m *IgnoreHealthErrorRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_IgnoreHealthErrorRequest.Marshal(b, m, deterministic)
}
func (m *IgnoreHealthErrorRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_IgnoreHealthErrorRequest.Merge(m, src)
}
func (m *IgnoreHealthErrorRequest) XXX_Size() int {
	return xxx_messageInfo_IgnoreHealthErrorRequest.Size(m)
}
func (m *IgnoreHealthErrorRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_IgnoreHealthErrorRequest.DiscardUnknown(m)
}

var xxx_messageInfo_IgnoreHealthErrorRequest proto.InternalMessageInfo

func (m *IgnoreHealthErrorRequest) GetPattern() string {
	if m != nil {
		return m.Pattern
	}
	return ""
}

type IgnoreHealthErrorResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *IgnoreHealthErrorResponse) Reset()         { *m = IgnoreHealthErrorResponse{} }
func (m *IgnoreHealthErrorResponse) String() string { return proto.CompactTextString(m) }
func (*IgnoreHealthErrorResponse) ProtoMessage()    {}
func (*IgnoreHealthErrorResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{27}
}

func (m *IgnoreHealthErrorResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_IgnoreHealthErrorResponse.Unmarshal(m, b)
}
func (m *IgnoreHealthErrorResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_IgnoreHealthErrorResponse.Marshal(b, m, deterministic)
}
func (m *IgnoreHealthErrorResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_IgnoreHealthErrorResponse.Merge(m, src)
}
func (m *IgnoreHealthErrorResponse) XXX_Size() int {
	return xxx_messageInfo_IgnoreHealthErrorResponse.Size(m)
}
func (m *IgnoreHealthErrorResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_IgnoreHealthErrorResponse.DiscardUnknown(m)
}

var xxx_messageInfo_IgnoreHealthErrorResponse proto.InternalMessageInfo

type ReloadSchemaRequest struct {
	// wait_position allows scheduling a schema reload to occur after a
	// given DDL has replicated to this server, by specifying a replication
	// position to wait for. Leave empty to trigger the reload immediately.
	WaitPosition         string   `protobuf:"bytes,1,opt,name=wait_position,json=waitPosition,proto3" json:"wait_position,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ReloadSchemaRequest) Reset()         { *m = ReloadSchemaRequest{} }
func (m *ReloadSchemaRequest) String() string { return proto.CompactTextString(m) }
func (*ReloadSchemaRequest) ProtoMessage()    {}
func (*ReloadSchemaRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{28}
}

func (m *ReloadSchemaRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ReloadSchemaRequest.Unmarshal(m, b)
}
func (m *ReloadSchemaRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ReloadSchemaRequest.Marshal(b, m, deterministic)
}
func (m *ReloadSchemaRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ReloadSchemaRequest.Merge(m, src)
}
func (m *ReloadSchemaRequest) XXX_Size() int {
	return xxx_messageInfo_ReloadSchemaRequest.Size(m)
}
func (m *ReloadSchemaRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ReloadSchemaRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ReloadSchemaRequest proto.InternalMessageInfo

func (m *ReloadSchemaRequest) GetWaitPosition() string {
	if m != nil {
		return m.WaitPosition
	}
	return ""
}

type ReloadSchemaResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ReloadSchemaResponse) Reset()         { *m = ReloadSchemaResponse{} }
func (m *ReloadSchemaResponse) String() string { return proto.CompactTextString(m) }
func (*ReloadSchemaResponse) ProtoMessage()    {}
func (*ReloadSchemaResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{29}
}

func (m *ReloadSchemaResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ReloadSchemaResponse.Unmarshal(m, b)
}
func (m *ReloadSchemaResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ReloadSchemaResponse.Marshal(b, m, deterministic)
}
func (m *ReloadSchemaResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ReloadSchemaResponse.Merge(m, src)
}
func (m *ReloadSchemaResponse) XXX_Size() int {
	return xxx_messageInfo_ReloadSchemaResponse.Size(m)
}
func (m *ReloadSchemaResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ReloadSchemaResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ReloadSchemaResponse proto.InternalMessageInfo

type PreflightSchemaRequest struct {
	Changes              []string `protobuf:"bytes,1,rep,name=changes,proto3" json:"changes,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PreflightSchemaRequest) Reset()         { *m = PreflightSchemaRequest{} }
func (m *PreflightSchemaRequest) String() string { return proto.CompactTextString(m) }
func (*PreflightSchemaRequest) ProtoMessage()    {}
func (*PreflightSchemaRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{30}
}

func (m *PreflightSchemaRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PreflightSchemaRequest.Unmarshal(m, b)
}
func (m *PreflightSchemaRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PreflightSchemaRequest.Marshal(b, m, deterministic)
}
func (m *PreflightSchemaRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PreflightSchemaRequest.Merge(m, src)
}
func (m *PreflightSchemaRequest) XXX_Size() int {
	return xxx_messageInfo_PreflightSchemaRequest.Size(m)
}
func (m *PreflightSchemaRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_PreflightSchemaRequest.DiscardUnknown(m)
}

var xxx_messageInfo_PreflightSchemaRequest proto.InternalMessageInfo

func (m *PreflightSchemaRequest) GetChanges() []string {
	if m != nil {
		return m.Changes
	}
	return nil
}

type PreflightSchemaResponse struct {
	// change_results has for each change the schema before and after it.
	// The number of elements is identical to the length of "changes" in the request.
	ChangeResults        []*SchemaChangeResult `protobuf:"bytes,1,rep,name=change_results,json=changeResults,proto3" json:"change_results,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *PreflightSchemaResponse) Reset()         { *m = PreflightSchemaResponse{} }
func (m *PreflightSchemaResponse) String() string { return proto.CompactTextString(m) }
func (*PreflightSchemaResponse) ProtoMessage()    {}
func (*PreflightSchemaResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{31}
}

func (m *PreflightSchemaResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PreflightSchemaResponse.Unmarshal(m, b)
}
func (m *PreflightSchemaResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PreflightSchemaResponse.Marshal(b, m, deterministic)
}
func (m *PreflightSchemaResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PreflightSchemaResponse.Merge(m, src)
}
func (m *PreflightSchemaResponse) XXX_Size() int {
	return xxx_messageInfo_PreflightSchemaResponse.Size(m)
}
func (m *PreflightSchemaResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_PreflightSchemaResponse.DiscardUnknown(m)
}

var xxx_messageInfo_PreflightSchemaResponse proto.InternalMessageInfo

func (m *PreflightSchemaResponse) GetChangeResults() []*SchemaChangeResult {
	if m != nil {
		return m.ChangeResults
	}
	return nil
}

type ApplySchemaRequest struct {
	Sql                  string            `protobuf:"bytes,1,opt,name=sql,proto3" json:"sql,omitempty"`
	Force                bool              `protobuf:"varint,2,opt,name=force,proto3" json:"force,omitempty"`
	AllowReplication     bool              `protobuf:"varint,3,opt,name=allow_replication,json=allowReplication,proto3" json:"allow_replication,omitempty"`
	BeforeSchema         *SchemaDefinition `protobuf:"bytes,4,opt,name=before_schema,json=beforeSchema,proto3" json:"before_schema,omitempty"`
	AfterSchema          *SchemaDefinition `protobuf:"bytes,5,opt,name=after_schema,json=afterSchema,proto3" json:"after_schema,omitempty"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *ApplySchemaRequest) Reset()         { *m = ApplySchemaRequest{} }
func (m *ApplySchemaRequest) String() string { return proto.CompactTextString(m) }
func (*ApplySchemaRequest) ProtoMessage()    {}
func (*ApplySchemaRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{32}
}

func (m *ApplySchemaRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ApplySchemaRequest.Unmarshal(m, b)
}
func (m *ApplySchemaRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ApplySchemaRequest.Marshal(b, m, deterministic)
}
func (m *ApplySchemaRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ApplySchemaRequest.Merge(m, src)
}
func (m *ApplySchemaRequest) XXX_Size() int {
	return xxx_messageInfo_ApplySchemaRequest.Size(m)
}
func (m *ApplySchemaRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ApplySchemaRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ApplySchemaRequest proto.InternalMessageInfo

func (m *ApplySchemaRequest) GetSql() string {
	if m != nil {
		return m.Sql
	}
	return ""
}

func (m *ApplySchemaRequest) GetForce() bool {
	if m != nil {
		return m.Force
	}
	return false
}

func (m *ApplySchemaRequest) GetAllowReplication() bool {
	if m != nil {
		return m.AllowReplication
	}
	return false
}

func (m *ApplySchemaRequest) GetBeforeSchema() *SchemaDefinition {
	if m != nil {
		return m.BeforeSchema
	}
	return nil
}

func (m *ApplySchemaRequest) GetAfterSchema() *SchemaDefinition {
	if m != nil {
		return m.AfterSchema
	}
	return nil
}

type ApplySchemaResponse struct {
	BeforeSchema         *SchemaDefinition `protobuf:"bytes,1,opt,name=before_schema,json=beforeSchema,proto3" json:"before_schema,omitempty"`
	AfterSchema          *SchemaDefinition `protobuf:"bytes,2,opt,name=after_schema,json=afterSchema,proto3" json:"after_schema,omitempty"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *ApplySchemaResponse) Reset()         { *m = ApplySchemaResponse{} }
func (m *ApplySchemaResponse) String() string { return proto.CompactTextString(m) }
func (*ApplySchemaResponse) ProtoMessage()    {}
func (*ApplySchemaResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{33}
}

func (m *ApplySchemaResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ApplySchemaResponse.Unmarshal(m, b)
}
func (m *ApplySchemaResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ApplySchemaResponse.Marshal(b, m, deterministic)
}
func (m *ApplySchemaResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ApplySchemaResponse.Merge(m, src)
}
func (m *ApplySchemaResponse) XXX_Size() int {
	return xxx_messageInfo_ApplySchemaResponse.Size(m)
}
func (m *ApplySchemaResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ApplySchemaResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ApplySchemaResponse proto.InternalMessageInfo

func (m *ApplySchemaResponse) GetBeforeSchema() *SchemaDefinition {
	if m != nil {
		return m.BeforeSchema
	}
	return nil
}

func (m *ApplySchemaResponse) GetAfterSchema() *SchemaDefinition {
	if m != nil {
		return m.AfterSchema
	}
	return nil
}

type LockTablesRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *LockTablesRequest) Reset()         { *m = LockTablesRequest{} }
func (m *LockTablesRequest) String() string { return proto.CompactTextString(m) }
func (*LockTablesRequest) ProtoMessage()    {}
func (*LockTablesRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{34}
}

func (m *LockTablesRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_LockTablesRequest.Unmarshal(m, b)
}
func (m *LockTablesRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_LockTablesRequest.Marshal(b, m, deterministic)
}
func (m *LockTablesRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_LockTablesRequest.Merge(m, src)
}
func (m *LockTablesRequest) XXX_Size() int {
	return xxx_messageInfo_LockTablesRequest.Size(m)
}
func (m *LockTablesRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_LockTablesRequest.DiscardUnknown(m)
}

var xxx_messageInfo_LockTablesRequest proto.InternalMessageInfo

type LockTablesResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *LockTablesResponse) Reset()         { *m = LockTablesResponse{} }
func (m *LockTablesResponse) String() string { return proto.CompactTextString(m) }
func (*LockTablesResponse) ProtoMessage()    {}
func (*LockTablesResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{35}
}

func (m *LockTablesResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_LockTablesResponse.Unmarshal(m, b)
}
func (m *LockTablesResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_LockTablesResponse.Marshal(b, m, deterministic)
}
func (m *LockTablesResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_LockTablesResponse.Merge(m, src)
}
func (m *LockTablesResponse) XXX_Size() int {
	return xxx_messageInfo_LockTablesResponse.Size(m)
}
func (m *LockTablesResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_LockTablesResponse.DiscardUnknown(m)
}

var xxx_messageInfo_LockTablesResponse proto.InternalMessageInfo

type UnlockTablesRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UnlockTablesRequest) Reset()         { *m = UnlockTablesRequest{} }
func (m *UnlockTablesRequest) String() string { return proto.CompactTextString(m) }
func (*UnlockTablesRequest) ProtoMessage()    {}
func (*UnlockTablesRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{36}
}

func (m *UnlockTablesRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UnlockTablesRequest.Unmarshal(m, b)
}
func (m *UnlockTablesRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UnlockTablesRequest.Marshal(b, m, deterministic)
}
func (m *UnlockTablesRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UnlockTablesRequest.Merge(m, src)
}
func (m *UnlockTablesRequest) XXX_Size() int {
	return xxx_messageInfo_UnlockTablesRequest.Size(m)
}
func (m *UnlockTablesRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_UnlockTablesRequest.DiscardUnknown(m)
}

var xxx_messageInfo_UnlockTablesRequest proto.InternalMessageInfo

type UnlockTablesResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UnlockTablesResponse) Reset()         { *m = UnlockTablesResponse{} }
func (m *UnlockTablesResponse) String() string { return proto.CompactTextString(m) }
func (*UnlockTablesResponse) ProtoMessage()    {}
func (*UnlockTablesResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{37}
}

func (m *UnlockTablesResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UnlockTablesResponse.Unmarshal(m, b)
}
func (m *UnlockTablesResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UnlockTablesResponse.Marshal(b, m, deterministic)
}
func (m *UnlockTablesResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UnlockTablesResponse.Merge(m, src)
}
func (m *UnlockTablesResponse) XXX_Size() int {
	return xxx_messageInfo_UnlockTablesResponse.Size(m)
}
func (m *UnlockTablesResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_UnlockTablesResponse.DiscardUnknown(m)
}

var xxx_messageInfo_UnlockTablesResponse proto.InternalMessageInfo

type ExecuteFetchAsDbaRequest struct {
	Query                []byte   `protobuf:"bytes,1,opt,name=query,proto3" json:"query,omitempty"`
	DbName               string   `protobuf:"bytes,2,opt,name=db_name,json=dbName,proto3" json:"db_name,omitempty"`
	MaxRows              uint64   `protobuf:"varint,3,opt,name=max_rows,json=maxRows,proto3" json:"max_rows,omitempty"`
	DisableBinlogs       bool     `protobuf:"varint,4,opt,name=disable_binlogs,json=disableBinlogs,proto3" json:"disable_binlogs,omitempty"`
	ReloadSchema         bool     `protobuf:"varint,5,opt,name=reload_schema,json=reloadSchema,proto3" json:"reload_schema,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ExecuteFetchAsDbaRequest) Reset()         { *m = ExecuteFetchAsDbaRequest{} }
func (m *ExecuteFetchAsDbaRequest) String() string { return proto.CompactTextString(m) }
func (*ExecuteFetchAsDbaRequest) ProtoMessage()    {}
func (*ExecuteFetchAsDbaRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{38}
}

func (m *ExecuteFetchAsDbaRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ExecuteFetchAsDbaRequest.Unmarshal(m, b)
}
func (m *ExecuteFetchAsDbaRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ExecuteFetchAsDbaRequest.Marshal(b, m, deterministic)
}
func (m *ExecuteFetchAsDbaRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ExecuteFetchAsDbaRequest.Merge(m, src)
}
func (m *ExecuteFetchAsDbaRequest) XXX_Size() int {
	return xxx_messageInfo_ExecuteFetchAsDbaRequest.Size(m)
}
func (m *ExecuteFetchAsDbaRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ExecuteFetchAsDbaRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ExecuteFetchAsDbaRequest proto.InternalMessageInfo

func (m *ExecuteFetchAsDbaRequest) GetQuery() []byte {
	if m != nil {
		return m.Query
	}
	return nil
}

func (m *ExecuteFetchAsDbaRequest) GetDbName() string {
	if m != nil {
		return m.DbName
	}
	return ""
}

func (m *ExecuteFetchAsDbaRequest) GetMaxRows() uint64 {
	if m != nil {
		return m.MaxRows
	}
	return 0
}

func (m *ExecuteFetchAsDbaRequest) GetDisableBinlogs() bool {
	if m != nil {
		return m.DisableBinlogs
	}
	return false
}

func (m *ExecuteFetchAsDbaRequest) GetReloadSchema() bool {
	if m != nil {
		return m.ReloadSchema
	}
	return false
}

type ExecuteFetchAsDbaResponse struct {
	Result               *query.QueryResult `protobuf:"bytes,1,opt,name=result,proto3" json:"result,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *ExecuteFetchAsDbaResponse) Reset()         { *m = ExecuteFetchAsDbaResponse{} }
func (m *ExecuteFetchAsDbaResponse) String() string { return proto.CompactTextString(m) }
func (*ExecuteFetchAsDbaResponse) ProtoMessage()    {}
func (*ExecuteFetchAsDbaResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{39}
}

func (m *ExecuteFetchAsDbaResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ExecuteFetchAsDbaResponse.Unmarshal(m, b)
}
func (m *ExecuteFetchAsDbaResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ExecuteFetchAsDbaResponse.Marshal(b, m, deterministic)
}
func (m *ExecuteFetchAsDbaResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ExecuteFetchAsDbaResponse.Merge(m, src)
}
func (m *ExecuteFetchAsDbaResponse) XXX_Size() int {
	return xxx_messageInfo_ExecuteFetchAsDbaResponse.Size(m)
}
func (m *ExecuteFetchAsDbaResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ExecuteFetchAsDbaResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ExecuteFetchAsDbaResponse proto.InternalMessageInfo

func (m *ExecuteFetchAsDbaResponse) GetResult() *query.QueryResult {
	if m != nil {
		return m.Result
	}
	return nil
}

type ExecuteFetchAsAllPrivsRequest struct {
	Query                []byte   `protobuf:"bytes,1,opt,name=query,proto3" json:"query,omitempty"`
	DbName               string   `protobuf:"bytes,2,opt,name=db_name,json=dbName,proto3" json:"db_name,omitempty"`
	MaxRows              uint64   `protobuf:"varint,3,opt,name=max_rows,json=maxRows,proto3" json:"max_rows,omitempty"`
	ReloadSchema         bool     `protobuf:"varint,4,opt,name=reload_schema,json=reloadSchema,proto3" json:"reload_schema,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ExecuteFetchAsAllPrivsRequest) Reset()         { *m = ExecuteFetchAsAllPrivsRequest{} }
func (m *ExecuteFetchAsAllPrivsRequest) String() string { return proto.CompactTextString(m) }
func (*ExecuteFetchAsAllPrivsRequest) ProtoMessage()    {}
func (*ExecuteFetchAsAllPrivsRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{40}
}

func (m *ExecuteFetchAsAllPrivsRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ExecuteFetchAsAllPrivsRequest.Unmarshal(m, b)
}
func (m *ExecuteFetchAsAllPrivsRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ExecuteFetchAsAllPrivsRequest.Marshal(b, m, deterministic)
}
func (m *ExecuteFetchAsAllPrivsRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ExecuteFetchAsAllPrivsRequest.Merge(m, src)
}
func (m *ExecuteFetchAsAllPrivsRequest) XXX_Size() int {
	return xxx_messageInfo_ExecuteFetchAsAllPrivsRequest.Size(m)
}
func (m *ExecuteFetchAsAllPrivsRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ExecuteFetchAsAllPrivsRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ExecuteFetchAsAllPrivsRequest proto.InternalMessageInfo

func (m *ExecuteFetchAsAllPrivsRequest) GetQuery() []byte {
	if m != nil {
		return m.Query
	}
	return nil
}

func (m *ExecuteFetchAsAllPrivsRequest) GetDbName() string {
	if m != nil {
		return m.DbName
	}
	return ""
}

func (m *ExecuteFetchAsAllPrivsRequest) GetMaxRows() uint64 {
	if m != nil {
		return m.MaxRows
	}
	return 0
}

func (m *ExecuteFetchAsAllPrivsRequest) GetReloadSchema() bool {
	if m != nil {
		return m.ReloadSchema
	}
	return false
}

type ExecuteFetchAsAllPrivsResponse struct {
	Result               *query.QueryResult `protobuf:"bytes,1,opt,name=result,proto3" json:"result,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *ExecuteFetchAsAllPrivsResponse) Reset()         { *m = ExecuteFetchAsAllPrivsResponse{} }
func (m *ExecuteFetchAsAllPrivsResponse) String() string { return proto.CompactTextString(m) }
func (*ExecuteFetchAsAllPrivsResponse) ProtoMessage()    {}
func (*ExecuteFetchAsAllPrivsResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{41}
}

func (m *ExecuteFetchAsAllPrivsResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ExecuteFetchAsAllPrivsResponse.Unmarshal(m, b)
}
func (m *ExecuteFetchAsAllPrivsResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ExecuteFetchAsAllPrivsResponse.Marshal(b, m, deterministic)
}
func (m *ExecuteFetchAsAllPrivsResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ExecuteFetchAsAllPrivsResponse.Merge(m, src)
}
func (m *ExecuteFetchAsAllPrivsResponse) XXX_Size() int {
	return xxx_messageInfo_ExecuteFetchAsAllPrivsResponse.Size(m)
}
func (m *ExecuteFetchAsAllPrivsResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ExecuteFetchAsAllPrivsResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ExecuteFetchAsAllPrivsResponse proto.InternalMessageInfo

func (m *ExecuteFetchAsAllPrivsResponse) GetResult() *query.QueryResult {
	if m != nil {
		return m.Result
	}
	return nil
}

type ExecuteFetchAsAppRequest struct {
	Query                []byte   `protobuf:"bytes,1,opt,name=query,proto3" json:"query,omitempty"`
	MaxRows              uint64   `protobuf:"varint,2,opt,name=max_rows,json=maxRows,proto3" json:"max_rows,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ExecuteFetchAsAppRequest) Reset()         { *m = ExecuteFetchAsAppRequest{} }
func (m *ExecuteFetchAsAppRequest) String() string { return proto.CompactTextString(m) }
func (*ExecuteFetchAsAppRequest) ProtoMessage()    {}
func (*ExecuteFetchAsAppRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{42}
}

func (m *ExecuteFetchAsAppRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ExecuteFetchAsAppRequest.Unmarshal(m, b)
}
func (m *ExecuteFetchAsAppRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ExecuteFetchAsAppRequest.Marshal(b, m, deterministic)
}
func (m *ExecuteFetchAsAppRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ExecuteFetchAsAppRequest.Merge(m, src)
}
func (m *ExecuteFetchAsAppRequest) XXX_Size() int {
	return xxx_messageInfo_ExecuteFetchAsAppRequest.Size(m)
}
func (m *ExecuteFetchAsAppRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ExecuteFetchAsAppRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ExecuteFetchAsAppRequest proto.InternalMessageInfo

func (m *ExecuteFetchAsAppRequest) GetQuery() []byte {
	if m != nil {
		return m.Query
	}
	return nil
}

func (m *ExecuteFetchAsAppRequest) GetMaxRows() uint64 {
	if m != nil {
		return m.MaxRows
	}
	return 0
}

type ExecuteFetchAsAppResponse struct {
	Result               *query.QueryResult `protobuf:"bytes,1,opt,name=result,proto3" json:"result,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *ExecuteFetchAsAppResponse) Reset()         { *m = ExecuteFetchAsAppResponse{} }
func (m *ExecuteFetchAsAppResponse) String() string { return proto.CompactTextString(m) }
func (*ExecuteFetchAsAppResponse) ProtoMessage()    {}
func (*ExecuteFetchAsAppResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{43}
}

func (m *ExecuteFetchAsAppResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ExecuteFetchAsAppResponse.Unmarshal(m, b)
}
func (m *ExecuteFetchAsAppResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ExecuteFetchAsAppResponse.Marshal(b, m, deterministic)
}
func (m *ExecuteFetchAsAppResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ExecuteFetchAsAppResponse.Merge(m, src)
}
func (m *ExecuteFetchAsAppResponse) XXX_Size() int {
	return xxx_messageInfo_ExecuteFetchAsAppResponse.Size(m)
}
func (m *ExecuteFetchAsAppResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ExecuteFetchAsAppResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ExecuteFetchAsAppResponse proto.InternalMessageInfo

func (m *ExecuteFetchAsAppResponse) GetResult() *query.QueryResult {
	if m != nil {
		return m.Result
	}
	return nil
}

type ReplicationStatusRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ReplicationStatusRequest) Reset()         { *m = ReplicationStatusRequest{} }
func (m *ReplicationStatusRequest) String() string { return proto.CompactTextString(m) }
func (*ReplicationStatusRequest) ProtoMessage()    {}
func (*ReplicationStatusRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{44}
}

func (m *ReplicationStatusRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ReplicationStatusRequest.Unmarshal(m, b)
}
func (m *ReplicationStatusRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ReplicationStatusRequest.Marshal(b, m, deterministic)
}
func (m *ReplicationStatusRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ReplicationStatusRequest.Merge(m, src)
}
func (m *ReplicationStatusRequest) XXX_Size() int {
	return xxx_messageInfo_ReplicationStatusRequest.Size(m)
}
func (m *ReplicationStatusRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ReplicationStatusRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ReplicationStatusRequest proto.InternalMessageInfo

type ReplicationStatusResponse struct {
	Status               *replicationdata.Status `protobuf:"bytes,1,opt,name=status,proto3" json:"status,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                `json:"-"`
	XXX_unrecognized     []byte                  `json:"-"`
	XXX_sizecache        int32                   `json:"-"`
}

func (m *ReplicationStatusResponse) Reset()         { *m = ReplicationStatusResponse{} }
func (m *ReplicationStatusResponse) String() string { return proto.CompactTextString(m) }
func (*ReplicationStatusResponse) ProtoMessage()    {}
func (*ReplicationStatusResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{45}
}

func (m *ReplicationStatusResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ReplicationStatusResponse.Unmarshal(m, b)
}
func (m *ReplicationStatusResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ReplicationStatusResponse.Marshal(b, m, deterministic)
}
func (m *ReplicationStatusResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ReplicationStatusResponse.Merge(m, src)
}
func (m *ReplicationStatusResponse) XXX_Size() int {
	return xxx_messageInfo_ReplicationStatusResponse.Size(m)
}
func (m *ReplicationStatusResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ReplicationStatusResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ReplicationStatusResponse proto.InternalMessageInfo

func (m *ReplicationStatusResponse) GetStatus() *replicationdata.Status {
	if m != nil {
		return m.Status
	}
	return nil
}

type MasterStatusRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *MasterStatusRequest) Reset()         { *m = MasterStatusRequest{} }
func (m *MasterStatusRequest) String() string { return proto.CompactTextString(m) }
func (*MasterStatusRequest) ProtoMessage()    {}
func (*MasterStatusRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{46}
}

func (m *MasterStatusRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_MasterStatusRequest.Unmarshal(m, b)
}
func (m *MasterStatusRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_MasterStatusRequest.Marshal(b, m, deterministic)
}
func (m *MasterStatusRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_MasterStatusRequest.Merge(m, src)
}
func (m *MasterStatusRequest) XXX_Size() int {
	return xxx_messageInfo_MasterStatusRequest.Size(m)
}
func (m *MasterStatusRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_MasterStatusRequest.DiscardUnknown(m)
}

var xxx_messageInfo_MasterStatusRequest proto.InternalMessageInfo

type MasterStatusResponse struct {
	Status               *replicationdata.MasterStatus `protobuf:"bytes,1,opt,name=status,proto3" json:"status,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                      `json:"-"`
	XXX_unrecognized     []byte                        `json:"-"`
	XXX_sizecache        int32                         `json:"-"`
}

func (m *MasterStatusResponse) Reset()         { *m = MasterStatusResponse{} }
func (m *MasterStatusResponse) String() string { return proto.CompactTextString(m) }
func (*MasterStatusResponse) ProtoMessage()    {}
func (*MasterStatusResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{47}
}

func (m *MasterStatusResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_MasterStatusResponse.Unmarshal(m, b)
}
func (m *MasterStatusResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_MasterStatusResponse.Marshal(b, m, deterministic)
}
func (m *MasterStatusResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_MasterStatusResponse.Merge(m, src)
}
func (m *MasterStatusResponse) XXX_Size() int {
	return xxx_messageInfo_MasterStatusResponse.Size(m)
}
func (m *MasterStatusResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_MasterStatusResponse.DiscardUnknown(m)
}

var xxx_messageInfo_MasterStatusResponse proto.InternalMessageInfo

func (m *MasterStatusResponse) GetStatus() *replicationdata.MasterStatus {
	if m != nil {
		return m.Status
	}
	return nil
}

type MasterPositionRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *MasterPositionRequest) Reset()         { *m = MasterPositionRequest{} }
func (m *MasterPositionRequest) String() string { return proto.CompactTextString(m) }
func (*MasterPositionRequest) ProtoMessage()    {}
func (*MasterPositionRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{48}
}

func (m *MasterPositionRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_MasterPositionRequest.Unmarshal(m, b)
}
func (m *MasterPositionRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_MasterPositionRequest.Marshal(b, m, deterministic)
}
func (m *MasterPositionRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_MasterPositionRequest.Merge(m, src)
}
func (m *MasterPositionRequest) XXX_Size() int {
	return xxx_messageInfo_MasterPositionRequest.Size(m)
}
func (m *MasterPositionRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_MasterPositionRequest.DiscardUnknown(m)
}

var xxx_messageInfo_MasterPositionRequest proto.InternalMessageInfo

type MasterPositionResponse struct {
	Position             string   `protobuf:"bytes,1,opt,name=position,proto3" json:"position,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *MasterPositionResponse) Reset()         { *m = MasterPositionResponse{} }
func (m *MasterPositionResponse) String() string { return proto.CompactTextString(m) }
func (*MasterPositionResponse) ProtoMessage()    {}
func (*MasterPositionResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{49}
}

func (m *MasterPositionResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_MasterPositionResponse.Unmarshal(m, b)
}
func (m *MasterPositionResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_MasterPositionResponse.Marshal(b, m, deterministic)
}
func (m *MasterPositionResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_MasterPositionResponse.Merge(m, src)
}
func (m *MasterPositionResponse) XXX_Size() int {
	return xxx_messageInfo_MasterPositionResponse.Size(m)
}
func (m *MasterPositionResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_MasterPositionResponse.DiscardUnknown(m)
}

var xxx_messageInfo_MasterPositionResponse proto.InternalMessageInfo

func (m *MasterPositionResponse) GetPosition() string {
	if m != nil {
		return m.Position
	}
	return ""
}

type WaitForPositionRequest struct {
	Position             string   `protobuf:"bytes,1,opt,name=position,proto3" json:"position,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *WaitForPositionRequest) Reset()         { *m = WaitForPositionRequest{} }
func (m *WaitForPositionRequest) String() string { return proto.CompactTextString(m) }
func (*WaitForPositionRequest) ProtoMessage()    {}
func (*WaitForPositionRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{50}
}

func (m *WaitForPositionRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_WaitForPositionRequest.Unmarshal(m, b)
}
func (m *WaitForPositionRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_WaitForPositionRequest.Marshal(b, m, deterministic)
}
func (m *WaitForPositionRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_WaitForPositionRequest.Merge(m, src)
}
func (m *WaitForPositionRequest) XXX_Size() int {
	return xxx_messageInfo_WaitForPositionRequest.Size(m)
}
func (m *WaitForPositionRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_WaitForPositionRequest.DiscardUnknown(m)
}

var xxx_messageInfo_WaitForPositionRequest proto.InternalMessageInfo

func (m *WaitForPositionRequest) GetPosition() string {
	if m != nil {
		return m.Position
	}
	return ""
}

type WaitForPositionResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *WaitForPositionResponse) Reset()         { *m = WaitForPositionResponse{} }
func (m *WaitForPositionResponse) String() string { return proto.CompactTextString(m) }
func (*WaitForPositionResponse) ProtoMessage()    {}
func (*WaitForPositionResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{51}
}

func (m *WaitForPositionResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_WaitForPositionResponse.Unmarshal(m, b)
}
func (m *WaitForPositionResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_WaitForPositionResponse.Marshal(b, m, deterministic)
}
func (m *WaitForPositionResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_WaitForPositionResponse.Merge(m, src)
}
func (m *WaitForPositionResponse) XXX_Size() int {
	return xxx_messageInfo_WaitForPositionResponse.Size(m)
}
func (m *WaitForPositionResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_WaitForPositionResponse.DiscardUnknown(m)
}

var xxx_messageInfo_WaitForPositionResponse proto.InternalMessageInfo

type StopReplicationRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StopReplicationRequest) Reset()         { *m = StopReplicationRequest{} }
func (m *StopReplicationRequest) String() string { return proto.CompactTextString(m) }
func (*StopReplicationRequest) ProtoMessage()    {}
func (*StopReplicationRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{52}
}

func (m *StopReplicationRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StopReplicationRequest.Unmarshal(m, b)
}
func (m *StopReplicationRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StopReplicationRequest.Marshal(b, m, deterministic)
}
func (m *StopReplicationRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StopReplicationRequest.Merge(m, src)
}
func (m *StopReplicationRequest) XXX_Size() int {
	return xxx_messageInfo_StopReplicationRequest.Size(m)
}
func (m *StopReplicationRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_StopReplicationRequest.DiscardUnknown(m)
}

var xxx_messageInfo_StopReplicationRequest proto.InternalMessageInfo

type StopReplicationResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StopReplicationResponse) Reset()         { *m = StopReplicationResponse{} }
func (m *StopReplicationResponse) String() string { return proto.CompactTextString(m) }
func (*StopReplicationResponse) ProtoMessage()    {}
func (*StopReplicationResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{53}
}

func (m *StopReplicationResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StopReplicationResponse.Unmarshal(m, b)
}
func (m *StopReplicationResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StopReplicationResponse.Marshal(b, m, deterministic)
}
func (m *StopReplicationResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StopReplicationResponse.Merge(m, src)
}
func (m *StopReplicationResponse) XXX_Size() int {
	return xxx_messageInfo_StopReplicationResponse.Size(m)
}
func (m *StopReplicationResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_StopReplicationResponse.DiscardUnknown(m)
}

var xxx_messageInfo_StopReplicationResponse proto.InternalMessageInfo

type StopReplicationMinimumRequest struct {
	Position             string   `protobuf:"bytes,1,opt,name=position,proto3" json:"position,omitempty"`
	WaitTimeout          int64    `protobuf:"varint,2,opt,name=wait_timeout,json=waitTimeout,proto3" json:"wait_timeout,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StopReplicationMinimumRequest) Reset()         { *m = StopReplicationMinimumRequest{} }
func (m *StopReplicationMinimumRequest) String() string { return proto.CompactTextString(m) }
func (*StopReplicationMinimumRequest) ProtoMessage()    {}
func (*StopReplicationMinimumRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{54}
}

func (m *StopReplicationMinimumRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StopReplicationMinimumRequest.Unmarshal(m, b)
}
func (m *StopReplicationMinimumRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StopReplicationMinimumRequest.Marshal(b, m, deterministic)
}
func (m *StopReplicationMinimumRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StopReplicationMinimumRequest.Merge(m, src)
}
func (m *StopReplicationMinimumRequest) XXX_Size() int {
	return xxx_messageInfo_StopReplicationMinimumRequest.Size(m)
}
func (m *StopReplicationMinimumRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_StopReplicationMinimumRequest.DiscardUnknown(m)
}

var xxx_messageInfo_StopReplicationMinimumRequest proto.InternalMessageInfo

func (m *StopReplicationMinimumRequest) GetPosition() string {
	if m != nil {
		return m.Position
	}
	return ""
}

func (m *StopReplicationMinimumRequest) GetWaitTimeout() int64 {
	if m != nil {
		return m.WaitTimeout
	}
	return 0
}

type StopReplicationMinimumResponse struct {
	Position             string   `protobuf:"bytes,1,opt,name=position,proto3" json:"position,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StopReplicationMinimumResponse) Reset()         { *m = StopReplicationMinimumResponse{} }
func (m *StopReplicationMinimumResponse) String() string { return proto.CompactTextString(m) }
func (*StopReplicationMinimumResponse) ProtoMessage()    {}
func (*StopReplicationMinimumResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{55}
}

func (m *StopReplicationMinimumResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StopReplicationMinimumResponse.Unmarshal(m, b)
}
func (m *StopReplicationMinimumResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StopReplicationMinimumResponse.Marshal(b, m, deterministic)
}
func (m *StopReplicationMinimumResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StopReplicationMinimumResponse.Merge(m, src)
}
func (m *StopReplicationMinimumResponse) XXX_Size() int {
	return xxx_messageInfo_StopReplicationMinimumResponse.Size(m)
}
func (m *StopReplicationMinimumResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_StopReplicationMinimumResponse.DiscardUnknown(m)
}

var xxx_messageInfo_StopReplicationMinimumResponse proto.InternalMessageInfo

func (m *StopReplicationMinimumResponse) GetPosition() string {
	if m != nil {
		return m.Position
	}
	return ""
}

type StartReplicationRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StartReplicationRequest) Reset()         { *m = StartReplicationRequest{} }
func (m *StartReplicationRequest) String() string { return proto.CompactTextString(m) }
func (*StartReplicationRequest) ProtoMessage()    {}
func (*StartReplicationRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{56}
}

func (m *StartReplicationRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StartReplicationRequest.Unmarshal(m, b)
}
func (m *StartReplicationRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StartReplicationRequest.Marshal(b, m, deterministic)
}
func (m *StartReplicationRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StartReplicationRequest.Merge(m, src)
}
func (m *StartReplicationRequest) XXX_Size() int {
	return xxx_messageInfo_StartReplicationRequest.Size(m)
}
func (m *StartReplicationRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_StartReplicationRequest.DiscardUnknown(m)
}

var xxx_messageInfo_StartReplicationRequest proto.InternalMessageInfo

type StartReplicationResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StartReplicationResponse) Reset()         { *m = StartReplicationResponse{} }
func (m *StartReplicationResponse) String() string { return proto.CompactTextString(m) }
func (*StartReplicationResponse) ProtoMessage()    {}
func (*StartReplicationResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{57}
}

func (m *StartReplicationResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StartReplicationResponse.Unmarshal(m, b)
}
func (m *StartReplicationResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StartReplicationResponse.Marshal(b, m, deterministic)
}
func (m *StartReplicationResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StartReplicationResponse.Merge(m, src)
}
func (m *StartReplicationResponse) XXX_Size() int {
	return xxx_messageInfo_StartReplicationResponse.Size(m)
}
func (m *StartReplicationResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_StartReplicationResponse.DiscardUnknown(m)
}

var xxx_messageInfo_StartReplicationResponse proto.InternalMessageInfo

type StartReplicationUntilAfterRequest struct {
	Position             string   `protobuf:"bytes,1,opt,name=position,proto3" json:"position,omitempty"`
	WaitTimeout          int64    `protobuf:"varint,2,opt,name=wait_timeout,json=waitTimeout,proto3" json:"wait_timeout,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StartReplicationUntilAfterRequest) Reset()         { *m = StartReplicationUntilAfterRequest{} }
func (m *StartReplicationUntilAfterRequest) String() string { return proto.CompactTextString(m) }
func (*StartReplicationUntilAfterRequest) ProtoMessage()    {}
func (*StartReplicationUntilAfterRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{58}
}

func (m *StartReplicationUntilAfterRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StartReplicationUntilAfterRequest.Unmarshal(m, b)
}
func (m *StartReplicationUntilAfterRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StartReplicationUntilAfterRequest.Marshal(b, m, deterministic)
}
func (m *StartReplicationUntilAfterRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StartReplicationUntilAfterRequest.Merge(m, src)
}
func (m *StartReplicationUntilAfterRequest) XXX_Size() int {
	return xxx_messageInfo_StartReplicationUntilAfterRequest.Size(m)
}
func (m *StartReplicationUntilAfterRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_StartReplicationUntilAfterRequest.DiscardUnknown(m)
}

var xxx_messageInfo_StartReplicationUntilAfterRequest proto.InternalMessageInfo

func (m *StartReplicationUntilAfterRequest) GetPosition() string {
	if m != nil {
		return m.Position
	}
	return ""
}

func (m *StartReplicationUntilAfterRequest) GetWaitTimeout() int64 {
	if m != nil {
		return m.WaitTimeout
	}
	return 0
}

type StartReplicationUntilAfterResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StartReplicationUntilAfterResponse) Reset()         { *m = StartReplicationUntilAfterResponse{} }
func (m *StartReplicationUntilAfterResponse) String() string { return proto.CompactTextString(m) }
func (*StartReplicationUntilAfterResponse) ProtoMessage()    {}
func (*StartReplicationUntilAfterResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{59}
}

func (m *StartReplicationUntilAfterResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StartReplicationUntilAfterResponse.Unmarshal(m, b)
}
func (m *StartReplicationUntilAfterResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StartReplicationUntilAfterResponse.Marshal(b, m, deterministic)
}
func (m *StartReplicationUntilAfterResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StartReplicationUntilAfterResponse.Merge(m, src)
}
func (m *StartReplicationUntilAfterResponse) XXX_Size() int {
	return xxx_messageInfo_StartReplicationUntilAfterResponse.Size(m)
}
func (m *StartReplicationUntilAfterResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_StartReplicationUntilAfterResponse.DiscardUnknown(m)
}

var xxx_messageInfo_StartReplicationUntilAfterResponse proto.InternalMessageInfo

type GetReplicasRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetReplicasRequest) Reset()         { *m = GetReplicasRequest{} }
func (m *GetReplicasRequest) String() string { return proto.CompactTextString(m) }
func (*GetReplicasRequest) ProtoMessage()    {}
func (*GetReplicasRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{60}
}

func (m *GetReplicasRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetReplicasRequest.Unmarshal(m, b)
}
func (m *GetReplicasRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetReplicasRequest.Marshal(b, m, deterministic)
}
func (m *GetReplicasRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetReplicasRequest.Merge(m, src)
}
func (m *GetReplicasRequest) XXX_Size() int {
	return xxx_messageInfo_GetReplicasRequest.Size(m)
}
func (m *GetReplicasRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetReplicasRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetReplicasRequest proto.InternalMessageInfo

type GetReplicasResponse struct {
	Addrs                []string `protobuf:"bytes,1,rep,name=addrs,proto3" json:"addrs,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetReplicasResponse) Reset()         { *m = GetReplicasResponse{} }
func (m *GetReplicasResponse) String() string { return proto.CompactTextString(m) }
func (*GetReplicasResponse) ProtoMessage()    {}
func (*GetReplicasResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{61}
}

func (m *GetReplicasResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetReplicasResponse.Unmarshal(m, b)
}
func (m *GetReplicasResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetReplicasResponse.Marshal(b, m, deterministic)
}
func (m *GetReplicasResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetReplicasResponse.Merge(m, src)
}
func (m *GetReplicasResponse) XXX_Size() int {
	return xxx_messageInfo_GetReplicasResponse.Size(m)
}
func (m *GetReplicasResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetReplicasResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetReplicasResponse proto.InternalMessageInfo

func (m *GetReplicasResponse) GetAddrs() []string {
	if m != nil {
		return m.Addrs
	}
	return nil
}

type ResetReplicationRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ResetReplicationRequest) Reset()         { *m = ResetReplicationRequest{} }
func (m *ResetReplicationRequest) String() string { return proto.CompactTextString(m) }
func (*ResetReplicationRequest) ProtoMessage()    {}
func (*ResetReplicationRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{62}
}

func (m *ResetReplicationRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ResetReplicationRequest.Unmarshal(m, b)
}
func (m *ResetReplicationRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ResetReplicationRequest.Marshal(b, m, deterministic)
}
func (m *ResetReplicationRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ResetReplicationRequest.Merge(m, src)
}
func (m *ResetReplicationRequest) XXX_Size() int {
	return xxx_messageInfo_ResetReplicationRequest.Size(m)
}
func (m *ResetReplicationRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ResetReplicationRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ResetReplicationRequest proto.InternalMessageInfo

type ResetReplicationResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ResetReplicationResponse) Reset()         { *m = ResetReplicationResponse{} }
func (m *ResetReplicationResponse) String() string { return proto.CompactTextString(m) }
func (*ResetReplicationResponse) ProtoMessage()    {}
func (*ResetReplicationResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{63}
}

func (m *ResetReplicationResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ResetReplicationResponse.Unmarshal(m, b)
}
func (m *ResetReplicationResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ResetReplicationResponse.Marshal(b, m, deterministic)
}
func (m *ResetReplicationResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ResetReplicationResponse.Merge(m, src)
}
func (m *ResetReplicationResponse) XXX_Size() int {
	return xxx_messageInfo_ResetReplicationResponse.Size(m)
}
func (m *ResetReplicationResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ResetReplicationResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ResetReplicationResponse proto.InternalMessageInfo

type VReplicationExecRequest struct {
	Query                string   `protobuf:"bytes,1,opt,name=query,proto3" json:"query,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *VReplicationExecRequest) Reset()         { *m = VReplicationExecRequest{} }
func (m *VReplicationExecRequest) String() string { return proto.CompactTextString(m) }
func (*VReplicationExecRequest) ProtoMessage()    {}
func (*VReplicationExecRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{64}
}

func (m *VReplicationExecRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_VReplicationExecRequest.Unmarshal(m, b)
}
func (m *VReplicationExecRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_VReplicationExecRequest.Marshal(b, m, deterministic)
}
func (m *VReplicationExecRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_VReplicationExecRequest.Merge(m, src)
}
func (m *VReplicationExecRequest) XXX_Size() int {
	return xxx_messageInfo_VReplicationExecRequest.Size(m)
}
func (m *VReplicationExecRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_VReplicationExecRequest.DiscardUnknown(m)
}

var xxx_messageInfo_VReplicationExecRequest proto.InternalMessageInfo

func (m *VReplicationExecRequest) GetQuery() string {
	if m != nil {
		return m.Query
	}
	return ""
}

type VReplicationExecResponse struct {
	Result               *query.QueryResult `protobuf:"bytes,1,opt,name=result,proto3" json:"result,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *VReplicationExecResponse) Reset()         { *m = VReplicationExecResponse{} }
func (m *VReplicationExecResponse) String() string { return proto.CompactTextString(m) }
func (*VReplicationExecResponse) ProtoMessage()    {}
func (*VReplicationExecResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{65}
}

func (m *VReplicationExecResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_VReplicationExecResponse.Unmarshal(m, b)
}
func (m *VReplicationExecResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_VReplicationExecResponse.Marshal(b, m, deterministic)
}
func (m *VReplicationExecResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_VReplicationExecResponse.Merge(m, src)
}
func (m *VReplicationExecResponse) XXX_Size() int {
	return xxx_messageInfo_VReplicationExecResponse.Size(m)
}
func (m *VReplicationExecResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_VReplicationExecResponse.DiscardUnknown(m)
}

var xxx_messageInfo_VReplicationExecResponse proto.InternalMessageInfo

func (m *VReplicationExecResponse) GetResult() *query.QueryResult {
	if m != nil {
		return m.Result
	}
	return nil
}

type VReplicationWaitForPosRequest struct {
	Id                   int64    `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Position             string   `protobuf:"bytes,2,opt,name=position,proto3" json:"position,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *VReplicationWaitForPosRequest) Reset()         { *m = VReplicationWaitForPosRequest{} }
func (m *VReplicationWaitForPosRequest) String() string { return proto.CompactTextString(m) }
func (*VReplicationWaitForPosRequest) ProtoMessage()    {}
func (*VReplicationWaitForPosRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{66}
}

func (m *VReplicationWaitForPosRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_VReplicationWaitForPosRequest.Unmarshal(m, b)
}
func (m *VReplicationWaitForPosRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_VReplicationWaitForPosRequest.Marshal(b, m, deterministic)
}
func (m *VReplicationWaitForPosRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_VReplicationWaitForPosRequest.Merge(m, src)
}
func (m *VReplicationWaitForPosRequest) XXX_Size() int {
	return xxx_messageInfo_VReplicationWaitForPosRequest.Size(m)
}
func (m *VReplicationWaitForPosRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_VReplicationWaitForPosRequest.DiscardUnknown(m)
}

var xxx_messageInfo_VReplicationWaitForPosRequest proto.InternalMessageInfo

func (m *VReplicationWaitForPosRequest) GetId() int64 {
	if m != nil {
		return m.Id
	}
	return 0
}

func (m *VReplicationWaitForPosRequest) GetPosition() string {
	if m != nil {
		return m.Position
	}
	return ""
}

type VReplicationWaitForPosResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *VReplicationWaitForPosResponse) Reset()         { *m = VReplicationWaitForPosResponse{} }
func (m *VReplicationWaitForPosResponse) String() string { return proto.CompactTextString(m) }
func (*VReplicationWaitForPosResponse) ProtoMessage()    {}
func (*VReplicationWaitForPosResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{67}
}

func (m *VReplicationWaitForPosResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_VReplicationWaitForPosResponse.Unmarshal(m, b)
}
func (m *VReplicationWaitForPosResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_VReplicationWaitForPosResponse.Marshal(b, m, deterministic)
}
func (m *VReplicationWaitForPosResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_VReplicationWaitForPosResponse.Merge(m, src)
}
func (m *VReplicationWaitForPosResponse) XXX_Size() int {
	return xxx_messageInfo_VReplicationWaitForPosResponse.Size(m)
}
func (m *VReplicationWaitForPosResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_VReplicationWaitForPosResponse.DiscardUnknown(m)
}

var xxx_messageInfo_VReplicationWaitForPosResponse proto.InternalMessageInfo

type InitMasterRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *InitMasterRequest) Reset()         { *m = InitMasterRequest{} }
func (m *InitMasterRequest) String() string { return proto.CompactTextString(m) }
func (*InitMasterRequest) ProtoMessage()    {}
func (*InitMasterRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{68}
}

func (m *InitMasterRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_InitMasterRequest.Unmarshal(m, b)
}
func (m *InitMasterRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_InitMasterRequest.Marshal(b, m, deterministic)
}
func (m *InitMasterRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_InitMasterRequest.Merge(m, src)
}
func (m *InitMasterRequest) XXX_Size() int {
	return xxx_messageInfo_InitMasterRequest.Size(m)
}
func (m *InitMasterRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_InitMasterRequest.DiscardUnknown(m)
}

var xxx_messageInfo_InitMasterRequest proto.InternalMessageInfo

type InitMasterResponse struct {
	Position             string   `protobuf:"bytes,1,opt,name=position,proto3" json:"position,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *InitMasterResponse) Reset()         { *m = InitMasterResponse{} }
func (m *InitMasterResponse) String() string { return proto.CompactTextString(m) }
func (*InitMasterResponse) ProtoMessage()    {}
func (*InitMasterResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{69}
}

func (m *InitMasterResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_InitMasterResponse.Unmarshal(m, b)
}
func (m *InitMasterResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_InitMasterResponse.Marshal(b, m, deterministic)
}
func (m *InitMasterResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_InitMasterResponse.Merge(m, src)
}
func (m *InitMasterResponse) XXX_Size() int {
	return xxx_messageInfo_InitMasterResponse.Size(m)
}
func (m *InitMasterResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_InitMasterResponse.DiscardUnknown(m)
}

var xxx_messageInfo_InitMasterResponse proto.InternalMessageInfo

func (m *InitMasterResponse) GetPosition() string {
	if m != nil {
		return m.Position
	}
	return ""
}

type PopulateReparentJournalRequest struct {
	TimeCreatedNs        int64                 `protobuf:"varint,1,opt,name=time_created_ns,json=timeCreatedNs,proto3" json:"time_created_ns,omitempty"`
	ActionName           string                `protobuf:"bytes,2,opt,name=action_name,json=actionName,proto3" json:"action_name,omitempty"`
	MasterAlias          *topodata.TabletAlias `protobuf:"bytes,3,opt,name=master_alias,json=masterAlias,proto3" json:"master_alias,omitempty"`
	ReplicationPosition  string                `protobuf:"bytes,4,opt,name=replication_position,json=replicationPosition,proto3" json:"replication_position,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *PopulateReparentJournalRequest) Reset()         { *m = PopulateReparentJournalRequest{} }
func (m *PopulateReparentJournalRequest) String() string { return proto.CompactTextString(m) }
func (*PopulateReparentJournalRequest) ProtoMessage()    {}
func (*PopulateReparentJournalRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{70}
}

func (m *PopulateReparentJournalRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PopulateReparentJournalRequest.Unmarshal(m, b)
}
func (m *PopulateReparentJournalRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PopulateReparentJournalRequest.Marshal(b, m, deterministic)
}
func (m *PopulateReparentJournalRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PopulateReparentJournalRequest.Merge(m, src)
}
func (m *PopulateReparentJournalRequest) XXX_Size() int {
	return xxx_messageInfo_PopulateReparentJournalRequest.Size(m)
}
func (m *PopulateReparentJournalRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_PopulateReparentJournalRequest.DiscardUnknown(m)
}

var xxx_messageInfo_PopulateReparentJournalRequest proto.InternalMessageInfo

func (m *PopulateReparentJournalRequest) GetTimeCreatedNs() int64 {
	if m != nil {
		return m.TimeCreatedNs
	}
	return 0
}

func (m *PopulateReparentJournalRequest) GetActionName() string {
	if m != nil {
		return m.ActionName
	}
	return ""
}

func (m *PopulateReparentJournalRequest) GetMasterAlias() *topodata.TabletAlias {
	if m != nil {
		return m.MasterAlias
	}
	return nil
}

func (m *PopulateReparentJournalRequest) GetReplicationPosition() string {
	if m != nil {
		return m.ReplicationPosition
	}
	return ""
}

type PopulateReparentJournalResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PopulateReparentJournalResponse) Reset()         { *m = PopulateReparentJournalResponse{} }
func (m *PopulateReparentJournalResponse) String() string { return proto.CompactTextString(m) }
func (*PopulateReparentJournalResponse) ProtoMessage()    {}
func (*PopulateReparentJournalResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{71}
}

func (m *PopulateReparentJournalResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PopulateReparentJournalResponse.Unmarshal(m, b)
}
func (m *PopulateReparentJournalResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PopulateReparentJournalResponse.Marshal(b, m, deterministic)
}
func (m *PopulateReparentJournalResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PopulateReparentJournalResponse.Merge(m, src)
}
func (m *PopulateReparentJournalResponse) XXX_Size() int {
	return xxx_messageInfo_PopulateReparentJournalResponse.Size(m)
}
func (m *PopulateReparentJournalResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_PopulateReparentJournalResponse.DiscardUnknown(m)
}

var xxx_messageInfo_PopulateReparentJournalResponse proto.InternalMessageInfo

type InitReplicaRequest struct {
	Parent               *topodata.TabletAlias `protobuf:"bytes,1,opt,name=parent,proto3" json:"parent,omitempty"`
	ReplicationPosition  string                `protobuf:"bytes,2,opt,name=replication_position,json=replicationPosition,proto3" json:"replication_position,omitempty"`
	TimeCreatedNs        int64                 `protobuf:"varint,3,opt,name=time_created_ns,json=timeCreatedNs,proto3" json:"time_created_ns,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *InitReplicaRequest) Reset()         { *m = InitReplicaRequest{} }
func (m *InitReplicaRequest) String() string { return proto.CompactTextString(m) }
func (*InitReplicaRequest) ProtoMessage()    {}
func (*InitReplicaRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{72}
}

func (m *InitReplicaRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_InitReplicaRequest.Unmarshal(m, b)
}
func (m *InitReplicaRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_InitReplicaRequest.Marshal(b, m, deterministic)
}
func (m *InitReplicaRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_InitReplicaRequest.Merge(m, src)
}
func (m *InitReplicaRequest) XXX_Size() int {
	return xxx_messageInfo_InitReplicaRequest.Size(m)
}
func (m *InitReplicaRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_InitReplicaRequest.DiscardUnknown(m)
}

var xxx_messageInfo_InitReplicaRequest proto.InternalMessageInfo

func (m *InitReplicaRequest) GetParent() *topodata.TabletAlias {
	if m != nil {
		return m.Parent
	}
	return nil
}

func (m *InitReplicaRequest) GetReplicationPosition() string {
	if m != nil {
		return m.ReplicationPosition
	}
	return ""
}

func (m *InitReplicaRequest) GetTimeCreatedNs() int64 {
	if m != nil {
		return m.TimeCreatedNs
	}
	return 0
}

type InitReplicaResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *InitReplicaResponse) Reset()         { *m = InitReplicaResponse{} }
func (m *InitReplicaResponse) String() string { return proto.CompactTextString(m) }
func (*InitReplicaResponse) ProtoMessage()    {}
func (*InitReplicaResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{73}
}

func (m *InitReplicaResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_InitReplicaResponse.Unmarshal(m, b)
}
func (m *InitReplicaResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_InitReplicaResponse.Marshal(b, m, deterministic)
}
func (m *InitReplicaResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_InitReplicaResponse.Merge(m, src)
}
func (m *InitReplicaResponse) XXX_Size() int {
	return xxx_messageInfo_InitReplicaResponse.Size(m)
}
func (m *InitReplicaResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_InitReplicaResponse.DiscardUnknown(m)
}

var xxx_messageInfo_InitReplicaResponse proto.InternalMessageInfo

type DemoteMasterRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DemoteMasterRequest) Reset()         { *m = DemoteMasterRequest{} }
func (m *DemoteMasterRequest) String() string { return proto.CompactTextString(m) }
func (*DemoteMasterRequest) ProtoMessage()    {}
func (*DemoteMasterRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{74}
}

func (m *DemoteMasterRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DemoteMasterRequest.Unmarshal(m, b)
}
func (m *DemoteMasterRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DemoteMasterRequest.Marshal(b, m, deterministic)
}
func (m *DemoteMasterRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DemoteMasterRequest.Merge(m, src)
}
func (m *DemoteMasterRequest) XXX_Size() int {
	return xxx_messageInfo_DemoteMasterRequest.Size(m)
}
func (m *DemoteMasterRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_DemoteMasterRequest.DiscardUnknown(m)
}

var xxx_messageInfo_DemoteMasterRequest proto.InternalMessageInfo

type DemoteMasterResponse struct {
	// Position is deprecated, and is a string representation of a demoted masters executed position.
	DeprecatedPosition string `protobuf:"bytes,1,opt,name=deprecated_position,json=deprecatedPosition,proto3" json:"deprecated_position,omitempty"` // Deprecated: Do not use.
	// MasterStatus represents the response from calling `SHOW MASTER STATUS` on a master that has been demoted.
	MasterStatus         *replicationdata.MasterStatus `protobuf:"bytes,2,opt,name=master_status,json=masterStatus,proto3" json:"master_status,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                      `json:"-"`
	XXX_unrecognized     []byte                        `json:"-"`
	XXX_sizecache        int32                         `json:"-"`
}

func (m *DemoteMasterResponse) Reset()         { *m = DemoteMasterResponse{} }
func (m *DemoteMasterResponse) String() string { return proto.CompactTextString(m) }
func (*DemoteMasterResponse) ProtoMessage()    {}
func (*DemoteMasterResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{75}
}

func (m *DemoteMasterResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DemoteMasterResponse.Unmarshal(m, b)
}
func (m *DemoteMasterResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DemoteMasterResponse.Marshal(b, m, deterministic)
}
func (m *DemoteMasterResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DemoteMasterResponse.Merge(m, src)
}
func (m *DemoteMasterResponse) XXX_Size() int {
	return xxx_messageInfo_DemoteMasterResponse.Size(m)
}
func (m *DemoteMasterResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_DemoteMasterResponse.DiscardUnknown(m)
}

var xxx_messageInfo_DemoteMasterResponse proto.InternalMessageInfo

// Deprecated: Do not use.
func (m *DemoteMasterResponse) GetDeprecatedPosition() string {
	if m != nil {
		return m.DeprecatedPosition
	}
	return ""
}

func (m *DemoteMasterResponse) GetMasterStatus() *replicationdata.MasterStatus {
	if m != nil {
		return m.MasterStatus
	}
	return nil
}

type UndoDemoteMasterRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UndoDemoteMasterRequest) Reset()         { *m = UndoDemoteMasterRequest{} }
func (m *UndoDemoteMasterRequest) String() string { return proto.CompactTextString(m) }
func (*UndoDemoteMasterRequest) ProtoMessage()    {}
func (*UndoDemoteMasterRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{76}
}

func (m *UndoDemoteMasterRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UndoDemoteMasterRequest.Unmarshal(m, b)
}
func (m *UndoDemoteMasterRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UndoDemoteMasterRequest.Marshal(b, m, deterministic)
}
func (m *UndoDemoteMasterRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UndoDemoteMasterRequest.Merge(m, src)
}
func (m *UndoDemoteMasterRequest) XXX_Size() int {
	return xxx_messageInfo_UndoDemoteMasterRequest.Size(m)
}
func (m *UndoDemoteMasterRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_UndoDemoteMasterRequest.DiscardUnknown(m)
}

var xxx_messageInfo_UndoDemoteMasterRequest proto.InternalMessageInfo

type UndoDemoteMasterResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UndoDemoteMasterResponse) Reset()         { *m = UndoDemoteMasterResponse{} }
func (m *UndoDemoteMasterResponse) String() string { return proto.CompactTextString(m) }
func (*UndoDemoteMasterResponse) ProtoMessage()    {}
func (*UndoDemoteMasterResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{77}
}

func (m *UndoDemoteMasterResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UndoDemoteMasterResponse.Unmarshal(m, b)
}
func (m *UndoDemoteMasterResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UndoDemoteMasterResponse.Marshal(b, m, deterministic)
}
func (m *UndoDemoteMasterResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UndoDemoteMasterResponse.Merge(m, src)
}
func (m *UndoDemoteMasterResponse) XXX_Size() int {
	return xxx_messageInfo_UndoDemoteMasterResponse.Size(m)
}
func (m *UndoDemoteMasterResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_UndoDemoteMasterResponse.DiscardUnknown(m)
}

var xxx_messageInfo_UndoDemoteMasterResponse proto.InternalMessageInfo

type ReplicaWasPromotedRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ReplicaWasPromotedRequest) Reset()         { *m = ReplicaWasPromotedRequest{} }
func (m *ReplicaWasPromotedRequest) String() string { return proto.CompactTextString(m) }
func (*ReplicaWasPromotedRequest) ProtoMessage()    {}
func (*ReplicaWasPromotedRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{78}
}

func (m *ReplicaWasPromotedRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ReplicaWasPromotedRequest.Unmarshal(m, b)
}
func (m *ReplicaWasPromotedRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ReplicaWasPromotedRequest.Marshal(b, m, deterministic)
}
func (m *ReplicaWasPromotedRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ReplicaWasPromotedRequest.Merge(m, src)
}
func (m *ReplicaWasPromotedRequest) XXX_Size() int {
	return xxx_messageInfo_ReplicaWasPromotedRequest.Size(m)
}
func (m *ReplicaWasPromotedRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ReplicaWasPromotedRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ReplicaWasPromotedRequest proto.InternalMessageInfo

type ReplicaWasPromotedResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ReplicaWasPromotedResponse) Reset()         { *m = ReplicaWasPromotedResponse{} }
func (m *ReplicaWasPromotedResponse) String() string { return proto.CompactTextString(m) }
func (*ReplicaWasPromotedResponse) ProtoMessage()    {}
func (*ReplicaWasPromotedResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{79}
}

func (m *ReplicaWasPromotedResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ReplicaWasPromotedResponse.Unmarshal(m, b)
}
func (m *ReplicaWasPromotedResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ReplicaWasPromotedResponse.Marshal(b, m, deterministic)
}
func (m *ReplicaWasPromotedResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ReplicaWasPromotedResponse.Merge(m, src)
}
func (m *ReplicaWasPromotedResponse) XXX_Size() int {
	return xxx_messageInfo_ReplicaWasPromotedResponse.Size(m)
}
func (m *ReplicaWasPromotedResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ReplicaWasPromotedResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ReplicaWasPromotedResponse proto.InternalMessageInfo

type SetMasterRequest struct {
	Parent                *topodata.TabletAlias `protobuf:"bytes,1,opt,name=parent,proto3" json:"parent,omitempty"`
	TimeCreatedNs         int64                 `protobuf:"varint,2,opt,name=time_created_ns,json=timeCreatedNs,proto3" json:"time_created_ns,omitempty"`
	ForceStartReplication bool                  `protobuf:"varint,3,opt,name=force_start_replication,json=forceStartReplication,proto3" json:"force_start_replication,omitempty"`
	WaitPosition          string                `protobuf:"bytes,4,opt,name=wait_position,json=waitPosition,proto3" json:"wait_position,omitempty"`
	XXX_NoUnkeyedLiteral  struct{}              `json:"-"`
	XXX_unrecognized      []byte                `json:"-"`
	XXX_sizecache         int32                 `json:"-"`
}

func (m *SetMasterRequest) Reset()         { *m = SetMasterRequest{} }
func (m *SetMasterRequest) String() string { return proto.CompactTextString(m) }
func (*SetMasterRequest) ProtoMessage()    {}
func (*SetMasterRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{80}
}

func (m *SetMasterRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SetMasterRequest.Unmarshal(m, b)
}
func (m *SetMasterRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SetMasterRequest.Marshal(b, m, deterministic)
}
func (m *SetMasterRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SetMasterRequest.Merge(m, src)
}
func (m *SetMasterRequest) XXX_Size() int {
	return xxx_messageInfo_SetMasterRequest.Size(m)
}
func (m *SetMasterRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SetMasterRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SetMasterRequest proto.InternalMessageInfo

func (m *SetMasterRequest) GetParent() *topodata.TabletAlias {
	if m != nil {
		return m.Parent
	}
	return nil
}

func (m *SetMasterRequest) GetTimeCreatedNs() int64 {
	if m != nil {
		return m.TimeCreatedNs
	}
	return 0
}

func (m *SetMasterRequest) GetForceStartReplication() bool {
	if m != nil {
		return m.ForceStartReplication
	}
	return false
}

func (m *SetMasterRequest) GetWaitPosition() string {
	if m != nil {
		return m.WaitPosition
	}
	return ""
}

type SetMasterResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SetMasterResponse) Reset()         { *m = SetMasterResponse{} }
func (m *SetMasterResponse) String() string { return proto.CompactTextString(m) }
func (*SetMasterResponse) ProtoMessage()    {}
func (*SetMasterResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{81}
}

func (m *SetMasterResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SetMasterResponse.Unmarshal(m, b)
}
func (m *SetMasterResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SetMasterResponse.Marshal(b, m, deterministic)
}
func (m *SetMasterResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SetMasterResponse.Merge(m, src)
}
func (m *SetMasterResponse) XXX_Size() int {
	return xxx_messageInfo_SetMasterResponse.Size(m)
}
func (m *SetMasterResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SetMasterResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SetMasterResponse proto.InternalMessageInfo

type ReplicaWasRestartedRequest struct {
	// the parent alias the tablet should have
	Parent               *topodata.TabletAlias `protobuf:"bytes,1,opt,name=parent,proto3" json:"parent,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *ReplicaWasRestartedRequest) Reset()         { *m = ReplicaWasRestartedRequest{} }
func (m *ReplicaWasRestartedRequest) String() string { return proto.CompactTextString(m) }
func (*ReplicaWasRestartedRequest) ProtoMessage()    {}
func (*ReplicaWasRestartedRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{82}
}

func (m *ReplicaWasRestartedRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ReplicaWasRestartedRequest.Unmarshal(m, b)
}
func (m *ReplicaWasRestartedRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ReplicaWasRestartedRequest.Marshal(b, m, deterministic)
}
func (m *ReplicaWasRestartedRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ReplicaWasRestartedRequest.Merge(m, src)
}
func (m *ReplicaWasRestartedRequest) XXX_Size() int {
	return xxx_messageInfo_ReplicaWasRestartedRequest.Size(m)
}
func (m *ReplicaWasRestartedRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ReplicaWasRestartedRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ReplicaWasRestartedRequest proto.InternalMessageInfo

func (m *ReplicaWasRestartedRequest) GetParent() *topodata.TabletAlias {
	if m != nil {
		return m.Parent
	}
	return nil
}

type ReplicaWasRestartedResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ReplicaWasRestartedResponse) Reset()         { *m = ReplicaWasRestartedResponse{} }
func (m *ReplicaWasRestartedResponse) String() string { return proto.CompactTextString(m) }
func (*ReplicaWasRestartedResponse) ProtoMessage()    {}
func (*ReplicaWasRestartedResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{83}
}

func (m *ReplicaWasRestartedResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ReplicaWasRestartedResponse.Unmarshal(m, b)
}
func (m *ReplicaWasRestartedResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ReplicaWasRestartedResponse.Marshal(b, m, deterministic)
}
func (m *ReplicaWasRestartedResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ReplicaWasRestartedResponse.Merge(m, src)
}
func (m *ReplicaWasRestartedResponse) XXX_Size() int {
	return xxx_messageInfo_ReplicaWasRestartedResponse.Size(m)
}
func (m *ReplicaWasRestartedResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ReplicaWasRestartedResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ReplicaWasRestartedResponse proto.InternalMessageInfo

type StopReplicationAndGetStatusRequest struct {
	StopReplicationMode  replicationdata.StopReplicationMode `protobuf:"varint,1,opt,name=stop_replication_mode,json=stopReplicationMode,proto3,enum=replicationdata.StopReplicationMode" json:"stop_replication_mode,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                            `json:"-"`
	XXX_unrecognized     []byte                              `json:"-"`
	XXX_sizecache        int32                               `json:"-"`
}

func (m *StopReplicationAndGetStatusRequest) Reset()         { *m = StopReplicationAndGetStatusRequest{} }
func (m *StopReplicationAndGetStatusRequest) String() string { return proto.CompactTextString(m) }
func (*StopReplicationAndGetStatusRequest) ProtoMessage()    {}
func (*StopReplicationAndGetStatusRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{84}
}

func (m *StopReplicationAndGetStatusRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StopReplicationAndGetStatusRequest.Unmarshal(m, b)
}
func (m *StopReplicationAndGetStatusRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StopReplicationAndGetStatusRequest.Marshal(b, m, deterministic)
}
func (m *StopReplicationAndGetStatusRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StopReplicationAndGetStatusRequest.Merge(m, src)
}
func (m *StopReplicationAndGetStatusRequest) XXX_Size() int {
	return xxx_messageInfo_StopReplicationAndGetStatusRequest.Size(m)
}
func (m *StopReplicationAndGetStatusRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_StopReplicationAndGetStatusRequest.DiscardUnknown(m)
}

var xxx_messageInfo_StopReplicationAndGetStatusRequest proto.InternalMessageInfo

func (m *StopReplicationAndGetStatusRequest) GetStopReplicationMode() replicationdata.StopReplicationMode {
	if m != nil {
		return m.StopReplicationMode
	}
	return replicationdata.StopReplicationMode_IOANDSQLTHREAD
}

type StopReplicationAndGetStatusResponse struct {
	// HybridStatus is deprecated. It currently represents a hybrid struct where all data represents the before state,
	// except for all position related data which comes from the after state. Please use status instead, which holds
	// discrete replication status calls before and after stopping the replica, or stopping the replica's io_thread.
	HybridStatus *replicationdata.Status `protobuf:"bytes,1,opt,name=hybrid_status,json=hybridStatus,proto3" json:"hybrid_status,omitempty"` // Deprecated: Do not use.
	// Status represents the replication status call right before, and right after telling the replica to stop.
	Status               *replicationdata.StopReplicationStatus `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                               `json:"-"`
	XXX_unrecognized     []byte                                 `json:"-"`
	XXX_sizecache        int32                                  `json:"-"`
}

func (m *StopReplicationAndGetStatusResponse) Reset()         { *m = StopReplicationAndGetStatusResponse{} }
func (m *StopReplicationAndGetStatusResponse) String() string { return proto.CompactTextString(m) }
func (*StopReplicationAndGetStatusResponse) ProtoMessage()    {}
func (*StopReplicationAndGetStatusResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{85}
}

func (m *StopReplicationAndGetStatusResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StopReplicationAndGetStatusResponse.Unmarshal(m, b)
}
func (m *StopReplicationAndGetStatusResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StopReplicationAndGetStatusResponse.Marshal(b, m, deterministic)
}
func (m *StopReplicationAndGetStatusResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StopReplicationAndGetStatusResponse.Merge(m, src)
}
func (m *StopReplicationAndGetStatusResponse) XXX_Size() int {
	return xxx_messageInfo_StopReplicationAndGetStatusResponse.Size(m)
}
func (m *StopReplicationAndGetStatusResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_StopReplicationAndGetStatusResponse.DiscardUnknown(m)
}

var xxx_messageInfo_StopReplicationAndGetStatusResponse proto.InternalMessageInfo

// Deprecated: Do not use.
func (m *StopReplicationAndGetStatusResponse) GetHybridStatus() *replicationdata.Status {
	if m != nil {
		return m.HybridStatus
	}
	return nil
}

func (m *StopReplicationAndGetStatusResponse) GetStatus() *replicationdata.StopReplicationStatus {
	if m != nil {
		return m.Status
	}
	return nil
}

type PromoteReplicaRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PromoteReplicaRequest) Reset()         { *m = PromoteReplicaRequest{} }
func (m *PromoteReplicaRequest) String() string { return proto.CompactTextString(m) }
func (*PromoteReplicaRequest) ProtoMessage()    {}
func (*PromoteReplicaRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{86}
}

func (m *PromoteReplicaRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PromoteReplicaRequest.Unmarshal(m, b)
}
func (m *PromoteReplicaRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PromoteReplicaRequest.Marshal(b, m, deterministic)
}
func (m *PromoteReplicaRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PromoteReplicaRequest.Merge(m, src)
}
func (m *PromoteReplicaRequest) XXX_Size() int {
	return xxx_messageInfo_PromoteReplicaRequest.Size(m)
}
func (m *PromoteReplicaRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_PromoteReplicaRequest.DiscardUnknown(m)
}

var xxx_messageInfo_PromoteReplicaRequest proto.InternalMessageInfo

type PromoteReplicaResponse struct {
	Position             string   `protobuf:"bytes,1,opt,name=position,proto3" json:"position,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PromoteReplicaResponse) Reset()         { *m = PromoteReplicaResponse{} }
func (m *PromoteReplicaResponse) String() string { return proto.CompactTextString(m) }
func (*PromoteReplicaResponse) ProtoMessage()    {}
func (*PromoteReplicaResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{87}
}

func (m *PromoteReplicaResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PromoteReplicaResponse.Unmarshal(m, b)
}
func (m *PromoteReplicaResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PromoteReplicaResponse.Marshal(b, m, deterministic)
}
func (m *PromoteReplicaResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PromoteReplicaResponse.Merge(m, src)
}
func (m *PromoteReplicaResponse) XXX_Size() int {
	return xxx_messageInfo_PromoteReplicaResponse.Size(m)
}
func (m *PromoteReplicaResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_PromoteReplicaResponse.DiscardUnknown(m)
}

var xxx_messageInfo_PromoteReplicaResponse proto.InternalMessageInfo

func (m *PromoteReplicaResponse) GetPosition() string {
	if m != nil {
		return m.Position
	}
	return ""
}

type BackupRequest struct {
	Concurrency          int64    `protobuf:"varint,1,opt,name=concurrency,proto3" json:"concurrency,omitempty"`
	AllowMaster          bool     `protobuf:"varint,2,opt,name=allowMaster,proto3" json:"allowMaster,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *BackupRequest) Reset()         { *m = BackupRequest{} }
func (m *BackupRequest) String() string { return proto.CompactTextString(m) }
func (*BackupRequest) ProtoMessage()    {}
func (*BackupRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{88}
}

func (m *BackupRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_BackupRequest.Unmarshal(m, b)
}
func (m *BackupRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_BackupRequest.Marshal(b, m, deterministic)
}
func (m *BackupRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_BackupRequest.Merge(m, src)
}
func (m *BackupRequest) XXX_Size() int {
	return xxx_messageInfo_BackupRequest.Size(m)
}
func (m *BackupRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_BackupRequest.DiscardUnknown(m)
}

var xxx_messageInfo_BackupRequest proto.InternalMessageInfo

func (m *BackupRequest) GetConcurrency() int64 {
	if m != nil {
		return m.Concurrency
	}
	return 0
}

func (m *BackupRequest) GetAllowMaster() bool {
	if m != nil {
		return m.AllowMaster
	}
	return false
}

type BackupResponse struct {
	Event                *logutil.Event `protobuf:"bytes,1,opt,name=event,proto3" json:"event,omitempty"`
	XXX_NoUnkeyedLiteral struct{}       `json:"-"`
	XXX_unrecognized     []byte         `json:"-"`
	XXX_sizecache        int32          `json:"-"`
}

func (m *BackupResponse) Reset()         { *m = BackupResponse{} }
func (m *BackupResponse) String() string { return proto.CompactTextString(m) }
func (*BackupResponse) ProtoMessage()    {}
func (*BackupResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{89}
}

func (m *BackupResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_BackupResponse.Unmarshal(m, b)
}
func (m *BackupResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_BackupResponse.Marshal(b, m, deterministic)
}
func (m *BackupResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_BackupResponse.Merge(m, src)
}
func (m *BackupResponse) XXX_Size() int {
	return xxx_messageInfo_BackupResponse.Size(m)
}
func (m *BackupResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_BackupResponse.DiscardUnknown(m)
}

var xxx_messageInfo_BackupResponse proto.InternalMessageInfo

func (m *BackupResponse) GetEvent() *logutil.Event {
	if m != nil {
		return m.Event
	}
	return nil
}

type RestoreFromBackupRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RestoreFromBackupRequest) Reset()         { *m = RestoreFromBackupRequest{} }
func (m *RestoreFromBackupRequest) String() string { return proto.CompactTextString(m) }
func (*RestoreFromBackupRequest) ProtoMessage()    {}
func (*RestoreFromBackupRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{90}
}

func (m *RestoreFromBackupRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RestoreFromBackupRequest.Unmarshal(m, b)
}
func (m *RestoreFromBackupRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RestoreFromBackupRequest.Marshal(b, m, deterministic)
}
func (m *RestoreFromBackupRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RestoreFromBackupRequest.Merge(m, src)
}
func (m *RestoreFromBackupRequest) XXX_Size() int {
	return xxx_messageInfo_RestoreFromBackupRequest.Size(m)
}
func (m *RestoreFromBackupRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_RestoreFromBackupRequest.DiscardUnknown(m)
}

var xxx_messageInfo_RestoreFromBackupRequest proto.InternalMessageInfo

type RestoreFromBackupResponse struct {
	Event                *logutil.Event `protobuf:"bytes,1,opt,name=event,proto3" json:"event,omitempty"`
	XXX_NoUnkeyedLiteral struct{}       `json:"-"`
	XXX_unrecognized     []byte         `json:"-"`
	XXX_sizecache        int32          `json:"-"`
}

func (m *RestoreFromBackupResponse) Reset()         { *m = RestoreFromBackupResponse{} }
func (m *RestoreFromBackupResponse) String() string { return proto.CompactTextString(m) }
func (*RestoreFromBackupResponse) ProtoMessage()    {}
func (*RestoreFromBackupResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{91}
}

func (m *RestoreFromBackupResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RestoreFromBackupResponse.Unmarshal(m, b)
}
func (m *RestoreFromBackupResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RestoreFromBackupResponse.Marshal(b, m, deterministic)
}
func (m *RestoreFromBackupResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RestoreFromBackupResponse.Merge(m, src)
}
func (m *RestoreFromBackupResponse) XXX_Size() int {
	return xxx_messageInfo_RestoreFromBackupResponse.Size(m)
}
func (m *RestoreFromBackupResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_RestoreFromBackupResponse.DiscardUnknown(m)
}

var xxx_messageInfo_RestoreFromBackupResponse proto.InternalMessageInfo

func (m *RestoreFromBackupResponse) GetEvent() *logutil.Event {
	if m != nil {
		return m.Event
	}
	return nil
}

// Deprecated
type SlaveStatusRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SlaveStatusRequest) Reset()         { *m = SlaveStatusRequest{} }
func (m *SlaveStatusRequest) String() string { return proto.CompactTextString(m) }
func (*SlaveStatusRequest) ProtoMessage()    {}
func (*SlaveStatusRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{92}
}

func (m *SlaveStatusRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SlaveStatusRequest.Unmarshal(m, b)
}
func (m *SlaveStatusRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SlaveStatusRequest.Marshal(b, m, deterministic)
}
func (m *SlaveStatusRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SlaveStatusRequest.Merge(m, src)
}
func (m *SlaveStatusRequest) XXX_Size() int {
	return xxx_messageInfo_SlaveStatusRequest.Size(m)
}
func (m *SlaveStatusRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SlaveStatusRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SlaveStatusRequest proto.InternalMessageInfo

// Deprecated
type SlaveStatusResponse struct {
	Status               *replicationdata.Status `protobuf:"bytes,1,opt,name=status,proto3" json:"status,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                `json:"-"`
	XXX_unrecognized     []byte                  `json:"-"`
	XXX_sizecache        int32                   `json:"-"`
}

func (m *SlaveStatusResponse) Reset()         { *m = SlaveStatusResponse{} }
func (m *SlaveStatusResponse) String() string { return proto.CompactTextString(m) }
func (*SlaveStatusResponse) ProtoMessage()    {}
func (*SlaveStatusResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{93}
}

func (m *SlaveStatusResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SlaveStatusResponse.Unmarshal(m, b)
}
func (m *SlaveStatusResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SlaveStatusResponse.Marshal(b, m, deterministic)
}
func (m *SlaveStatusResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SlaveStatusResponse.Merge(m, src)
}
func (m *SlaveStatusResponse) XXX_Size() int {
	return xxx_messageInfo_SlaveStatusResponse.Size(m)
}
func (m *SlaveStatusResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SlaveStatusResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SlaveStatusResponse proto.InternalMessageInfo

func (m *SlaveStatusResponse) GetStatus() *replicationdata.Status {
	if m != nil {
		return m.Status
	}
	return nil
}

// Deprecated
type StopSlaveRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StopSlaveRequest) Reset()         { *m = StopSlaveRequest{} }
func (m *StopSlaveRequest) String() string { return proto.CompactTextString(m) }
func (*StopSlaveRequest) ProtoMessage()    {}
func (*StopSlaveRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{94}
}

func (m *StopSlaveRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StopSlaveRequest.Unmarshal(m, b)
}
func (m *StopSlaveRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StopSlaveRequest.Marshal(b, m, deterministic)
}
func (m *StopSlaveRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StopSlaveRequest.Merge(m, src)
}
func (m *StopSlaveRequest) XXX_Size() int {
	return xxx_messageInfo_StopSlaveRequest.Size(m)
}
func (m *StopSlaveRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_StopSlaveRequest.DiscardUnknown(m)
}

var xxx_messageInfo_StopSlaveRequest proto.InternalMessageInfo

// Deprecated
type StopSlaveResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StopSlaveResponse) Reset()         { *m = StopSlaveResponse{} }
func (m *StopSlaveResponse) String() string { return proto.CompactTextString(m) }
func (*StopSlaveResponse) ProtoMessage()    {}
func (*StopSlaveResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{95}
}

func (m *StopSlaveResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StopSlaveResponse.Unmarshal(m, b)
}
func (m *StopSlaveResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StopSlaveResponse.Marshal(b, m, deterministic)
}
func (m *StopSlaveResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StopSlaveResponse.Merge(m, src)
}
func (m *StopSlaveResponse) XXX_Size() int {
	return xxx_messageInfo_StopSlaveResponse.Size(m)
}
func (m *StopSlaveResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_StopSlaveResponse.DiscardUnknown(m)
}

var xxx_messageInfo_StopSlaveResponse proto.InternalMessageInfo

// Deprecated
type StopSlaveMinimumRequest struct {
	Position             string   `protobuf:"bytes,1,opt,name=position,proto3" json:"position,omitempty"`
	WaitTimeout          int64    `protobuf:"varint,2,opt,name=wait_timeout,json=waitTimeout,proto3" json:"wait_timeout,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StopSlaveMinimumRequest) Reset()         { *m = StopSlaveMinimumRequest{} }
func (m *StopSlaveMinimumRequest) String() string { return proto.CompactTextString(m) }
func (*StopSlaveMinimumRequest) ProtoMessage()    {}
func (*StopSlaveMinimumRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{96}
}

func (m *StopSlaveMinimumRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StopSlaveMinimumRequest.Unmarshal(m, b)
}
func (m *StopSlaveMinimumRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StopSlaveMinimumRequest.Marshal(b, m, deterministic)
}
func (m *StopSlaveMinimumRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StopSlaveMinimumRequest.Merge(m, src)
}
func (m *StopSlaveMinimumRequest) XXX_Size() int {
	return xxx_messageInfo_StopSlaveMinimumRequest.Size(m)
}
func (m *StopSlaveMinimumRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_StopSlaveMinimumRequest.DiscardUnknown(m)
}

var xxx_messageInfo_StopSlaveMinimumRequest proto.InternalMessageInfo

func (m *StopSlaveMinimumRequest) GetPosition() string {
	if m != nil {
		return m.Position
	}
	return ""
}

func (m *StopSlaveMinimumRequest) GetWaitTimeout() int64 {
	if m != nil {
		return m.WaitTimeout
	}
	return 0
}

// Deprecated
type StopSlaveMinimumResponse struct {
	Position             string   `protobuf:"bytes,1,opt,name=position,proto3" json:"position,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StopSlaveMinimumResponse) Reset()         { *m = StopSlaveMinimumResponse{} }
func (m *StopSlaveMinimumResponse) String() string { return proto.CompactTextString(m) }
func (*StopSlaveMinimumResponse) ProtoMessage()    {}
func (*StopSlaveMinimumResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{97}
}

func (m *StopSlaveMinimumResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StopSlaveMinimumResponse.Unmarshal(m, b)
}
func (m *StopSlaveMinimumResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StopSlaveMinimumResponse.Marshal(b, m, deterministic)
}
func (m *StopSlaveMinimumResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StopSlaveMinimumResponse.Merge(m, src)
}
func (m *StopSlaveMinimumResponse) XXX_Size() int {
	return xxx_messageInfo_StopSlaveMinimumResponse.Size(m)
}
func (m *StopSlaveMinimumResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_StopSlaveMinimumResponse.DiscardUnknown(m)
}

var xxx_messageInfo_StopSlaveMinimumResponse proto.InternalMessageInfo

func (m *StopSlaveMinimumResponse) GetPosition() string {
	if m != nil {
		return m.Position
	}
	return ""
}

// Deprecated
type StartSlaveRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StartSlaveRequest) Reset()         { *m = StartSlaveRequest{} }
func (m *StartSlaveRequest) String() string { return proto.CompactTextString(m) }
func (*StartSlaveRequest) ProtoMessage()    {}
func (*StartSlaveRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{98}
}

func (m *StartSlaveRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StartSlaveRequest.Unmarshal(m, b)
}
func (m *StartSlaveRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StartSlaveRequest.Marshal(b, m, deterministic)
}
func (m *StartSlaveRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StartSlaveRequest.Merge(m, src)
}
func (m *StartSlaveRequest) XXX_Size() int {
	return xxx_messageInfo_StartSlaveRequest.Size(m)
}
func (m *StartSlaveRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_StartSlaveRequest.DiscardUnknown(m)
}

var xxx_messageInfo_StartSlaveRequest proto.InternalMessageInfo

// Deprecated
type StartSlaveResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StartSlaveResponse) Reset()         { *m = StartSlaveResponse{} }
func (m *StartSlaveResponse) String() string { return proto.CompactTextString(m) }
func (*StartSlaveResponse) ProtoMessage()    {}
func (*StartSlaveResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{99}
}

func (m *StartSlaveResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StartSlaveResponse.Unmarshal(m, b)
}
func (m *StartSlaveResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StartSlaveResponse.Marshal(b, m, deterministic)
}
func (m *StartSlaveResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StartSlaveResponse.Merge(m, src)
}
func (m *StartSlaveResponse) XXX_Size() int {
	return xxx_messageInfo_StartSlaveResponse.Size(m)
}
func (m *StartSlaveResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_StartSlaveResponse.DiscardUnknown(m)
}

var xxx_messageInfo_StartSlaveResponse proto.InternalMessageInfo

// Deprecated
type StartSlaveUntilAfterRequest struct {
	Position             string   `protobuf:"bytes,1,opt,name=position,proto3" json:"position,omitempty"`
	WaitTimeout          int64    `protobuf:"varint,2,opt,name=wait_timeout,json=waitTimeout,proto3" json:"wait_timeout,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StartSlaveUntilAfterRequest) Reset()         { *m = StartSlaveUntilAfterRequest{} }
func (m *StartSlaveUntilAfterRequest) String() string { return proto.CompactTextString(m) }
func (*StartSlaveUntilAfterRequest) ProtoMessage()    {}
func (*StartSlaveUntilAfterRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{100}
}

func (m *StartSlaveUntilAfterRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StartSlaveUntilAfterRequest.Unmarshal(m, b)
}
func (m *StartSlaveUntilAfterRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StartSlaveUntilAfterRequest.Marshal(b, m, deterministic)
}
func (m *StartSlaveUntilAfterRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StartSlaveUntilAfterRequest.Merge(m, src)
}
func (m *StartSlaveUntilAfterRequest) XXX_Size() int {
	return xxx_messageInfo_StartSlaveUntilAfterRequest.Size(m)
}
func (m *StartSlaveUntilAfterRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_StartSlaveUntilAfterRequest.DiscardUnknown(m)
}

var xxx_messageInfo_StartSlaveUntilAfterRequest proto.InternalMessageInfo

func (m *StartSlaveUntilAfterRequest) GetPosition() string {
	if m != nil {
		return m.Position
	}
	return ""
}

func (m *StartSlaveUntilAfterRequest) GetWaitTimeout() int64 {
	if m != nil {
		return m.WaitTimeout
	}
	return 0
}

// Deprecated
type StartSlaveUntilAfterResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StartSlaveUntilAfterResponse) Reset()         { *m = StartSlaveUntilAfterResponse{} }
func (m *StartSlaveUntilAfterResponse) String() string { return proto.CompactTextString(m) }
func (*StartSlaveUntilAfterResponse) ProtoMessage()    {}
func (*StartSlaveUntilAfterResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{101}
}

func (m *StartSlaveUntilAfterResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StartSlaveUntilAfterResponse.Unmarshal(m, b)
}
func (m *StartSlaveUntilAfterResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StartSlaveUntilAfterResponse.Marshal(b, m, deterministic)
}
func (m *StartSlaveUntilAfterResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StartSlaveUntilAfterResponse.Merge(m, src)
}
func (m *StartSlaveUntilAfterResponse) XXX_Size() int {
	return xxx_messageInfo_StartSlaveUntilAfterResponse.Size(m)
}
func (m *StartSlaveUntilAfterResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_StartSlaveUntilAfterResponse.DiscardUnknown(m)
}

var xxx_messageInfo_StartSlaveUntilAfterResponse proto.InternalMessageInfo

// Deprecated
type GetSlavesRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetSlavesRequest) Reset()         { *m = GetSlavesRequest{} }
func (m *GetSlavesRequest) String() string { return proto.CompactTextString(m) }
func (*GetSlavesRequest) ProtoMessage()    {}
func (*GetSlavesRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{102}
}

func (m *GetSlavesRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetSlavesRequest.Unmarshal(m, b)
}
func (m *GetSlavesRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetSlavesRequest.Marshal(b, m, deterministic)
}
func (m *GetSlavesRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetSlavesRequest.Merge(m, src)
}
func (m *GetSlavesRequest) XXX_Size() int {
	return xxx_messageInfo_GetSlavesRequest.Size(m)
}
func (m *GetSlavesRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetSlavesRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetSlavesRequest proto.InternalMessageInfo

// Deprecated
type GetSlavesResponse struct {
	Addrs                []string `protobuf:"bytes,1,rep,name=addrs,proto3" json:"addrs,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetSlavesResponse) Reset()         { *m = GetSlavesResponse{} }
func (m *GetSlavesResponse) String() string { return proto.CompactTextString(m) }
func (*GetSlavesResponse) ProtoMessage()    {}
func (*GetSlavesResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{103}
}

func (m *GetSlavesResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetSlavesResponse.Unmarshal(m, b)
}
func (m *GetSlavesResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetSlavesResponse.Marshal(b, m, deterministic)
}
func (m *GetSlavesResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetSlavesResponse.Merge(m, src)
}
func (m *GetSlavesResponse) XXX_Size() int {
	return xxx_messageInfo_GetSlavesResponse.Size(m)
}
func (m *GetSlavesResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetSlavesResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetSlavesResponse proto.InternalMessageInfo

func (m *GetSlavesResponse) GetAddrs() []string {
	if m != nil {
		return m.Addrs
	}
	return nil
}

// Deprecated
type InitSlaveRequest struct {
	Parent               *topodata.TabletAlias `protobuf:"bytes,1,opt,name=parent,proto3" json:"parent,omitempty"`
	ReplicationPosition  string                `protobuf:"bytes,2,opt,name=replication_position,json=replicationPosition,proto3" json:"replication_position,omitempty"`
	TimeCreatedNs        int64                 `protobuf:"varint,3,opt,name=time_created_ns,json=timeCreatedNs,proto3" json:"time_created_ns,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *InitSlaveRequest) Reset()         { *m = InitSlaveRequest{} }
func (m *InitSlaveRequest) String() string { return proto.CompactTextString(m) }
func (*InitSlaveRequest) ProtoMessage()    {}
func (*InitSlaveRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{104}
}

func (m *InitSlaveRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_InitSlaveRequest.Unmarshal(m, b)
}
func (m *InitSlaveRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_InitSlaveRequest.Marshal(b, m, deterministic)
}
func (m *InitSlaveRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_InitSlaveRequest.Merge(m, src)
}
func (m *InitSlaveRequest) XXX_Size() int {
	return xxx_messageInfo_InitSlaveRequest.Size(m)
}
func (m *InitSlaveRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_InitSlaveRequest.DiscardUnknown(m)
}

var xxx_messageInfo_InitSlaveRequest proto.InternalMessageInfo

func (m *InitSlaveRequest) GetParent() *topodata.TabletAlias {
	if m != nil {
		return m.Parent
	}
	return nil
}

func (m *InitSlaveRequest) GetReplicationPosition() string {
	if m != nil {
		return m.ReplicationPosition
	}
	return ""
}

func (m *InitSlaveRequest) GetTimeCreatedNs() int64 {
	if m != nil {
		return m.TimeCreatedNs
	}
	return 0
}

// Deprecated
type InitSlaveResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *InitSlaveResponse) Reset()         { *m = InitSlaveResponse{} }
func (m *InitSlaveResponse) String() string { return proto.CompactTextString(m) }
func (*InitSlaveResponse) ProtoMessage()    {}
func (*InitSlaveResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{105}
}

func (m *InitSlaveResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_InitSlaveResponse.Unmarshal(m, b)
}
func (m *InitSlaveResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_InitSlaveResponse.Marshal(b, m, deterministic)
}
func (m *InitSlaveResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_InitSlaveResponse.Merge(m, src)
}
func (m *InitSlaveResponse) XXX_Size() int {
	return xxx_messageInfo_InitSlaveResponse.Size(m)
}
func (m *InitSlaveResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_InitSlaveResponse.DiscardUnknown(m)
}

var xxx_messageInfo_InitSlaveResponse proto.InternalMessageInfo

// Deprecated
type SlaveWasPromotedRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SlaveWasPromotedRequest) Reset()         { *m = SlaveWasPromotedRequest{} }
func (m *SlaveWasPromotedRequest) String() string { return proto.CompactTextString(m) }
func (*SlaveWasPromotedRequest) ProtoMessage()    {}
func (*SlaveWasPromotedRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{106}
}

func (m *SlaveWasPromotedRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SlaveWasPromotedRequest.Unmarshal(m, b)
}
func (m *SlaveWasPromotedRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SlaveWasPromotedRequest.Marshal(b, m, deterministic)
}
func (m *SlaveWasPromotedRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SlaveWasPromotedRequest.Merge(m, src)
}
func (m *SlaveWasPromotedRequest) XXX_Size() int {
	return xxx_messageInfo_SlaveWasPromotedRequest.Size(m)
}
func (m *SlaveWasPromotedRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SlaveWasPromotedRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SlaveWasPromotedRequest proto.InternalMessageInfo

// Deprecated
type SlaveWasPromotedResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SlaveWasPromotedResponse) Reset()         { *m = SlaveWasPromotedResponse{} }
func (m *SlaveWasPromotedResponse) String() string { return proto.CompactTextString(m) }
func (*SlaveWasPromotedResponse) ProtoMessage()    {}
func (*SlaveWasPromotedResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{107}
}

func (m *SlaveWasPromotedResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SlaveWasPromotedResponse.Unmarshal(m, b)
}
func (m *SlaveWasPromotedResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SlaveWasPromotedResponse.Marshal(b, m, deterministic)
}
func (m *SlaveWasPromotedResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SlaveWasPromotedResponse.Merge(m, src)
}
func (m *SlaveWasPromotedResponse) XXX_Size() int {
	return xxx_messageInfo_SlaveWasPromotedResponse.Size(m)
}
func (m *SlaveWasPromotedResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SlaveWasPromotedResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SlaveWasPromotedResponse proto.InternalMessageInfo

// Deprecated
type SlaveWasRestartedRequest struct {
	// the parent alias the tablet should have
	Parent               *topodata.TabletAlias `protobuf:"bytes,1,opt,name=parent,proto3" json:"parent,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *SlaveWasRestartedRequest) Reset()         { *m = SlaveWasRestartedRequest{} }
func (m *SlaveWasRestartedRequest) String() string { return proto.CompactTextString(m) }
func (*SlaveWasRestartedRequest) ProtoMessage()    {}
func (*SlaveWasRestartedRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{108}
}

func (m *SlaveWasRestartedRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SlaveWasRestartedRequest.Unmarshal(m, b)
}
func (m *SlaveWasRestartedRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SlaveWasRestartedRequest.Marshal(b, m, deterministic)
}
func (m *SlaveWasRestartedRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SlaveWasRestartedRequest.Merge(m, src)
}
func (m *SlaveWasRestartedRequest) XXX_Size() int {
	return xxx_messageInfo_SlaveWasRestartedRequest.Size(m)
}
func (m *SlaveWasRestartedRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SlaveWasRestartedRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SlaveWasRestartedRequest proto.InternalMessageInfo

func (m *SlaveWasRestartedRequest) GetParent() *topodata.TabletAlias {
	if m != nil {
		return m.Parent
	}
	return nil
}

// Deprecated
type SlaveWasRestartedResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SlaveWasRestartedResponse) Reset()         { *m = SlaveWasRestartedResponse{} }
func (m *SlaveWasRestartedResponse) String() string { return proto.CompactTextString(m) }
func (*SlaveWasRestartedResponse) ProtoMessage()    {}
func (*SlaveWasRestartedResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_ff9ac4f89e61ffa4, []int{109}
}

func (m *SlaveWasRestartedResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SlaveWasRestartedResponse.Unmarshal(m, b)
}
func (m *SlaveWasRestartedResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SlaveWasRestartedResponse.Marshal(b, m, deterministic)
}
func (m *SlaveWasRestartedResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SlaveWasRestartedResponse.Merge(m, src)
}
func (m *SlaveWasRestartedResponse) XXX_Size() int {
	return xxx_messageInfo_SlaveWasRestartedResponse.Size(m)
}
func (m *SlaveWasRestartedResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SlaveWasRestartedResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SlaveWasRestartedResponse proto.InternalMessageInfo

func init() {
	proto.RegisterType((*TableDefinition)(nil), "tabletmanagerdata.TableDefinition")
	proto.RegisterType((*SchemaDefinition)(nil), "tabletmanagerdata.SchemaDefinition")
	proto.RegisterType((*SchemaChangeResult)(nil), "tabletmanagerdata.SchemaChangeResult")
	proto.RegisterType((*UserPermission)(nil), "tabletmanagerdata.UserPermission")
	proto.RegisterMapType((map[string]string)(nil), "tabletmanagerdata.UserPermission.PrivilegesEntry")
	proto.RegisterType((*DbPermission)(nil), "tabletmanagerdata.DbPermission")
	proto.RegisterMapType((map[string]string)(nil), "tabletmanagerdata.DbPermission.PrivilegesEntry")
	proto.RegisterType((*Permissions)(nil), "tabletmanagerdata.Permissions")
	proto.RegisterType((*PingRequest)(nil), "tabletmanagerdata.PingRequest")
	proto.RegisterType((*PingResponse)(nil), "tabletmanagerdata.PingResponse")
	proto.RegisterType((*SleepRequest)(nil), "tabletmanagerdata.SleepRequest")
	proto.RegisterType((*SleepResponse)(nil), "tabletmanagerdata.SleepResponse")
	proto.RegisterType((*ExecuteHookRequest)(nil), "tabletmanagerdata.ExecuteHookRequest")
	proto.RegisterMapType((map[string]string)(nil), "tabletmanagerdata.ExecuteHookRequest.ExtraEnvEntry")
	proto.RegisterType((*ExecuteHookResponse)(nil), "tabletmanagerdata.ExecuteHookResponse")
	proto.RegisterType((*GetSchemaRequest)(nil), "tabletmanagerdata.GetSchemaRequest")
	proto.RegisterType((*GetSchemaResponse)(nil), "tabletmanagerdata.GetSchemaResponse")
	proto.RegisterType((*GetPermissionsRequest)(nil), "tabletmanagerdata.GetPermissionsRequest")
	proto.RegisterType((*GetPermissionsResponse)(nil), "tabletmanagerdata.GetPermissionsResponse")
	proto.RegisterType((*SetReadOnlyRequest)(nil), "tabletmanagerdata.SetReadOnlyRequest")
	proto.RegisterType((*SetReadOnlyResponse)(nil), "tabletmanagerdata.SetReadOnlyResponse")
	proto.RegisterType((*SetReadWriteRequest)(nil), "tabletmanagerdata.SetReadWriteRequest")
	proto.RegisterType((*SetReadWriteResponse)(nil), "tabletmanagerdata.SetReadWriteResponse")
	proto.RegisterType((*ChangeTypeRequest)(nil), "tabletmanagerdata.ChangeTypeRequest")
	proto.RegisterType((*ChangeTypeResponse)(nil), "tabletmanagerdata.ChangeTypeResponse")
	proto.RegisterType((*RefreshStateRequest)(nil), "tabletmanagerdata.RefreshStateRequest")
	proto.RegisterType((*RefreshStateResponse)(nil), "tabletmanagerdata.RefreshStateResponse")
	proto.RegisterType((*RunHealthCheckRequest)(nil), "tabletmanagerdata.RunHealthCheckRequest")
	proto.RegisterType((*RunHealthCheckResponse)(nil), "tabletmanagerdata.RunHealthCheckResponse")
	proto.RegisterType((*IgnoreHealthErrorRequest)(nil), "tabletmanagerdata.IgnoreHealthErrorRequest")
	proto.RegisterType((*IgnoreHealthErrorResponse)(nil), "tabletmanagerdata.IgnoreHealthErrorResponse")
	proto.RegisterType((*ReloadSchemaRequest)(nil), "tabletmanagerdata.ReloadSchemaRequest")
	proto.RegisterType((*ReloadSchemaResponse)(nil), "tabletmanagerdata.ReloadSchemaResponse")
	proto.RegisterType((*PreflightSchemaRequest)(nil), "tabletmanagerdata.PreflightSchemaRequest")
	proto.RegisterType((*PreflightSchemaResponse)(nil), "tabletmanagerdata.PreflightSchemaResponse")
	proto.RegisterType((*ApplySchemaRequest)(nil), "tabletmanagerdata.ApplySchemaRequest")
	proto.RegisterType((*ApplySchemaResponse)(nil), "tabletmanagerdata.ApplySchemaResponse")
	proto.RegisterType((*LockTablesRequest)(nil), "tabletmanagerdata.LockTablesRequest")
	proto.RegisterType((*LockTablesResponse)(nil), "tabletmanagerdata.LockTablesResponse")
	proto.RegisterType((*UnlockTablesRequest)(nil), "tabletmanagerdata.UnlockTablesRequest")
	proto.RegisterType((*UnlockTablesResponse)(nil), "tabletmanagerdata.UnlockTablesResponse")
	proto.RegisterType((*ExecuteFetchAsDbaRequest)(nil), "tabletmanagerdata.ExecuteFetchAsDbaRequest")
	proto.RegisterType((*ExecuteFetchAsDbaResponse)(nil), "tabletmanagerdata.ExecuteFetchAsDbaResponse")
	proto.RegisterType((*ExecuteFetchAsAllPrivsRequest)(nil), "tabletmanagerdata.ExecuteFetchAsAllPrivsRequest")
	proto.RegisterType((*ExecuteFetchAsAllPrivsResponse)(nil), "tabletmanagerdata.ExecuteFetchAsAllPrivsResponse")
	proto.RegisterType((*ExecuteFetchAsAppRequest)(nil), "tabletmanagerdata.ExecuteFetchAsAppRequest")
	proto.RegisterType((*ExecuteFetchAsAppResponse)(nil), "tabletmanagerdata.ExecuteFetchAsAppResponse")
	proto.RegisterType((*ReplicationStatusRequest)(nil), "tabletmanagerdata.ReplicationStatusRequest")
	proto.RegisterType((*ReplicationStatusResponse)(nil), "tabletmanagerdata.ReplicationStatusResponse")
	proto.RegisterType((*MasterStatusRequest)(nil), "tabletmanagerdata.MasterStatusRequest")
	proto.RegisterType((*MasterStatusResponse)(nil), "tabletmanagerdata.MasterStatusResponse")
	proto.RegisterType((*MasterPositionRequest)(nil), "tabletmanagerdata.MasterPositionRequest")
	proto.RegisterType((*MasterPositionResponse)(nil), "tabletmanagerdata.MasterPositionResponse")
	proto.RegisterType((*WaitForPositionRequest)(nil), "tabletmanagerdata.WaitForPositionRequest")
	proto.RegisterType((*WaitForPositionResponse)(nil), "tabletmanagerdata.WaitForPositionResponse")
	proto.RegisterType((*StopReplicationRequest)(nil), "tabletmanagerdata.StopReplicationRequest")
	proto.RegisterType((*StopReplicationResponse)(nil), "tabletmanagerdata.StopReplicationResponse")
	proto.RegisterType((*StopReplicationMinimumRequest)(nil), "tabletmanagerdata.StopReplicationMinimumRequest")
	proto.RegisterType((*StopReplicationMinimumResponse)(nil), "tabletmanagerdata.StopReplicationMinimumResponse")
	proto.RegisterType((*StartReplicationRequest)(nil), "tabletmanagerdata.StartReplicationRequest")
	proto.RegisterType((*StartReplicationResponse)(nil), "tabletmanagerdata.StartReplicationResponse")
	proto.RegisterType((*StartReplicationUntilAfterRequest)(nil), "tabletmanagerdata.StartReplicationUntilAfterRequest")
	proto.RegisterType((*StartReplicationUntilAfterResponse)(nil), "tabletmanagerdata.StartReplicationUntilAfterResponse")
	proto.RegisterType((*GetReplicasRequest)(nil), "tabletmanagerdata.GetReplicasRequest")
	proto.RegisterType((*GetReplicasResponse)(nil), "tabletmanagerdata.GetReplicasResponse")
	proto.RegisterType((*ResetReplicationRequest)(nil), "tabletmanagerdata.ResetReplicationRequest")
	proto.RegisterType((*ResetReplicationResponse)(nil), "tabletmanagerdata.ResetReplicationResponse")
	proto.RegisterType((*VReplicationExecRequest)(nil), "tabletmanagerdata.VReplicationExecRequest")
	proto.RegisterType((*VReplicationExecResponse)(nil), "tabletmanagerdata.VReplicationExecResponse")
	proto.RegisterType((*VReplicationWaitForPosRequest)(nil), "tabletmanagerdata.VReplicationWaitForPosRequest")
	proto.RegisterType((*VReplicationWaitForPosResponse)(nil), "tabletmanagerdata.VReplicationWaitForPosResponse")
	proto.RegisterType((*InitMasterRequest)(nil), "tabletmanagerdata.InitMasterRequest")
	proto.RegisterType((*InitMasterResponse)(nil), "tabletmanagerdata.InitMasterResponse")
	proto.RegisterType((*PopulateReparentJournalRequest)(nil), "tabletmanagerdata.PopulateReparentJournalRequest")
	proto.RegisterType((*PopulateReparentJournalResponse)(nil), "tabletmanagerdata.PopulateReparentJournalResponse")
	proto.RegisterType((*InitReplicaRequest)(nil), "tabletmanagerdata.InitReplicaRequest")
	proto.RegisterType((*InitReplicaResponse)(nil), "tabletmanagerdata.InitReplicaResponse")
	proto.RegisterType((*DemoteMasterRequest)(nil), "tabletmanagerdata.DemoteMasterRequest")
	proto.RegisterType((*DemoteMasterResponse)(nil), "tabletmanagerdata.DemoteMasterResponse")
	proto.RegisterType((*UndoDemoteMasterRequest)(nil), "tabletmanagerdata.UndoDemoteMasterRequest")
	proto.RegisterType((*UndoDemoteMasterResponse)(nil), "tabletmanagerdata.UndoDemoteMasterResponse")
	proto.RegisterType((*ReplicaWasPromotedRequest)(nil), "tabletmanagerdata.ReplicaWasPromotedRequest")
	proto.RegisterType((*ReplicaWasPromotedResponse)(nil), "tabletmanagerdata.ReplicaWasPromotedResponse")
	proto.RegisterType((*SetMasterRequest)(nil), "tabletmanagerdata.SetMasterRequest")
	proto.RegisterType((*SetMasterResponse)(nil), "tabletmanagerdata.SetMasterResponse")
	proto.RegisterType((*ReplicaWasRestartedRequest)(nil), "tabletmanagerdata.ReplicaWasRestartedRequest")
	proto.RegisterType((*ReplicaWasRestartedResponse)(nil), "tabletmanagerdata.ReplicaWasRestartedResponse")
	proto.RegisterType((*StopReplicationAndGetStatusRequest)(nil), "tabletmanagerdata.StopReplicationAndGetStatusRequest")
	proto.RegisterType((*StopReplicationAndGetStatusResponse)(nil), "tabletmanagerdata.StopReplicationAndGetStatusResponse")
	proto.RegisterType((*PromoteReplicaRequest)(nil), "tabletmanagerdata.PromoteReplicaRequest")
	proto.RegisterType((*PromoteReplicaResponse)(nil), "tabletmanagerdata.PromoteReplicaResponse")
	proto.RegisterType((*BackupRequest)(nil), "tabletmanagerdata.BackupRequest")
	proto.RegisterType((*BackupResponse)(nil), "tabletmanagerdata.BackupResponse")
	proto.RegisterType((*RestoreFromBackupRequest)(nil), "tabletmanagerdata.RestoreFromBackupRequest")
	proto.RegisterType((*RestoreFromBackupResponse)(nil), "tabletmanagerdata.RestoreFromBackupResponse")
	proto.RegisterType((*SlaveStatusRequest)(nil), "tabletmanagerdata.SlaveStatusRequest")
	proto.RegisterType((*SlaveStatusResponse)(nil), "tabletmanagerdata.SlaveStatusResponse")
	proto.RegisterType((*StopSlaveRequest)(nil), "tabletmanagerdata.StopSlaveRequest")
	proto.RegisterType((*StopSlaveResponse)(nil), "tabletmanagerdata.StopSlaveResponse")
	proto.RegisterType((*StopSlaveMinimumRequest)(nil), "tabletmanagerdata.StopSlaveMinimumRequest")
	proto.RegisterType((*StopSlaveMinimumResponse)(nil), "tabletmanagerdata.StopSlaveMinimumResponse")
	proto.RegisterType((*StartSlaveRequest)(nil), "tabletmanagerdata.StartSlaveRequest")
	proto.RegisterType((*StartSlaveResponse)(nil), "tabletmanagerdata.StartSlaveResponse")
	proto.RegisterType((*StartSlaveUntilAfterRequest)(nil), "tabletmanagerdata.StartSlaveUntilAfterRequest")
	proto.RegisterType((*StartSlaveUntilAfterResponse)(nil), "tabletmanagerdata.StartSlaveUntilAfterResponse")
	proto.RegisterType((*GetSlavesRequest)(nil), "tabletmanagerdata.GetSlavesRequest")
	proto.RegisterType((*GetSlavesResponse)(nil), "tabletmanagerdata.GetSlavesResponse")
	proto.RegisterType((*InitSlaveRequest)(nil), "tabletmanagerdata.InitSlaveRequest")
	proto.RegisterType((*InitSlaveResponse)(nil), "tabletmanagerdata.InitSlaveResponse")
	proto.RegisterType((*SlaveWasPromotedRequest)(nil), "tabletmanagerdata.SlaveWasPromotedRequest")
	proto.RegisterType((*SlaveWasPromotedResponse)(nil), "tabletmanagerdata.SlaveWasPromotedResponse")
	proto.RegisterType((*SlaveWasRestartedRequest)(nil), "tabletmanagerdata.SlaveWasRestartedRequest")
	proto.RegisterType((*SlaveWasRestartedResponse)(nil), "tabletmanagerdata.SlaveWasRestartedResponse")
}

func init() { proto.RegisterFile("tabletmanagerdata.proto", fileDescriptor_ff9ac4f89e61ffa4) }

var fileDescriptor_ff9ac4f89e61ffa4 = []byte{
	// 2276 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xcc, 0x59, 0xdd, 0x72, 0xdb, 0xc6,
	0x15, 0x1e, 0x50, 0x3f, 0x96, 0x0e, 0x7f, 0x44, 0x81, 0x94, 0x44, 0x51, 0xb1, 0x2c, 0xc3, 0x4e,
	0xe2, 0x26, 0x53, 0x2a, 0x51, 0x12, 0x4f, 0x26, 0xfd, 0x99, 0xca, 0xb6, 0x64, 0x3b, 0x96, 0x63,
	0x05, 0xb2, 0xe3, 0x4c, 0xa6, 0x53, 0x0c, 0x48, 0xac, 0x28, 0x8c, 0x40, 0x2c, 0xbc, 0xbb, 0xa0,
	0xc4, 0x9b, 0x3e, 0x42, 0xfb, 0x02, 0x9d, 0xde, 0x74, 0xa6, 0xbd, 0xef, 0x43, 0xf4, 0x11, 0xd2,
	0x47, 0xe9, 0x45, 0x2f, 0xda, 0xd9, 0xdd, 0x03, 0x12, 0x20, 0x20, 0x59, 0x76, 0xdd, 0x99, 0xdc,
	0x68, 0xb0, 0xdf, 0xd9, 0xf3, 0xbb, 0x67, 0xcf, 0x39, 0x4b, 0xc1, 0x9a, 0x70, 0xbb, 0x01, 0x11,
	0x03, 0x37, 0x74, 0xfb, 0x84, 0x79, 0xae, 0x70, 0x3b, 0x11, 0xa3, 0x82, 0x9a, 0xcb, 0x39, 0x42,
	0xbb, 0xfc, 0x2a, 0x26, 0x6c, 0xa4, 0xe9, 0xed, 0x9a, 0xa0, 0x11, 0x9d, 0xec, 0x6f, 0xaf, 0x30,
	0x12, 0x05, 0x7e, 0xcf, 0x15, 0x3e, 0x0d, 0x53, 0x70, 0x35, 0xa0, 0xfd, 0x58, 0xf8, 0x81, 0x5e,
	0x5a, 0xff, 0x31, 0x60, 0xe9, 0xb9, 0x14, 0xfc, 0x80, 0x1c, 0xfb, 0xa1, 0x2f, 0x37, 0x9b, 0x26,
	0xcc, 0x86, 0xee, 0x80, 0xb4, 0x8c, 0x2d, 0xe3, 0xce, 0xa2, 0xad, 0xbe, 0xcd, 0x55, 0x98, 0xe7,
	0xbd, 0x13, 0x32, 0x70, 0x5b, 0x25, 0x85, 0xe2, 0xca, 0x6c, 0xc1, 0xb5, 0x1e, 0x0d, 0xe2, 0x41,
	0xc8, 0x5b, 0x33, 0x5b, 0x33, 0x77, 0x16, 0xed, 0x64, 0x69, 0x76, 0xa0, 0x11, 0x31, 0x7f, 0xe0,
	0xb2, 0x91, 0x73, 0x4a, 0x46, 0x4e, 0xb2, 0x6b, 0x56, 0xed, 0x5a, 0x46, 0xd2, 0x13, 0x32, 0xba,
	0x8f, 0xfb, 0x4d, 0x98, 0x15, 0xa3, 0x88, 0xb4, 0xe6, 0xb4, 0x56, 0xf9, 0x6d, 0xde, 0x80, 0xb2,
	0x34, 0xdd, 0x09, 0x48, 0xd8, 0x17, 0x27, 0xad, 0xf9, 0x2d, 0xe3, 0xce, 0xac, 0x0d, 0x12, 0x3a,
	0x50, 0x88, 0xb9, 0x01, 0x8b, 0x8c, 0x9e, 0x39, 0x3d, 0x1a, 0x87, 0xa2, 0x75, 0x4d, 0x91, 0x17,
	0x18, 0x3d, 0xbb, 0x2f, 0xd7, 0xe6, 0x6d, 0x98, 0x3f, 0xf6, 0x49, 0xe0, 0xf1, 0xd6, 0xc2, 0xd6,
	0xcc, 0x9d, 0xf2, 0x4e, 0xa5, 0xa3, 0xe3, 0xb5, 0x2f, 0x41, 0x1b, 0x69, 0xd6, 0x5f, 0x0d, 0xa8,
	0x1f, 0x29, 0x67, 0x52, 0x21, 0xf8, 0x10, 0x96, 0xa4, 0x96, 0xae, 0xcb, 0x89, 0x83, 0x7e, 0xeb,
	0x68, 0xd4, 0x12, 0x58, 0xb3, 0x98, 0xcf, 0x40, 0x9f, 0x8b, 0xe3, 0x8d, 0x99, 0x79, 0xab, 0xa4,
	0xd4, 0x59, 0x9d, 0xfc, 0x51, 0x4e, 0x85, 0xda, 0xae, 0x8b, 0x2c, 0xc0, 0x65, 0x40, 0x87, 0x84,
	0x71, 0x9f, 0x86, 0xad, 0x19, 0xa5, 0x31, 0x59, 0x4a, 0x43, 0x4d, 0xad, 0xf5, 0xfe, 0x89, 0x1b,
	0xf6, 0x89, 0x4d, 0x78, 0x1c, 0x08, 0xf3, 0x11, 0x54, 0xbb, 0xe4, 0x98, 0xb2, 0x8c, 0xa1, 0xe5,
	0x9d, 0x5b, 0x05, 0xda, 0xa7, 0xdd, 0xb4, 0x2b, 0x9a, 0x13, 0x7d, 0xd9, 0x87, 0x8a, 0x7b, 0x2c,
	0x08, 0x73, 0x52, 0x27, 0x7d, 0x45, 0x41, 0x65, 0xc5, 0xa8, 0x61, 0xeb, 0x5f, 0x06, 0xd4, 0x5e,
	0x70, 0xc2, 0x0e, 0x09, 0x1b, 0xf8, 0x9c, 0x63, 0x4a, 0x9d, 0x50, 0x2e, 0x92, 0x94, 0x92, 0xdf,
	0x12, 0x8b, 0x39, 0x61, 0x98, 0x50, 0xea, 0xdb, 0xfc, 0x18, 0x96, 0x23, 0x97, 0xf3, 0x33, 0xca,
	0x3c, 0xa7, 0x77, 0x42, 0x7a, 0xa7, 0x3c, 0x1e, 0xa8, 0x38, 0xcc, 0xda, 0xf5, 0x84, 0x70, 0x1f,
	0x71, 0xf3, 0x5b, 0x80, 0x88, 0xf9, 0x43, 0x3f, 0x20, 0x7d, 0xa2, 0x13, 0xab, 0xbc, 0xf3, 0x69,
	0x81, 0xb5, 0x59, 0x5b, 0x3a, 0x87, 0x63, 0x9e, 0xbd, 0x50, 0xb0, 0x91, 0x9d, 0x12, 0xd2, 0xfe,
	0x15, 0x2c, 0x4d, 0x91, 0xcd, 0x3a, 0xcc, 0x9c, 0x92, 0x11, 0x5a, 0x2e, 0x3f, 0xcd, 0x26, 0xcc,
	0x0d, 0xdd, 0x20, 0x26, 0x68, 0xb9, 0x5e, 0x7c, 0x55, 0xfa, 0xd2, 0xb0, 0x7e, 0x34, 0xa0, 0xf2,
	0xa0, 0xfb, 0x1a, 0xbf, 0x6b, 0x50, 0xf2, 0xba, 0xc8, 0x5b, 0xf2, 0xba, 0xe3, 0x38, 0xcc, 0xa4,
	0xe2, 0xf0, 0xac, 0xc0, 0xb5, 0xed, 0x02, 0xd7, 0xd2, 0xca, 0xfe, 0x9f, 0x8e, 0xfd, 0xc5, 0x80,
	0xf2, 0x44, 0x13, 0x37, 0x0f, 0xa0, 0x2e, 0xed, 0x74, 0xa2, 0x09, 0xd6, 0x32, 0x94, 0x95, 0x37,
	0x5f, 0x7b, 0x00, 0xf6, 0x52, 0x9c, 0x59, 0x73, 0x73, 0x1f, 0x6a, 0x5e, 0x37, 0x23, 0x4b, 0xdf,
	0xa0, 0x1b, 0xaf, 0xf1, 0xd8, 0xae, 0x7a, 0xa9, 0x15, 0xb7, 0x3e, 0x84, 0xf2, 0xa1, 0x1f, 0xf6,
	0x6d, 0xf2, 0x2a, 0x26, 0x5c, 0xc8, 0xab, 0x14, 0xb9, 0xa3, 0x80, 0xba, 0x1e, 0x3a, 0x99, 0x2c,
	0xad, 0x3b, 0x50, 0xd1, 0x1b, 0x79, 0x44, 0x43, 0x4e, 0x2e, 0xd9, 0xf9, 0x11, 0x54, 0x8e, 0x02,
	0x42, 0xa2, 0x44, 0x66, 0x1b, 0x16, 0xbc, 0x98, 0xa9, 0xa2, 0xaa, 0xb6, 0xce, 0xd8, 0xe3, 0xb5,
	0xb5, 0x04, 0x55, 0xdc, 0xab, 0xc5, 0x5a, 0xff, 0x34, 0xc0, 0xdc, 0x3b, 0x27, 0xbd, 0x58, 0x90,
	0x47, 0x94, 0x9e, 0x26, 0x32, 0x8a, 0xea, 0xeb, 0x26, 0x40, 0xe4, 0x32, 0x77, 0x40, 0x04, 0x61,
	0xda, 0xfd, 0x45, 0x3b, 0x85, 0x98, 0x87, 0xb0, 0x48, 0xce, 0x05, 0x73, 0x1d, 0x12, 0x0e, 0x55,
	0xa5, 0x2d, 0xef, 0x7c, 0x56, 0x10, 0x9d, 0xbc, 0xb6, 0xce, 0x9e, 0x64, 0xdb, 0x0b, 0x87, 0x3a,
	0x27, 0x16, 0x08, 0x2e, 0xdb, 0xbf, 0x80, 0x6a, 0x86, 0xf4, 0x46, 0xf9, 0x70, 0x0c, 0x8d, 0x8c,
	0x2a, 0x8c, 0xe3, 0x0d, 0x28, 0x93, 0x73, 0x5f, 0x38, 0x5c, 0xb8, 0x22, 0xe6, 0x18, 0x20, 0x90,
	0xd0, 0x91, 0x42, 0x54, 0x1b, 0x11, 0x1e, 0x8d, 0xc5, 0xb8, 0x8d, 0xa8, 0x15, 0xe2, 0x84, 0x25,
	0xb7, 0x00, 0x57, 0xd6, 0x10, 0xea, 0x0f, 0x89, 0xd0, 0x75, 0x25, 0x09, 0xdf, 0x2a, 0xcc, 0x2b,
	0xc7, 0x75, 0xc6, 0x2d, 0xda, 0xb8, 0x32, 0x6f, 0x41, 0xd5, 0x0f, 0x7b, 0x41, 0xec, 0x11, 0x67,
	0xe8, 0x93, 0x33, 0xae, 0x54, 0x2c, 0xd8, 0x15, 0x04, 0xbf, 0x93, 0x98, 0xf9, 0x3e, 0xd4, 0xc8,
	0xb9, 0xde, 0x84, 0x42, 0x74, 0xdb, 0xaa, 0x22, 0xaa, 0x0a, 0x34, 0xb7, 0x08, 0x2c, 0xa7, 0xf4,
	0xa2, 0x77, 0x87, 0xb0, 0xac, 0x2b, 0x63, 0xaa, 0xd8, 0xbf, 0x49, 0xb5, 0xad, 0xf3, 0x29, 0xc4,
	0x5a, 0x83, 0x95, 0x87, 0x44, 0xa4, 0x52, 0x18, 0x7d, 0xb4, 0x7e, 0x80, 0xd5, 0x69, 0x02, 0x1a,
	0xf1, 0x1b, 0x28, 0x67, 0x2f, 0x9d, 0x54, 0xbf, 0x59, 0xa0, 0x3e, 0xcd, 0x9c, 0x66, 0xb1, 0x9a,
	0x60, 0x1e, 0x11, 0x61, 0x13, 0xd7, 0x7b, 0x16, 0x06, 0xa3, 0x44, 0xe3, 0x0a, 0x34, 0x32, 0x28,
	0xa6, 0xf0, 0x04, 0x7e, 0xc9, 0x7c, 0x41, 0x92, 0xdd, 0xab, 0xd0, 0xcc, 0xc2, 0xb8, 0xfd, 0x6b,
	0x58, 0xd6, 0xcd, 0xe9, 0xf9, 0x28, 0x4a, 0x36, 0x9b, 0x5f, 0x40, 0x59, 0x9b, 0xe7, 0xa8, 0x06,
	0x2f, 0x4d, 0xae, 0xed, 0x34, 0x3b, 0xe3, 0x79, 0x45, 0xc5, 0x5c, 0x28, 0x0e, 0x10, 0xe3, 0x6f,
	0x69, 0x67, 0x5a, 0xd6, 0xc4, 0x20, 0x9b, 0x1c, 0x33, 0xc2, 0x4f, 0x64, 0x4a, 0xa5, 0x0d, 0xca,
	0xc2, 0xb8, 0x7d, 0x0d, 0x56, 0xec, 0x38, 0x7c, 0x44, 0xdc, 0x40, 0x9c, 0xa8, 0xc6, 0x91, 0x30,
	0xb4, 0x60, 0x75, 0x9a, 0x80, 0x2c, 0x9f, 0x43, 0xeb, 0x71, 0x3f, 0xa4, 0x8c, 0x68, 0xe2, 0x1e,
	0x63, 0x94, 0x65, 0x4a, 0x8a, 0x10, 0x84, 0x85, 0x93, 0x42, 0xa1, 0x96, 0xd6, 0x06, 0xac, 0x17,
	0x70, 0xa1, 0xc8, 0xaf, 0xa4, 0xd1, 0xb2, 0x9e, 0x64, 0x33, 0xf9, 0x16, 0x54, 0xcf, 0x5c, 0x5f,
	0x38, 0x11, 0xe5, 0x93, 0x64, 0x5a, 0xb4, 0x2b, 0x12, 0x3c, 0x44, 0x4c, 0x7b, 0x96, 0xe6, 0x45,
	0x99, 0x3b, 0xb0, 0x7a, 0xc8, 0xc8, 0x71, 0xe0, 0xf7, 0x4f, 0xa6, 0x2e, 0x88, 0x9c, 0xc9, 0x54,
	0xe0, 0x92, 0x1b, 0x92, 0x2c, 0xad, 0x3e, 0xac, 0xe5, 0x78, 0x30, 0xaf, 0x0e, 0xa0, 0xa6, 0x77,
	0x39, 0x4c, 0xcd, 0x15, 0x49, 0x3d, 0x7f, 0xff, 0xc2, 0xcc, 0x4e, 0x4f, 0x21, 0x76, 0xb5, 0x97,
	0x5a, 0x71, 0xeb, 0xdf, 0x06, 0x98, 0xbb, 0x51, 0x14, 0x8c, 0xb2, 0x96, 0xd5, 0x61, 0x86, 0xbf,
	0x0a, 0x92, 0x12, 0xc3, 0x5f, 0x05, 0xb2, 0xc4, 0x1c, 0x53, 0xd6, 0x23, 0x78, 0x59, 0xf5, 0x42,
	0x8e, 0x01, 0x6e, 0x10, 0xd0, 0x33, 0x27, 0x35, 0xc3, 0xaa, 0xca, 0xb0, 0x60, 0xd7, 0x15, 0xc1,
	0x9e, 0xe0, 0xf9, 0x01, 0x68, 0xf6, 0x5d, 0x0d, 0x40, 0x73, 0x6f, 0x39, 0x00, 0xfd, 0xcd, 0x80,
	0x46, 0xc6, 0x7b, 0x8c, 0xf1, 0x4f, 0x6f, 0x54, 0x6b, 0xc0, 0xf2, 0x01, 0xed, 0x9d, 0xea, 0xaa,
	0x97, 0x5c, 0x8d, 0x26, 0x98, 0x69, 0x70, 0x72, 0xf1, 0x5e, 0x84, 0x41, 0x6e, 0xf3, 0x2a, 0x34,
	0xb3, 0x30, 0x6e, 0xff, 0xbb, 0x01, 0x2d, 0x6c, 0x11, 0xfb, 0x44, 0xf4, 0x4e, 0x76, 0xf9, 0x83,
	0xee, 0x38, 0x0f, 0x9a, 0x30, 0xa7, 0x46, 0x71, 0x15, 0x80, 0x8a, 0xad, 0x17, 0xe6, 0x1a, 0x5c,
	0xf3, 0xba, 0x8e, 0x6a, 0x8d, 0xd8, 0x1d, 0xbc, 0xee, 0x37, 0xb2, 0x39, 0xae, 0xc3, 0xc2, 0xc0,
	0x3d, 0x77, 0x18, 0x3d, 0xe3, 0x38, 0x0c, 0x5e, 0x1b, 0xb8, 0xe7, 0x36, 0x3d, 0xe3, 0x6a, 0x50,
	0xf7, 0xb9, 0x9a, 0xc0, 0xbb, 0x7e, 0x18, 0xd0, 0x3e, 0x57, 0xc7, 0xbf, 0x60, 0xd7, 0x10, 0xbe,
	0xa7, 0x51, 0x79, 0xd7, 0x98, 0xba, 0x46, 0xe9, 0xc3, 0x5d, 0xb0, 0x2b, 0x2c, 0x75, 0xb7, 0xac,
	0x87, 0xb0, 0x5e, 0x60, 0x33, 0x9e, 0xde, 0x47, 0x30, 0xaf, 0xaf, 0x06, 0x1e, 0x9b, 0x89, 0xcf,
	0x89, 0x6f, 0xe5, 0x5f, 0xbc, 0x06, 0xb8, 0xc3, 0xfa, 0x83, 0x01, 0xd7, 0xb3, 0x92, 0x76, 0x83,
	0x40, 0x0e, 0x60, 0xfc, 0xdd, 0x87, 0x20, 0xe7, 0xd9, 0x6c, 0x81, 0x67, 0x07, 0xb0, 0x79, 0x91,
	0x3d, 0x6f, 0xe1, 0xde, 0x93, 0xe9, 0xb3, 0xdd, 0x8d, 0xa2, 0xcb, 0x1d, 0x4b, 0xdb, 0x5f, 0xca,
	0xd8, 0x9f, 0x0f, 0xba, 0x12, 0xf6, 0x16, 0x56, 0xb5, 0xa1, 0x95, 0xaa, 0x0b, 0x7a, 0xe2, 0x48,
	0xd2, 0xf4, 0x00, 0xd6, 0x0b, 0x68, 0xa8, 0x64, 0x5b, 0x4e, 0x1f, 0xe3, 0x89, 0xa5, 0xbc, 0xb3,
	0xd6, 0x99, 0x7e, 0x3b, 0x23, 0x03, 0x6e, 0x93, 0x77, 0xe1, 0xa9, 0xcb, 0xe5, 0x35, 0xca, 0x28,
	0x79, 0x0a, 0xcd, 0x2c, 0x8c, 0xf2, 0xbf, 0x98, 0x92, 0x7f, 0x3d, 0x27, 0x3f, 0xc3, 0x96, 0x68,
	0x59, 0x83, 0x15, 0x8d, 0x27, 0xbd, 0x20, 0xd1, 0xf3, 0x39, 0xac, 0x4e, 0x13, 0x50, 0x53, 0x1b,
	0x16, 0xa6, 0x9a, 0xc9, 0x78, 0x2d, 0xb9, 0x5e, 0xba, 0xbe, 0xd8, 0xa7, 0xd3, 0xf2, 0x2e, 0xe5,
	0x5a, 0x87, 0xb5, 0x1c, 0x17, 0x5e, 0xf1, 0x16, 0xac, 0x1e, 0x09, 0x1a, 0xa5, 0xe2, 0x9a, 0x18,
	0xb8, 0x0e, 0x6b, 0x39, 0x0a, 0x32, 0xfd, 0x0e, 0xae, 0x4f, 0x91, 0x9e, 0xfa, 0xa1, 0x3f, 0x88,
	0x07, 0x57, 0x30, 0xc6, 0xbc, 0x09, 0xaa, 0x37, 0x3a, 0xc2, 0x1f, 0x90, 0x64, 0x88, 0x9c, 0xb1,
	0xcb, 0x12, 0x7b, 0xae, 0x21, 0xeb, 0x97, 0xb0, 0x79, 0x91, 0xfc, 0x2b, 0xc4, 0x48, 0x19, 0xee,
	0x32, 0x51, 0xe0, 0x53, 0x1b, 0x5a, 0x79, 0x12, 0x3a, 0xd5, 0x85, 0x9b, 0xd3, 0xb4, 0x17, 0xa1,
	0xf0, 0x83, 0x5d, 0x59, 0x6a, 0xdf, 0x91, 0x63, 0xb7, 0xc1, 0xba, 0x4c, 0x07, 0x5a, 0xd2, 0x04,
	0xf3, 0x21, 0x49, 0xf6, 0x8c, 0x13, 0xf3, 0x63, 0x68, 0x64, 0x50, 0x8c, 0x44, 0x13, 0xe6, 0x5c,
	0xcf, 0x63, 0xc9, 0x98, 0xa0, 0x17, 0x32, 0x06, 0x36, 0xe1, 0xe4, 0x82, 0x18, 0xe4, 0x49, 0xa8,
	0x79, 0x1b, 0xd6, 0xbe, 0x4b, 0xe1, 0xf2, 0x4a, 0x17, 0x96, 0x84, 0x45, 0x2c, 0x09, 0xd6, 0x3e,
	0xb4, 0xf2, 0x0c, 0x6f, 0x55, 0x8c, 0xae, 0xa7, 0xe5, 0x4c, 0xb2, 0x35, 0x51, 0x5f, 0x83, 0x92,
	0xef, 0xe1, 0x63, 0xa4, 0xe4, 0x7b, 0x99, 0x83, 0x28, 0x4d, 0x25, 0xc0, 0x16, 0x6c, 0x5e, 0x24,
	0x0c, 0xfd, 0x6c, 0xc0, 0xf2, 0xe3, 0xd0, 0x17, 0xfa, 0x02, 0x26, 0x81, 0xf9, 0x04, 0xcc, 0x34,
	0x78, 0x85, 0x4c, 0xfb, 0xd1, 0x80, 0xcd, 0x43, 0x1a, 0xc5, 0x81, 0x9a, 0x56, 0x23, 0x97, 0x91,
	0x50, 0x7c, 0x4d, 0x63, 0x16, 0xba, 0x41, 0x62, 0xf7, 0x07, 0xb0, 0x24, 0xf3, 0xc1, 0xe9, 0x31,
	0xe2, 0x0a, 0xe2, 0x39, 0x61, 0xf2, 0xa2, 0xaa, 0x4a, 0xf8, 0xbe, 0x46, 0xbf, 0xe1, 0xf2, 0xd5,
	0xe5, 0xf6, 0xa4, 0xd0, 0x74, 0xe3, 0x00, 0x0d, 0xa9, 0xe6, 0xf1, 0x25, 0x54, 0x06, 0xca, 0x32,
	0xc7, 0x0d, 0x7c, 0x57, 0x37, 0x90, 0xf2, 0xce, 0xca, 0xf4, 0x04, 0xbe, 0x2b, 0x89, 0x76, 0x59,
	0x6f, 0x55, 0x0b, 0xf3, 0x53, 0x68, 0xa6, 0x4a, 0xd5, 0x64, 0x50, 0x9d, 0x55, 0x3a, 0x1a, 0x29,
	0xda, 0x78, 0x5e, 0xbd, 0x09, 0x37, 0x2e, 0xf4, 0x0b, 0x43, 0xf8, 0x67, 0x43, 0x87, 0x0b, 0x03,
	0x9d, 0xf8, 0xfb, 0x73, 0x98, 0xd7, 0xfb, 0xf1, 0xd0, 0x2f, 0x30, 0x10, 0x37, 0x5d, 0x68, 0x5b,
	0xe9, 0x42, 0xdb, 0x8a, 0x22, 0x3a, 0x53, 0x10, 0x51, 0x59, 0xdf, 0x33, 0xf6, 0x4d, 0x46, 0xa0,
	0x07, 0x64, 0x40, 0x05, 0xc9, 0x1e, 0xfe, 0x1f, 0x0d, 0x68, 0x66, 0x71, 0x3c, 0xff, 0xcf, 0xa0,
	0xe1, 0x91, 0x88, 0x91, 0x9e, 0x52, 0x96, 0x4d, 0x85, 0x7b, 0xa5, 0x96, 0x61, 0x9b, 0x13, 0xf2,
	0xd8, 0xc6, 0x7b, 0x50, 0xc5, 0xc3, 0xc2, 0x9e, 0x51, 0xba, 0x4a, 0xcf, 0xc0, 0x03, 0xd6, 0x2b,
	0x79, 0x85, 0x5f, 0x84, 0x1e, 0x2d, 0x32, 0xb6, 0x0d, 0xad, 0x3c, 0x09, 0xfd, 0xdb, 0x18, 0x37,
	0xc9, 0x97, 0x2e, 0x3f, 0x64, 0x54, 0x6e, 0xf1, 0x12, 0xc6, 0xf7, 0xa0, 0x5d, 0x44, 0x44, 0xd6,
	0x7f, 0x18, 0x50, 0x3f, 0x22, 0xd9, 0x5b, 0xf1, 0xa6, 0x07, 0x5a, 0x70, 0x3a, 0xa5, 0xa2, 0x7c,
	0xbf, 0x0b, 0x6b, 0xea, 0x99, 0x20, 0x03, 0xc4, 0x44, 0xc1, 0x1b, 0x61, 0x45, 0x91, 0xa7, 0xab,
	0x65, 0xfe, 0xb9, 0x35, 0x5b, 0xf0, 0xdc, 0x6a, 0xc0, 0x72, 0xca, 0x0f, 0xf4, 0xee, 0x49, 0xda,
	0x77, 0x9b, 0x28, 0xbd, 0xe3, 0xc8, 0xbc, 0xa1, 0x9b, 0xd6, 0x75, 0xd8, 0x28, 0x14, 0x86, 0xba,
	0x7e, 0x2f, 0xeb, 0x7c, 0xa6, 0x81, 0xed, 0x86, 0xde, 0x43, 0x22, 0x32, 0xa3, 0x86, 0xf9, 0x3d,
	0xac, 0x70, 0x41, 0xa3, 0xb4, 0xf3, 0xce, 0x80, 0x7a, 0xc9, 0xeb, 0xfa, 0x76, 0xc1, 0x04, 0x93,
	0x6d, 0x8a, 0xd4, 0x23, 0x76, 0x83, 0xe7, 0x41, 0xf9, 0x78, 0xb9, 0x75, 0xa9, 0x01, 0xe3, 0x1f,
	0x22, 0xaa, 0x27, 0xa3, 0x2e, 0xf3, 0x3d, 0xe7, 0x4a, 0xb3, 0x93, 0xca, 0xf7, 0x8a, 0xe6, 0xc0,
	0x1f, 0x83, 0x7e, 0x3d, 0x1e, 0x8b, 0x74, 0x8a, 0x7f, 0xf0, 0x3a, 0xa3, 0xf3, 0xf3, 0x11, 0xe6,
	0x61, 0xb6, 0x90, 0xc8, 0x49, 0x67, 0x9a, 0x70, 0x85, 0x8a, 0x7c, 0x04, 0xd5, 0x7b, 0x6e, 0xef,
	0x34, 0x1e, 0x4f, 0xb2, 0x5b, 0x50, 0xee, 0xd1, 0xb0, 0x17, 0x33, 0x46, 0xc2, 0xde, 0x08, 0x6b,
	0x6f, 0x1a, 0x92, 0x3b, 0xd4, 0x73, 0x54, 0xa7, 0x0b, 0xbe, 0x61, 0xd3, 0x90, 0x75, 0x17, 0x6a,
	0x89, 0x50, 0x34, 0xe1, 0x36, 0xcc, 0x91, 0xe1, 0x24, 0x59, 0x6a, 0x9d, 0xe4, 0x1f, 0x32, 0x7b,
	0x12, 0xb5, 0x35, 0x11, 0x3b, 0xad, 0xa0, 0x8c, 0xec, 0x33, 0x3a, 0xc8, 0xd8, 0x65, 0xed, 0xca,
	0x6b, 0x9a, 0xa3, 0xbd, 0x91, 0xf8, 0x26, 0x98, 0x47, 0x81, 0x3b, 0x24, 0xd9, 0xf9, 0x75, 0x1f,
	0x1a, 0x19, 0xf4, 0x6d, 0xc7, 0x63, 0x13, 0xea, 0xf2, 0xe4, 0x94, 0xac, 0x44, 0xb6, 0xbc, 0x57,
	0x13, 0x0c, 0x73, 0xfd, 0x7b, 0x3d, 0x27, 0x2a, 0xf0, 0xdd, 0x8e, 0x81, 0x77, 0xe5, 0xb4, 0x36,
	0x2d, 0xf9, 0x0a, 0x49, 0xa0, 0xcc, 0x74, 0x99, 0xc8, 0xd8, 0x2e, 0xa3, 0x95, 0x02, 0xd1, 0xf8,
	0xdf, 0xc2, 0xc6, 0x04, 0x7d, 0xe7, 0xe3, 0xde, 0x26, 0xbc, 0x57, 0x2c, 0x1d, 0xb5, 0x9b, 0xfa,
	0x97, 0x51, 0x49, 0x1d, 0x9f, 0xdf, 0xcf, 0xf4, 0xaf, 0x96, 0x88, 0x5d, 0x3a, 0xe4, 0xfd, 0xc9,
	0x80, 0xba, 0x6c, 0x71, 0x69, 0x3f, 0x7f, 0x42, 0x0d, 0x18, 0x87, 0xac, 0x6c, 0xc0, 0xe5, 0x70,
	0x2e, 0x81, 0x82, 0xe6, 0x24, 0x87, 0xf3, 0x1c, 0x09, 0xd9, 0x1e, 0x4f, 0x68, 0xff, 0x6b, 0xe9,
	0xde, 0x80, 0xf5, 0x02, 0x51, 0x5a, 0xcf, 0xbd, 0x4f, 0x7e, 0xe8, 0x0c, 0x7d, 0x41, 0x38, 0xef,
	0xf8, 0x74, 0x5b, 0x7f, 0x6d, 0xf7, 0xe9, 0xf6, 0x50, 0x6c, 0xab, 0x7f, 0xb5, 0x6e, 0xe7, 0x7e,
	0x9b, 0xe9, 0xce, 0x2b, 0xc2, 0x67, 0xff, 0x0d, 0x00, 0x00, 0xff, 0xff, 0x96, 0x1e, 0xcb, 0x36,
	0xf4, 0x1d, 0x00, 0x00,
}
